2010-05-24  Ojan Vafai  <ojan@chromium.org>

        Reviewed by Eric Seidel.

        add tests to ensure that --git-commit ranges are exclusive of the start of the range
        https://bugs.webkit.org/show_bug.cgi?id=39612

        * Scripts/webkitpy/common/checkout/scm_unittest.py:

2010-05-24  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        Add a temporary script for testing the html5 parser until it can run more layout tests
        https://bugs.webkit.org/show_bug.cgi?id=39611

        * Scripts/test-html5-parser: Added.

2010-05-24  Eric Seidel  <eric@webkit.org>

        Reviewed by Chris Jerdonek.

        webkit-patch needs --verbose flag to enable DEBUG logging
        https://bugs.webkit.org/show_bug.cgi?id=39208

        I also added some code to print out how long commands take to run.

        * Scripts/webkit-patch:
         - Add hackish -v/--verbose parsing (similar to check-webkit-style)
        * Scripts/webkitpy/common/system/executive.py:
         - Log how long commands take to run.
        * Scripts/webkitpy/tool/main.py:
         - Add -v/--verbose option to global options.

2010-05-23  Eric Seidel  <eric@webkit.org>

        Reviewed by Daniel Bates.

        Split PatchReader out into its own file
        https://bugs.webkit.org/show_bug.cgi?id=39576

        This is in preparation for making check-webkit-style
        support being passed paths to patch files on the command line.

        * Scripts/check-webkit-style:
        * Scripts/webkitpy/style/checker.py:
        * Scripts/webkitpy/style/checker_unittest.py:
        * Scripts/webkitpy/style/patchreader.py: Added.
        * Scripts/webkitpy/style/patchreader_unittest.py: Added.
        * Scripts/webkitpy/style_references.py:

2010-05-23  Adam Barth  <abarth@webkit.org>

        Reviewed by Daniel Bates.

        webkit-patch should let you add a comment when uploading a patch
        https://bugs.webkit.org/show_bug.cgi?id=39552

        As requested by Dan "the man" Bates.

        * Scripts/webkitpy/tool/steps/options.py:
        * Scripts/webkitpy/tool/steps/postdiff.py:

2010-05-23  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        webkit-patch should assign newly created bugs to their creator
        https://bugs.webkit.org/show_bug.cgi?id=39548

        As requested on webkit-dev.

        * Scripts/webkitpy/common/net/bugzilla.py:

2010-05-23  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Hide prepare and post commands for webkit-patch
        https://bugs.webkit.org/show_bug.cgi?id=39539

        It turns out these commands aren't very popular and they confuse new
        users.  They'll still be there for advanced users, however.

        * Scripts/webkitpy/tool/commands/upload.py:

2010-05-23  Jesus Sanchez-Palencia  <jesus@webkit.org>

        Reviewed by Laszlo Gombos.

        [Qt] QtTestBrowser has two graphicsview options that aren't enabled correctly
        https://bugs.webkit.org/show_bug.cgi?id=39491

        Making toggleResizesToContents and toggleTiledBackingStore checkable when
        QtTestBrowser is started on graphics view mode.

        * QtTestBrowser/main.cpp:
        (LauncherWindow::createChrome):

2010-05-23  Jesus Sanchez-Palencia  <jesus@webkit.org>

        Reviewed by Laszlo Gombos.

        [Qt] QtTestBrowser is still called QtLauncher in the code
        https://bugs.webkit.org/show_bug.cgi?id=39488

        Finish the name change of QtLauncher to QtTestBrowser.

        * QtTestBrowser/main.cpp:
        (LauncherApplication::LauncherApplication):
        (LauncherApplication::handleUserOptions):
        * QtTestBrowser/mainwindow.cpp:
        (MainWindow::MainWindow):
        * QtTestBrowser/useragentlist.txt:

2010-05-23  Marcus Bulach  <bulach@chromium.org>

        Reviewed by Kent Tamura.

        [chromium] Adds Geolocation support to DumpRenderTree.
        https://bugs.webkit.org/show_bug.cgi?id=39440

        Existing LayoutTests/fast/dom/Geolocation/* should pass.

        * DumpRenderTree/chromium/LayoutTestController.cpp:
        (LayoutTestController::LayoutTestController):
        (LayoutTestController::setGeolocationPermission):
        (LayoutTestController::setMockGeolocationPosition):
        (LayoutTestController::setMockGeolocationError):
        * DumpRenderTree/chromium/LayoutTestController.h:
        * DumpRenderTree/chromium/TestShell.cpp:
        (TestShell::TestShell):
        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::geolocationService):
        * DumpRenderTree/chromium/WebViewHost.h:

2010-05-22  Adam Barth  <abarth@webkit.org>

        Unreviewed.

        Re-order Yong's email addresses because his gmail account is the one he
        uses for bugs.webkit.org.

        * Scripts/webkitpy/common/config/committers.py:

2010-05-22  Daniel Bates  <dbates@rim.com>

        Reviewed by Chris Jerdonek.

        Add infrastructure to parse SVN property changes
        https://bugs.webkit.org/show_bug.cgi?id=38885

        Adds function VCSUtils::parseSvnDiffFooter to parse an SVN footer
        that consists of one or more properties.

        Note, the first line of an SVN footer begins with "Property changes on".

        * Scripts/VCSUtils.pm:
          - Added function parseSvnDiffFooter. Will use this function
            towards resolving Bug #39409 <https://bugs.webkit.org/show_bug.cgi?id=39409>.
          - Removed FIXME comment above function parseSvnProperty, since
            it is being used by parseSvnDiffFooter.
        * Scripts/webkitperl/VCSUtils_unittest/parseSvnDiffFooter.pl: Added.
          - Added unit tests.

2010-05-22  Eric Seidel  <eric@webkit.org>

        Unreviewed, fixing test results only.

        Disable compositing tests on the commit-queue as a workaround for  bug 38912
        https://bugs.webkit.org/show_bug.cgi?id=39067

        * Scripts/webkitpy/tool/steps/steps_unittest.py:
         - Update test results after my previous change.

2010-05-22  Eric Seidel  <eric@webkit.org>

        Unreviewed.

        Disable compositing tests on the commit-queue as a workaround for  bug 38912
        https://bugs.webkit.org/show_bug.cgi?id=39067

        * Scripts/webkitpy/tool/steps/runtests.py:
         - Disable all of compositing, not just compositing/iframes

2010-05-22  Kent Tamura  <tkent@chromium.org>

        Reviewed by Dimitri Glazkov.

        [DRT/Chromium] Link resources and load Ahem font for Windows
        https://bugs.webkit.org/show_bug.cgi?id=39473

        * DumpRenderTree/chromium/DumpRenderTree.cpp:
        (main): Call platformInit().
        * DumpRenderTree/chromium/TestShell.h:
         Declare platformInit(). It is not related to TestShell class, but the
         implementation of paltformInit() is placed at TestShell*.{cpp,mm}.
        * DumpRenderTree/chromium/TestShellGtk.cpp:
        (platformInit):
        * DumpRenderTree/chromium/TestShellMac.mm:
        (platformInit):
        * DumpRenderTree/chromium/TestShellWin.cpp:
        (platformInit):
         - Make stdout/stderr binary mode
         - Load Ahem font

2010-05-21  Eric Seidel  <eric@webkit.org>

        Unreviewed, EWS build fix only.

        QueueStatusServer returns 500 error when EWS bots post empty queues
        https://bugs.webkit.org/show_bug.cgi?id=39523

        Mac python seems to have some built-in timezone support
        however other python installs don't.  So we need to ignore
        timezones in our parsing.

        Date parsing is tested by existing unit tests.

        * QueueStatusServer/handlers/updateworkitems.py:
         - Fix typo causing exception on server.
        * Scripts/webkitpy/common/net/bugzilla.py:
         - Fix exception due to python's lack of timezone support.

2010-05-21  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        QueueStatusServer returns 500 error when EWS bots post empty queues
        https://bugs.webkit.org/show_bug.cgi?id=39523

        updateworkitems handler was raising an exception because
        int() couldn't convert "" to a number.

        I attempted to unit test this but we don't yet have a system by
        which to load unit tests for appengine classes which depend on
        google.appengine libraries which are not in the python default install.

        We'll need to write a wrapper script to load those into the python path
        and then run the unit test files.

        * QueueStatusServer/handlers/statusbubble.py:
         - Hide cr-win-ews since we're not currently running this bot.
        * QueueStatusServer/handlers/updateworkitems.py:
         - Fix the parsing logic to be able to understand "".
        * Scripts/webkitpy/common/net/statusserver.py:
         - Only log the work items posted to the server to the debug log channel.

2010-05-21  Eric Seidel  <eric@webkit.org>

        Unreviewed, fixing the commit-queue to run again.

        Make the EWSes report queue position in white bubbles
        https://bugs.webkit.org/show_bug.cgi?id=39519

        * Scripts/webkitpy/common/net/statusserver.py:
         - Fix exception in _post_work_items_to_server when passed
           integers. Unfortunately we have no good way to mock
           the Browser object yet, and after several attempts I was
           not able to create a good one, so no tests. :(

2010-05-14  Ojan Vafai  <ojan@chromium.org>

        Reviewed by Eric Seidel.

        webkit-patch land --squash commits too much if branch is not up to date
        https://bugs.webkit.org/show_bug.cgi?id=38852

        * Scripts/webkitpy/common/checkout/scm.py:
        * Scripts/webkitpy/common/checkout/scm_unittest.py:

2010-05-21  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        Make the EWSes report queue position in white bubbles
        https://bugs.webkit.org/show_bug.cgi?id=39519

        This also fixes sorting of commit-queue patches
        to be in order of patch attachment.
        https://bugs.webkit.org/show_bug.cgi?id=33395

        This makes the various Queues post what patches they are about to process
        so that we can display a list of patches on status server pages, as well
        as report queue position in status bubbles.

        This is the first step towards creating a control-channel for the queues.
        Next step will be to have them read back the patches in order from the server
        and finally we will add the ability for the server to control that order.

        * Scripts/webkitpy/common/net/bugzilla.py:
         - Teach bugzilla how to parse attach_date for attachments.
        * Scripts/webkitpy/common/net/bugzilla_unittest.py:
         - Test that we're parsing dates correctly.
           This may have timezone issues for non-PST contributers, unsure.
        * Scripts/webkitpy/common/net/statusserver.py:
         - Post work items to the status server for display.
        * Scripts/webkitpy/tool/bot/patchcollection.py:
         - Call StatusServer.update_work_items
        * Scripts/webkitpy/tool/commands/earlywarningsystem_unittest.py:
         - Update unit test results now that we're posting work item list.
        * Scripts/webkitpy/tool/commands/queues.py:
         - Call StatusSever.update_work_items
         - Sort patches so that the server's list understands
           that the commit-queue gives priority to rollout patches.
         - I also fixed patch sorting per bug 33395 while I was here.
        * Scripts/webkitpy/tool/commands/queues_unittest.py:
         - Update results after update_work_items changes.
         - Test attachment sorting.
        * Scripts/webkitpy/tool/mocktool.py:
         - Add mock for update_work_items

2010-05-21  Robin Cao  <robin.cao@torchmobile.com.cn>

        Reviewed by Adam Roben.

        fast/dom/HTMLObjectElement/children-changed.html times out on Windows run-webkit-tests
        https://bugs.webkit.org/show_bug.cgi?id=31315

        * DumpRenderTree/win/FrameLoadDelegate.cpp:
        (FrameLoadDelegate::didFailProvisionalLoadWithError): Need to invoke locationChangeDone here as mac port does.

2010-05-20  Mark Rowe  <mrowe@apple.com>

        Rubber-stamped by Dan Bernstein.

        <rdar://problem/7848154> Remove the dependency on Foundation's private __COCOA_FORMAL_PROTOCOLS_2__ define.

        * DumpRenderTree/mac/LayoutTestControllerMac.mm:

2010-05-20  Tony Gentilcore  <tonyg@chromium.org>

        Reviewed by Daniel Bates.

        Look in /proc/registry64 for the Platform SDK on 64-bit Windows.
        https://bugs.webkit.org/show_bug.cgi?id=39296

        The build-webkit script failed for me on Vista 64. A web search turned
        up this blog post with a patch that worked for me:
        http://www.nicholaswilson.me.uk/2010/04/hacking-webkit-fail/

        * Scripts/webkitdirs.pm:

2010-05-20  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        ThreadedMessageQueue should use with_statement for exception safety
        https://bugs.webkit.org/show_bug.cgi?id=39233

        * Scripts/webkitpy/common/thread/threadedmessagequeue.py:

2010-05-20  Diego Gonzalez  <diegohcg@webkit.org>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] QtTestBrowser does not support websites which requires HTTP Authentication via dialogs
        https://bugs.webkit.org/show_bug.cgi?id=38456

        * QtTestBrowser/webpage.cpp:
        (WebPage::WebPage):
        (WebPage::authenticationRequired):
        * QtTestBrowser/webpage.h:

2010-05-20  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Eric Seidel.

        editingBehavior settings needs to be set back to a reasonable default between tests
        https://bugs.webkit.org/show_bug.cgi?id=39433

        For now, hard code the default setting during reset, so that the serialized
        version of the setting stays in sync with expectations.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (resetDefaultsToConsistentValues): Reset editing behavior to the appropriate platform default.
        * DumpRenderTree/win/DumpRenderTree.cpp:
        (resetDefaultsToConsistentValues): Ditto.

2010-05-20  Brent Fulgham  <bfulgham@webkit.org>

        Build fix.  No review.

        The WebKitAPITest targets do not use the "_debug" suffix needed
        by the WinCairo port.  Added Debug_Cairo target to correct this.

        * WebKitAPITest/WebKitAPITest.vcproj:

2010-05-20  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Ojan Vafai.

        editing/selection/extend-selection-after-double-click.html crashes on the Leopard Intel release bot
        https://bugs.webkit.org/show_bug.cgi?id=39431

        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (LayoutTestController::setEditingBehavior):
        Prevent a double-free by not having this variable be in the auto-release pool.

2010-05-20  Martin Robinson  <mrobinson@webkit.org>

        Reviewed by Ojan Vafai.

        Expose the editing behavior setting in DRT to test all editing code paths
        https://bugs.webkit.org/show_bug.cgi?id=38603

        * DumpRenderTree/LayoutTestController.cpp:
        (setEditingBehaviorCallback): Added.
        (LayoutTestController::staticFunctions): Expose the setEditingBehaviorCallback function.
        * DumpRenderTree/LayoutTestController.h:
        * DumpRenderTree/chromium/LayoutTestController.cpp: Add callback method for setting editing behavior.
        * DumpRenderTree/chromium/LayoutTestController.h: Declaration for this method.
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp: 
        (LayoutTestController::setEditingBehavior): Implementation of editing behavior control.
        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (LayoutTestController::setEditingBehavior): Ditto
        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        (LayoutTestController::setEditingBehavior): Added stub implementation of editing behavior control.
        * DumpRenderTree/qt/LayoutTestControllerQt.h:
        (LayoutTestController::setEditingBehavior): Add slot for controlling editor behavior.
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::setEditingBehavior): Implementation of editing behavior control.
        * DumpRenderTree/wx/LayoutTestControllerWx.cpp:
        (LayoutTestController::setEditingBehavior): Added stub implementation of editing behavior control.

2010-05-20  Kent Tamura  <tkent@chromium.org>

        Reviewed by Eric Seidel.

        [DRT/Chromium] Increase the time out value
        https://bugs.webkit.org/show_bug.cgi?id=39203

        Change the time out value of Chromium DRT to 30 seconds, which is
        the same as other ports.
        If a DRT process exits before new-run-webkit-tests detects time
        out, new-run-webkit-tests assumes the DRT process crashed.

        * DumpRenderTree/chromium/TestShell.cpp:
        (TestShell::layoutTestTimeout):
          Change the time out value from 10 seconds to 30 seconds.

2010-05-20  Chris Evans  <cevans@google.com>

        Unreviewed.

        Marking myself as a committer.

        * Scripts/webkitpy/common/config/committers.py: Add cevans@google.com.

2010-05-20  Simon Hausmann  <simon.hausmann@nokia.com>

        Reviewed by Tor Arne Vestbo.

        [Qt] Weekly binary builds on Mac OS X don't work when launched in the Finder
        https://bugs.webkit.org/show_bug.cgi?id=37273

        * QtTestBrowser/QtTestBrowser.pro: Build QtLauncher as bundle in package builds

2010-05-20  Fumitoshi Ukai  <ukai@chromium.org>

        Unreviewed fix for websocket test failures.

        * Scripts/new-run-webkit-websocketserver:
         options is named parameter for factory.get().

2010-05-20  Fumitoshi Ukai  <ukai@chromium.org>

        Reviewed by Shinichiro Hamaji.

        Chromium: Add --chromium option to new-run-webkit-websocketserver
        https://bugs.webkit.org/show_bug.cgi?id=37664

        Missed to pass options to factory.get() in r59595

        * Scripts/new-run-webkit-websocketserver:
          Pass options to factory.get().

2010-05-19  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Roben.

        WinEWS should build Debug instead of Release
        https://bugs.webkit.org/show_bug.cgi?id=39242

        This is a workaround for
        https://bugs.webkit.org/show_bug.cgi?id=39197
        Adam Roben and Brian Weinstein believe this may
        also make building faster since Debug builds
        take less time to link.

        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:

2010-05-19  Dirk Pranke  <dpranke@chromium.org>

        Unreviewed, build fix.

        * DumpRenderTree/chromium/NotificationPresenter.cpp:
        (NotificationPresenter::show):

2010-05-19  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        user.py throws exception when readline module is missing
        https://bugs.webkit.org/show_bug.cgi?id=39239

        * Scripts/webkitpy/common/system/user.py:
         - The error handling path requires the "sys" module,
           so added an import sys at the top of the file.

2010-05-18  Kent Tamura  <tkent@chromium.org>

        Reviewed by Dimitri Glazkov.

        [DRT/Chromium] Fix a repaint issue and textarea tests
        https://bugs.webkit.org/show_bug.cgi?id=39054

        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::canvas): Remove m_paintRect initialization in canvas().
         This line updated m_paintRect unexpectedly during paintRect().
         We don't need to initialize m_paintRect because show() does it.

2010-05-18  Tony Chang  <tony@chromium.org>

        Reviewed by Kent Tamura.

        [chromium] new-run-webkit-tests --use-drt should run on Linux
        https://bugs.webkit.org/show_bug.cgi?id=37845

        * Scripts/webkitpy/layout_tests/port/chromium.py:
        * Scripts/webkitpy/layout_tests/port/chromium_linux.py:
        * Scripts/webkitpy/layout_tests/port/chromium_mac.py:
        * Scripts/webkitpy/layout_tests/port/chromium_unittest.py:
        * Scripts/webkitpy/layout_tests/port/chromium_win.py:

2010-05-18  Kent Tamura  <tkent@chromium.org>

        Reviewed by Dimitri Glazkov.

        [DRT/Chromium] Fix some initialization/reset issues
        https://bugs.webkit.org/show_bug.cgi?id=39281

        * DumpRenderTree/chromium/LayoutTestController.cpp:
        (LayoutTestController::reset): Reset m_userStyleSheetLocation.
        * DumpRenderTree/chromium/LayoutTestController.h:
          Remove unused variable, m_workQueueFrozen.
        (LayoutTestController::WorkQueue::WorkQueue): Initialize m_frozen.
        * DumpRenderTree/chromium/TestShell.cpp:
        (TestShell::resetTestController): Reset WebSettings too.

2010-05-18  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Ojan Vafai.

        new-run-webkit-tests: implement '--reset-results' flag to complement
        the '--new-baseline' flag. '--new-baseline' will always write the
        results into the platform directory; '--reset-results' will update the
        existing baseline wherever it happens to be. Both sets of behavior
        are useful in different circumstances.

        https://bugs.webkit.org/show_bug.cgi?id=38879

        * Scripts/webkitpy/layout_tests/data/image/canvas-bg.html: Added.
        * Scripts/webkitpy/layout_tests/data/image/canvas-zoom-expected.checksum: Added.
        * Scripts/webkitpy/layout_tests/data/image/canvas-zoom-expected.png: Added.
        * Scripts/webkitpy/layout_tests/data/image/canvas-zoom-expected.txt: Added.
        * Scripts/webkitpy/layout_tests/data/image/canvas-zoom.html: Added.
        * Scripts/webkitpy/layout_tests/data/misc/crash-expected.txt: Added.
        * Scripts/webkitpy/layout_tests/data/misc/crash.html: Added.
        * Scripts/webkitpy/layout_tests/data/misc/missing-expectation.html: Added.
        * Scripts/webkitpy/layout_tests/data/misc/passing-expected.txt: Added.
        * Scripts/webkitpy/layout_tests/data/misc/passing.html: Added.
        * Scripts/webkitpy/layout_tests/data/platform/test/image/canvas-bg-expected.checksum: Added.
        * Scripts/webkitpy/layout_tests/data/platform/test/image/canvas-bg-expected.png: Added.
        * Scripts/webkitpy/layout_tests/data/platform/test/image/canvas-bg-expected.txt: Added.
        * Scripts/webkitpy/layout_tests/data/platform/test/test_expectations.txt: Added.
        * Scripts/webkitpy/layout_tests/data/text/article-element-expected.txt: Added.
        * Scripts/webkitpy/layout_tests/data/text/article-element.html: Added.
        * Scripts/webkitpy/layout_tests/layout_package/test_expectations_unittest.py:
        * Scripts/webkitpy/layout_tests/port/test.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests_unittest.py:
        * Scripts/webkitpy/layout_tests/layout_package/dump_render_tree_thread.py:
        * Scripts/webkitpy/layout_tests/layout_package/printing_unittest.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
        * Scripts/webkitpy/layout_tests/test_types/image_diff.py:
        * Scripts/webkitpy/layout_tests/test_types/test_type_base.py:
        * Scripts/webkitpy/layout_tests/test_types/text_diff.py:
        * Scripts/webkitpy/layout_tests/port/test.py:
        * Scripts/webkitpy/layout_tests/port/dryrun.py:

2010-05-18  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Roben.

        Add an --html5-parser option to DumpRenderTree to allow testing the new HTML5Lexer
        https://bugs.webkit.org/show_bug.cgi?id=39311

        This flag allows us to run the new HTML5Lexer code.
        Right now all documents parse as empty documents, but
        now that we're able to run the code we can fix that.

        Once we're able to lex a few basic documents I'll add
        an --html5-parser flag to run-webkit-tests so that we test
        running all of the layout tests with the HTML5 parser.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (resetDefaultsToConsistentValues):
        (initializeGlobalsFromCommandLineOptions):

2010-05-08  Robert Hogan  <robert@roberthogan.net>

        Reviewed by Simon Hausmann.

        [Qt] Fix http/tests/xmlhttprequest/cross-origin-no-authorization.html
             and http/tests/xmlhttprequest/cross-origin-authorization.html

        QHttpNetworkRequest adds Authorization and Cookie headers to XHRs
        without knowing if this is valid behaviour or not. In order to allow
        Qt to decide whether Cookie/Authorization headers should be added
        to an XHR QtWebKit needs to use an attribute added to QNetworkRequest.
        These new attributes are: QNetworkRequest::CookieLoadControlAttribute,
        QNetworkRequest::CookieSaveControlAttribute,and
        QNetworkRequest::AuthenticationReuseControlAttribute.

        In order to properly support the tests, Qt's DRT needs to use one
        NetworkAccessManager for all pages. This allows it to use cached
        credentials where appropriate.

        The tests now pass when run individually but there seems to be a problem with
        leaking the results of requests across tests when run with the others in
        http/tests. This will be addressed in a separate patch.

        https://bugs.webkit.org/show_bug.cgi?id=32967


        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        (WebCore::WebPage::WebPage):
        (WebCore::DumpRenderTree::DumpRenderTree):
        * DumpRenderTree/qt/DumpRenderTreeQt.h:


2010-05-18  Fumitoshi Ukai  <ukai@chromium.org>

        Reviewed by Eric Seidel.

        run_webkit_tests_unittest fails on SnowLeopard
        https://bugs.webkit.org/show_bug.cgi?id=39279

        * Scripts/webkitpy/layout_tests/port/base.py:
         Return copy of os.environ.
        * Scripts/webkitpy/layout_tests/port/chromium_win_unittest.py:
         Check os.environ was not modified.

2010-05-18  Fumitoshi Ukai  <ukai@chromium.org>

        Reviewed by Eric Seidel.

        Chromium: new-run-webkit-httpd fails to setup_mount
        https://bugs.webkit.org/show_bug.cgi?id=39257

        * Scripts/webkitpy/common/system/executive.py:
         Assert type of args in run_command.
        * Scripts/webkitpy/common/system/executive_unittest.py:
         Add test_run_command_args_type
        * Scripts/webkitpy/layout_tests/port/chromium_win.py:
         Executive.run_command takes array for command line.
        * Scripts/webkitpy/layout_tests/port/chromium_win_unittest.py:
         Test if setup_environ_for_server() run setup_mount.bat.

2010-05-17  Kent Tamura  <tkent@chromium.org>

        Reviewed by David Levin.

        Chromium Windows build system does not rebuild correctly when
        enabling/disabling a feature
        https://bugs.webkit.org/show_bug.cgi?id=38926

        Add a workaround of this issue.

        * Scripts/update-webkit:
          Chromium-Windows only: If WebKit/chromium/features.gyp has been
          updated, remove WebKit/chromium/Debug and WebKit/chromium/Release.

2010-05-17  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r59631.
        http://trac.webkit.org/changeset/59631
        https://bugs.webkit.org/show_bug.cgi?id=39255

        chromium canaries can no longer run webkit_tests, suspect this
        change. (Requested by atwilson on #webkit).

        * Scripts/webkitpy/layout_tests/layout_package/dump_render_tree_thread.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests_unittest.py:

2010-05-17  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        Attempt to make new-run-webkit-tests --help more sane
        https://bugs.webkit.org/show_bug.cgi?id=37836

        * Scripts/webkitpy/layout_tests/layout_package/dump_render_tree_thread.py:
         - Add a FIXME about options.singly and options.batch_size being different.
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
         - Add support for hidden options.
         - Add option groupings to attempt to simplify --help.
         - Fix a bunch of option helps to start with a capitalized verb.
         - Hide a bunch of options which make no sense to users.
         - Sort options in --help.
        * Scripts/webkitpy/layout_tests/run_webkit_tests_unittest.py:
         - Add tests for option sorting.

2010-05-17  Robert Hogan  <robert@webkit.org>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Disable Icon Database by default in Qt DRT

        Unskip:
         http/tests/misc/favicon-loads-with-images-disabled.html
         http/tests/security/XFrameOptions/x-frame-options-deny-meta-tag-in-body.html
         http/tests/security/XFrameOptions/x-frame-options-deny-meta-tag-parent-same-origin-deny.html
         http/tests/security/XFrameOptions/x-frame-options-deny-meta-tag.html

        https://bugs.webkit.org/show_bug.cgi?id=37382

        Add support for layoutTestController.setIconDatabaseEnabled and layoutTestController.disableImageLoading().
        The XFrameOptions tests were failing because of an extra resource load callback for favicon.ico requests.
        These extra callbacks are removed by supporting both of the above layoutTestContoller commands.

        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        (WebCore::WebPage::resetSettings):
        (WebCore::DumpRenderTree::DumpRenderTree):
        * DumpRenderTree/qt/DumpRenderTreeQt.h:
        (WebCore::DumpRenderTree::drtStoragePath):
        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        (LayoutTestController::reset):
        (LayoutTestController::disableImageLoading):
        (LayoutTestController::setIconDatabaseEnabled):
        * DumpRenderTree/qt/LayoutTestControllerQt.h:

2010-05-17  Fumitoshi Ukai  <ukai@chromium.org>

        Reviewed by Eric Seidel.

        Chromium: Add --chromium option to new-run-webkit-websocketserver
        https://bugs.webkit.org/show_bug.cgi?id=37664

        os.environ setup and setup_mount for cygwin are moved in ChromiumWinPort.setup_environ_for_server.

        * Scripts/new-run-webkit-httpd:
          Remove passing register_cygwin.
        * Scripts/new-run-webkit-websocketserver:
          Add --chromium flag.
          Remove passing register_cygwin.
          Create port object using options.
        * Scripts/webkitpy/layout_tests/port/base.py:
          Add setup_environ_for_server().
        * Scripts/webkitpy/layout_tests/port/chromium_win.py:
          Ditto.
        * Scripts/webkitpy/layout_tests/port/factory_unittest.py: Added.
        * Scripts/webkitpy/layout_tests/port/http_server.py:
          Remove register_cygwin_parameter.
          Call setup_environ_for_server().
        * Scripts/webkitpy/layout_tests/port/websocket_server.py:
          Ditto.

2010-05-16  Daniel Bates  <dbates@rim.com>

        Reviewed by Chris Jerdonek.

        https://bugs.webkit.org/show_bug.cgi?id=39184

        Adds function VCSUtils::parseSvnProperty to parse an SVN property with
        either a single-line or multi-line value change.

        * Scripts/VCSUtils.pm:
          - Added function parseSvnProperty. We will use this function
            towards resolving Bug #38885 <https://bugs.webkit.org/show_bug.cgi?id=38885>.
          - Removed FIXME comment above function parseSvnPropertyValue, since
            it is being used by parseSvnProperty.
          - Modified function parseSvnPropertyValue to break out of "while (<$fileHandle>)"
            loop when it encounters the start of the next property so that it can be
            processed by its caller, parseSvnPropertyValue. We reference this bullet below
            by (*).
        * Scripts/webkitperl/VCSUtils_unittest/parseSvnProperty.pl: Added.
          - Added unit tests.
        * Scripts/webkitperl/VCSUtils_unittest/parseSvnPropertyValue.pl:
          - Changed the name of the unit test "simple multi-line '-' change" to
            "single-line '-' change followed by empty line" since the former was an
            incorrect description of this test.
          - Added unit test "single-line '-' change followed by the next property", and
            "multi-line '-' change followed by the next property" to test (*) above.

2010-05-16  Tony Chang  <tony@chromium.org>

        Not reviewed, fixing layout test.

        Don't output Inspect Element since this is not enabled on the bots,
        but most developers probably have it installed.

        * DumpRenderTree/mac/EventSendingController.mm:
        (-[EventSendingController contextClick:]):

2010-05-12  Tony Chang  <tony@chromium.org>

        Reviewed by Darin Adler.

        Spellcheck disabling does not disable context menu
        https://bugs.webkit.org/show_bug.cgi?id=25639

        * DumpRenderTree/mac/EventSendingController.mm:
        (+[EventSendingController isSelectorExcludedFromWebScript:]):
        (+[EventSendingController webScriptNameForSelector:]):
        (-[EventSendingController contextClick:]): add a bool parameter that
              when true, dumps the context menu items to stdout.

2010-05-16  Robert Hogan  <robert@webkit.org>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Unskip fast/loader/main-document-url-for-non-http-loads.html

        Update Qt DRT to use frame loader, editor client and notification presenter
        functions in DumpRenderTreeSupportQt.

        https://bugs.webkit.org/show_bug.cgi?id=38867

        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        (WebCore::DumpRenderTree::open):
        (WebCore::DumpRenderTree::dump):
        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        (LayoutTestController::LayoutTestController):
        (LayoutTestController::reset):
        (LayoutTestController::dumpEditingCallbacks):
        (LayoutTestController::dumpFrameLoadCallbacks):
        (LayoutTestController::dumpResourceLoadCallbacks):
        (LayoutTestController::setWillSendRequestReturnsNullOnRedirect):
        (LayoutTestController::setWillSendRequestReturnsNull):
        (LayoutTestController::setWillSendRequestClearHeader):

2010-05-16  Eric Seidel  <eric@webkit.org>

        Unreviewed, rolling out r59571.
        http://trac.webkit.org/changeset/59571
        https://bugs.webkit.org/show_bug.cgi?id=39054

        Broke Cr Win, but we didn't notice immediately due to
        https://bugs.webkit.org/show_bug.cgi?id=38926.  It's possible
        that this didn't actually break Cr Win, but rather that bug
        38926 necessitates a clean compile after this and sucessive
        checkins only produced a partial recompile and thus failed to
        build.

        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::canvas):

2010-05-16  Robert Hogan  <robert@webkit.org>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt]Unskip security/set-form-autocomplete-attribute.html

        Add support for layoutTestController.elementDoesAutoCompleteForElementWithId().

        https://bugs.webkit.org/show_bug.cgi?id=38859

        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        (LayoutTestController::elementDoesAutoCompleteForElementWithId):
        * DumpRenderTree/qt/LayoutTestControllerQt.h:

2010-05-16  Kent Tamura  <tkent@chromium.org>

        Reviewed by Dimitri Glazkov.

        [DRT/Chromium] Fix repaint, WebGL, textarea tests
        https://bugs.webkit.org/show_bug.cgi?id=39054

        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::canvas): Remove m_paintRect initialization in canvas().
         This line updated m_paintRect unexpectedly during paintRect().
         We don't need to initialize m_paintRect because show() does it.

2010-05-16  Sergio Villar Senin  <svillar@igalia.com>

        Reviewed by Gustavo Noronha Silva.

        [GTK] Improve reporting of frame loader callbacks in DRT
        https://bugs.webkit.org/show_bug.cgi?id=36454

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (webViewLoadStatusNotified):
        (createWebView): added connection to notify::load-status and
        signal callback

2010-05-15  Daniel Bates  <dbates@rim.com>

        Reviewed by Chris Jerdonek.

        https://bugs.webkit.org/show_bug.cgi?id=39170

        Add function parseSvnPropertyValue to parse single-line and multi-line
        property values of an SVN property change.

        * Scripts/VCSUtils.pm:
            Added function parseSvnPropertyValue. We will use this as part of
            Bug #38885 <https://bugs.webkit.org/show_bug.cgi?id=38885>.
        * Scripts/webkitperl/VCSUtils_unittest/parseSvnPropertyValue.pl: Added.

2010-05-15  Jochen Eisinger  <jochen@chromium.org>

        Reviewed by Dmitry Titov.

        Add allowDatabase method to TestWebWorker.
        https://bugs.webkit.org/show_bug.cgi?id=38742

        * DumpRenderTree/chromium/TestWebWorker.h:
        (TestWebWorker::allowDatabase):

2010-05-15  Simon Hausmann  <simon.hausmann@nokia.com>

        Rubber-stamped by Antti Koivisto.

        [Qt] Rename QtLauncher to QtTestBrowser
        https://bugs.webkit.org/show_bug.cgi?id=37665

        Forgot to remove the original directory after the rename.

        * QtLauncher: Removed.

2010-05-15  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r59544.
        http://trac.webkit.org/changeset/59544
        https://bugs.webkit.org/show_bug.cgi?id=39165

        Cased LayoutTest to start crashing (Requested by abarth on
        #webkit).

        * Scripts/old-run-webkit-tests:

2010-05-15  Mario Sanchez Prada  <msanchez@igalia.com>

        Reviewed by Xan Lopez.

        Ensure DRT loads GAIL (Gtk+ module), for a11y tests
        https://bugs.webkit.org/show_bug.cgi?id=38648

        Add the GTK_MODULES envvar (set to "gail") to the clean
        environment when running DRT for the Gtk+ port

        * Scripts/old-run-webkit-tests:

2010-05-15  Eric Seidel  <eric@webkit.org>

        Reviewed by Maciej Stachowiak.

        Add script to check for minimum python version and install if missing on Tiger
        https://bugs.webkit.org/show_bug.cgi?id=38886

        Per Maciej's request on webkit-dev:
        https://lists.webkit.org/pipermail/webkit-dev/2010-May/012785.html
        provide a script which can automatically install Python on Tiger where
        the system provided version is too old to be of use.

        Note this uses the official Mac Python installer from python.org.
        This installs a copy of Python in /Library/Frameworks/Python.framework.
        It also makes symlinks from /usr/local/bin to the Python.framework/bin.

        I have tested this script on Leopard and it worked fine.  I have not
        tested it on Tiger as I do not have access to a Tiger machine.  In
        either case this should provide a great starting point for someone
        wishing to upgrade their copy of Python on Tiger.

        Future patches can make our scripts depend on a success return from this
        script and then they can either skip tests/sections for which python is
        insufficient, or they can fail themselves.

        * Scripts/ensure-valid-python: Added.

2010-05-15  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        Display queue position inside EWS bubbles
        https://bugs.webkit.org/show_bug.cgi?id=38979

        This ended up being a lot of clean-up to our status server code.

        Added a new WorkItems model, a form with which to fill it,
        and taught the Attachment class how to calculate the current queue
        postion for an attachment using the data in WorkItems.

        I also finally made statusbubble.* and dashboard.* not use copy-paste code.

        The Attachment class has this summary() method which is very
        controller/view-like and does not belong in a model class.
        This patch got rid of all direct uses of summary().

        * QueueStatusServer/handlers/dashboard.py:
          - Build row objects to hand off to the view instead of handing off a
            summary object and expecting the view to process it directly.
        * QueueStatusServer/handlers/statusbubble.py:
          - Build bubble object and hand them off to the view.
        * QueueStatusServer/handlers/updatestatus.py:
          - Code cleanup.  Just move some code into _queue_status_from_request
            to make the main put() handler easier to read.
        * QueueStatusServer/handlers/updateworkitems.py: Added.
          - Controller to handle storing WorkItems model objects.
        * QueueStatusServer/main.py:
          - Add route for /update-work-items
        * QueueStatusServer/model/attachment.py:
          - Add new methods to replace direct summary() access.
          - Teach attachment how to calculate queue positions from WorkItems data.
        * QueueStatusServer/model/queues.py:
          - Move name_with_underscores here for easier re-use.
        * QueueStatusServer/model/workitems.py: Added.
         - New model for storing what items are currently queue for any bot.
        * QueueStatusServer/templates/dashboard.html:
         - Kill the copy/paste code!
        * QueueStatusServer/templates/statusbubble.html:
         - Kill the copy/paste code!
        * QueueStatusServer/templates/updateworkitems.html: Added.
         - Simple form for updating a queue's current work items.

2010-05-15  Joanmarie Diggs  <joanmarie.diggs@gmail.com>

        Reviewed by Xan Lopez.

        https://bugs.webkit.org/show_bug.cgi?id=30500
        [Gtk] Find a way for WebKit to "announce" itself so that ATs can readily distinguish it from true Gtk/Gail

        The "announcement" is now made in the form of an object attribute
        associated with the AtkObject.

        * DumpRenderTree/gtk/AccessibilityUIElementGtk.cpp:
        (AccessibilityUIElement::allAttributes):
        (attributeSetToString):

2010-05-15  Mario Sanchez Prada  <msanchez@igalia.com>

        Reviewed by Xan Lopez.

        Accessibility: Implement isSelected in DRT for GTK
        https://bugs.webkit.org/show_bug.cgi?id=31018

        Implement AccessibilityUIElement::isSelected() for Gtk

        * DumpRenderTree/gtk/AccessibilityUIElementGtk.cpp:
        (AccessibilityUIElement::isSelected):

2010-05-14  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        scm.py should use self.run instead of run_command
        https://bugs.webkit.org/show_bug.cgi?id=38957

        We've wanted to do this for a while, but it's a prerequiste for running
        SVN from the cwd instead of the checkout_root.

        * Scripts/webkitpy/common/checkout/scm.py:

2010-05-14  Anton Muhin  <antonm@chromium.org>

        Reviewed by Darin Fisher.

        [Chromium] Consider implementing addOriginAccessWhitelistEntry method
        https://bugs.webkit.org/show_bug.cgi?id=37578

        Remove deprecated methods.

        * DumpRenderTree/chromium/LayoutTestController.cpp
        * DumpRenderTree/chromium/LayoutTestController.h

2010-05-14  Kenneth Russell  <kbr@google.com>

        Reviewed by Darin Adler.

        Rename WebGLArray types to TypedArray types
        https://bugs.webkit.org/show_bug.cgi?id=39091

        Extended functionality of do-webcore-rename script and used it to
        rename the WebGLArray types to the TypedArray naming convention.
        The only source files which were touched by hand, and which are
        being manually reviewed, are:
            WebCore/page/DOMWindow.idl
            WebCore/bindings/generic/RuntimeEnabledFeatures.h (script's changes undone)
            WebKit/WebCore/bindings/js/JSDOMWindowCustom.cpp
            WebKit/WebCore/bindings/v8/custom/V8DOMWindowCustom.cpp
        These only needed to be touched to update the aliases between the
        WebGLArray and TypedArray names introduced in bug 39036. (It was
        not feasible to have do-webcore-rename handle this as it would
        introduce circular renamings.) These aliases will be removed in
        roughly a month once existing WebGL content has been updated.

        No new tests; covered under existing WebGL tests. Updated
        constructed-objects-prototypes and prototype-inheritance-2 tests.
        Ran all layout tests in Safari and all WebGL tests in Chromium.

        * Scripts/do-webcore-rename:
          Handle the case where some renames are substrings of others.
          Support renaming files containing custom JS bindings. If
          isDOMTypeRename is non-zero, expand the regexp which rewrites
          the file's contents in order to support custom JS bindings.

2010-05-14  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        webkit-patch rollout throws exception if bug is already open
        https://bugs.webkit.org/show_bug.cgi?id=38803

        This was caused by someone incorrectly wrapping the code. :p
        I'm going to have to start demanding unit tests for wrapping changes...

        I also fixed the code to be able to reopen bugs which were never confirmed.
        Before it regressed, the code would just log in that case.  Now it actually
        will reopen the bug, but there is a FIXME about how the logic is a bit backwards.

        * Scripts/webkitpy/common/net/bugzilla.py:
        * Scripts/webkitpy/common/net/bugzilla_unittest.py:
         - Yay testing!

2010-05-14  Simon Hausmann  <simon.hausmann@nokia.com>

        Rubber-stamped by Antti Koivisto.

        [Qt] Rename QtLauncher to QtTestBrowser

        * QtTestBrowser: Copied from WebKitTools/QtLauncher.
        * QtTestBrowser/QtLauncher.pro: Removed.
        * QtTestBrowser/QtLauncher.qrc: Removed.
        * QtTestBrowser/QtTestBrowser.pro: Copied from WebKitTools/QtLauncher/QtLauncher.pro.
        * QtTestBrowser/QtTestBrowser.qrc: Copied from WebKitTools/QtLauncher/QtLauncher.qrc.
        * Scripts/run-launcher:
        * Scripts/webkitdirs.pm:

2010-05-14  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Stop CCing webkit-bot-watchers
        https://bugs.webkit.org/show_bug.cgi?id=39020

        webkit-bot-watchers is somewhat of a failed experiment.  No one
        subscribed to the list (not even me).  Removing it from the code
        because wms says it bounces email sometimes.

        * Scripts/webkitpy/tool/commands/queues.py:
        * Scripts/webkitpy/tool/commands/sheriffbot_unittest.py:

2010-05-14  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        REGRESSION: webkit-patch commit-message throws exception
        https://bugs.webkit.org/show_bug.cgi?id=38997

        * Scripts/webkitpy/tool/commands/upload.py:
         - Fix to respect and pass the --squash and --git-commit options.
        * Scripts/webkitpy/tool/commands/upload_unittest.py:
         - Fix the unit test to use the central MockCheckout instead of
           its own custom Mock which didn't require enough parameters.

2010-05-13  Diego Gonzalez  <diegohcg@webkit.org>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Improve QtLauncher user agent dialog resize
        https://bugs.webkit.org/show_bug.cgi?id=39062

        * QtLauncher/main.cpp:
        (LauncherWindow::showUserAgentDialog):

2010-05-13  Eric Seidel  <eric@webkit.org>

        Reviewed by Ojan Vafai.

        Disable compositing/iframes tests on the commit-queue as a workaround for  bug 38912
        https://bugs.webkit.org/show_bug.cgi?id=39067

        Fix yet another typo in my original hack.
        I also added another unit test for this fix.

        * Scripts/webkitpy/common/config/ports.py:
        * Scripts/webkitpy/common/config/ports_unittest.py:

2010-05-13  Eric Seidel  <eric@webkit.org>

        Reviewed by Ojan Vafai.

        Disable compositing/iframes tests on the commit-queue as a workaround for  bug 38912
        https://bugs.webkit.org/show_bug.cgi?id=39067

        My previous (unreviewed) hack didn't actually work due to checking "mac" instead of "Mac".
        This change fixes my hack, and unit tests it.

        * Scripts/webkitpy/tool/mocktool.py:
         - Make it possible to make run_command log too.
        * Scripts/webkitpy/tool/steps/runtests.py:
         - Fix my hack to actually work.
        * Scripts/webkitpy/tool/steps/steps_unittest.py:
         - Test my hack (and basic RunTests behavior as well).

2010-05-13  Antonio Gomes  <tonikitoo@webkit.org>, Yi Shen <yi.4.shen@nokia.com>

        Reviewed by Kenneth Christiansen.

        [Qt] Add LayoutTestController interface: computedStyleIncludingVisitedInfo
        https://bugs.webkit.org/show_bug.cgi?id=37759

        WebKitTools:

        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        (LayoutTestController::computedStyleIncludingVisitedInfo):
        * DumpRenderTree/qt/LayoutTestControllerQt.h:

2010-05-10  Adam Roben  <aroben@apple.com>

        Convert status bar text to UTF-8 before logging it on Windows

        We were previously logging the text using printf("%S", bstr). This
        converts the UTF-16 BSTR to a multibyte string using wctomb, which
        uses the codepage for the current locale to perform the conversion.
        The conversion was failing, causing printf to bail and truncate the
        string. By converting to UTF-8 manually before logging, we avoid this
        issue (and also end up with UTF-8 output, which is what the expected
        results contain). We may have to do this in other places in DRT,
        eventually.

        Fixes <http://webkit.org/b/38849> REGRESSION (r59016):
        plugins/set-status.html fails on Windows

        Reviewed by Alexey Proskuryakov.

        * DumpRenderTree/win/DumpRenderTree.cpp:
        (toUTF8): Moved this here from FrameLoadDelegate. Renamed from
        BSTRtoString.

        * DumpRenderTree/win/DumpRenderTreeWin.h: Added declaration of toUTF8.

        * DumpRenderTree/win/FrameLoadDelegate.cpp: Removed BSTRtoString.
        (descriptionSuitableForTestResult): Updated for rename.

        * DumpRenderTree/win/UIDelegate.cpp:
        (UIDelegate::setStatusText): Convert the status bar text to UTF-8
        before logging it so that Windows won't try (and fail) to convert it
        to the current locale's codepage.

2010-05-13  Eric Seidel  <eric@webkit.org>

        Unreviewed hack, attempting to get the commit-queue running again.

        Disable compositing/iframes tests on the commit-queue as a workaround for bug 38912
        https://bugs.webkit.org/show_bug.cgi?id=39067

        I had this hack locally on the commit-queue, but it's fragile
        and broke this morning.  It will work much better if committed
        to the repository.  In either case it's temporary while we
        work up a real fix for bug 38912.

        * Scripts/webkitpy/common/config/ports.py:
         - Expose an is_leopard() method.
        * Scripts/webkitpy/tool/steps/runtests.py:
         - Don't run compositing/iframes tests on the commit-queue under leopard.

2010-05-13  Fumitoshi Ukai  <ukai@chromium.org>

        Unreviewed fix.  Revert previous change.

        Even if with-statments are changed in websocket_server.py, it also claims syntax error for with statement in http_server.py.
        Until python 2.5 is installed on tiger bot, skips websocket/tests on tiger.

        * Scripts/webkitpy/layout_tests/port/websocket_server.py: use with statement

2010-05-13  Fumitoshi Ukai  <ukai@chromium.org>

        Unreviewed fix.

        On tiger bot, it claims syntax error for with statement.

        * Scripts/webkitpy/layout_tests/port/websocket_server.py: rewrite with statement with try-finally.

2010-05-13  Fumitoshi Ukai  <ukai@chromium.org>

        Reviewed by David Levin.

        WebSocket: pywebsocket 0.5
        https://bugs.webkit.org/show_bug.cgi?id=38034

        Remove pywebsocket from webkitpy/thirdparty.
        Make pywebsocket autoinstalled.

        * Scripts/new-run-webkit-websocketserver:
          Add --output-dir option.
        * Scripts/old-run-webkit-tests:
          Use new-run-webkit-websocketserver, rather than directly run pywebsocket's standalone.py
        * Scripts/run-webkit-websocketserver:
          Ditto.
        * Scripts/webkitpy/layout_tests/port/websocket_server.py:
          Use autoinstalled pywebsocket.
        * Scripts/webkitpy/thirdparty/__init__.py:
          Autoinstall pywebsocket
        * Scripts/webkitpy/thirdparty/pywebsocket: Removed.

2010-05-12  Chris Jerdonek  <cjerdonek@webkit.org>

        Reviewed by Daniel Bates.

        Fixed a bug in svn-apply whereby the reviewer would not get set if
        the portion of the patch for the ChangeLog contains "NOBODY (**PS!)"
        in the leading junk.

        https://bugs.webkit.org/show_bug.cgi?id=38998

        * Scripts/VCSUtils.pm:
          - Added the $changeLogTimeZone variable from svn-apply.
          - Added setChangeLogDateAndReviewer() from svn-apply.
          - Added a localTimeInProjectTimeZone() subroutine.
          - In setChangeLogDateAndReviewer():
            - Added an $epochTime parameter to make the subroutine more testable.
            - Made the "NOBODY (**PS!)" regular expression more specific so that
              it will not apply to text in the leading junk.
            - Updated to call localTimeInProjectTimeZone().
        * Scripts/svn-apply:
          - Removed the $changeLogTimeZone file variable.
          - Added an $epochTime file variable to represent the current time.
          - Removed the setChangeLogDateAndReviewer() subroutine.
          - Updated patch() to use the new setChangeLogDateAndReviewer() syntax.
        * Scripts/webkitperl/VCSUtils_unittest/setChangeLogDateAndReviewer.pl: Added.
          - Added unit tests.

2010-05-12  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        test-webkitpy fails on windows due to lack of readline module
        https://bugs.webkit.org/show_bug.cgi?id=38884

        Win32 Python does not have a readline module, so we should
        not exit(1) if the import fails.

        Also the failure message is mac-specific and doesn't need to be.
        Only print the mac-specific install instructions on mac.

        * Scripts/webkitpy/common/system/user.py:

2010-05-12  Kent Tamura  <tkent@chromium.org>

        Reviewed by Nate Chapin.

        [DRT/Chromium] Add a missing Sans-serif font setting
        https://bugs.webkit.org/show_bug.cgi?id=38981

        * DumpRenderTree/chromium/TestShell.cpp:
        (TestShell::resetWebSettings):
          Set "Helvetica" for Sans-serif. It is the same as the default setting of test_shell.

2010-05-10  Ojan Vafai  <ojan@chromium.org>

        Reviewed by Adam Barth.

        webkit-patch upload --fancy-review now uses the bugzilla bug ID as the rietveld ID
        https://bugs.webkit.org/show_bug.cgi?id=38866

        wkrietveld.appspot.com has already been updated to allow you to
        pass --issue for the issue creation as well as subsequent uploads.

        Also, remove the extra code for trying to read out the issue ID
        from the changelog description since we just use the bugzilla ID now.

        * Scripts/webkitpy/common/config/__init__.py:
        * Scripts/webkitpy/common/net/rietveld.py:
        * Scripts/webkitpy/tool/steps/postcodereview.py:
        * Scripts/webkitpy/tool/steps/postdiff.py:

2010-05-12  Ojan Vafai  <ojan@chromium.org>

        No review needed.

        Marking myself as a reviewer.

        * Scripts/webkitpy/common/config/committers.py:

2010-05-12  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Eric Seidel.

        new-run-webkit-tests: add a --print default option so that you can
        easily get the default output plus something (e.g., you can say
        '--print default,config' instead of '--print misc,one-line-progress,
        one-line-summary,unexpected,unexpected-results,updates,config'.

        Also, add more unit tests for --verbose, --print everything, etc.

        https://bugs.webkit.org/show_bug.cgi?id=38877

        * Scripts/webkitpy/layout_tests/layout_package/printing.py:
        * Scripts/webkitpy/layout_tests/layout_package/printing_unittest.py:

2010-05-12  Csaba Osztrogonác  <ossy@webkit.org>

        Reviewed by Adam Barth.

        Qt build failures cause SheriffBot false positives
        https://bugs.webkit.org/show_bug.cgi?id=38969

        Add Qt bots back to the core builders, because bug fixed by r59261.

        * Scripts/webkitpy/common/net/buildbot.py:
        * Scripts/webkitpy/common/net/buildbot_unittest.py:

2010-05-12  Csaba Osztrogonác  <ossy@webkit.org>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Slave losts cause build break on bots
        https://bugs.webkit.org/show_bug.cgi?id=38980

        * Scripts/build-webkit: Remove 0 byte sized files from productDir before build.

2010-05-12  Csaba Osztrogonác  <ossy@webkit.org>

        Unreviewed trivial fix after r59254.

        * Scripts/old-run-webkit-tests:

2010-05-12  Csaba Osztrogonác  <ossy@webkit.org>

        Reviewed by Eric Seidel.

        run-webkit-tests --exit-after-N-failures should not count new tests as failures
        https://bugs.webkit.org/show_bug.cgi?id=31829

        * Scripts/old-run-webkit-tests:

2010-05-12  James Robinson  <jamesr@chromium.org>

        Reviewed by Simon Fraser.

        Disable smooth scrolling on OS X when running tests
        https://bugs.webkit.org/show_bug.cgi?id=38964

        Some tests (like fast/repaint/fixed-move-after-keyboard-scroll.html)
        depend on smooth scrolling behavior.  Since this is off by default
        in Leopard and on by default in Snow Leopard, DRT should turn it
        off always to ensure a consistent test environment.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (resetDefaultsToConsistentValues):

2010-05-10  Rodrigo Belem  <rodrigo.belem@openbossa.org>

        Reviewed by Kenneth Christiansen , Simon Hausmann and Gustavo Noronha.

        [Qt, Gtk] Allows build-webkit script to receive an install prefix as parameter
        https://bugs.webkit.org/show_bug.cgi?id=26224

        Added more parameters to build-webkit script, the --prefix for gkt
        and --install-libs, --install-headers for qt. Now it is possible
        to change the install prefix for gtk and install path for qt.

        * Scripts/build-webkit:
        * Scripts/webkitdirs.pm:

2010-05-12  Philippe Normand  <pnormand@igalia.com>

        Unreviewed, added my IRC nickname.

        * Scripts/webkitpy/common/config/committers.py:

2010-05-11  Chris Jerdonek  <cjerdonek@webkit.org>

        Reviewed by Eric Seidel.

        Fixed two FIXME's in svn-apply: eliminated the unnecessary %copiedFiles
        variable and changed gitKnowsOfFile() to use exitStatus().

        https://bugs.webkit.org/show_bug.cgi?id=38862

        * Scripts/svn-apply:

2010-05-11  Eric Seidel  <eric@webkit.org>

        Unreviewed, just fixing python typo.

        EWS bots should poll more often than every 5 minutes
        https://bugs.webkit.org/show_bug.cgi?id=38968

        Typo in _now(), add a unittest to prove I fixed it.

        * Scripts/webkitpy/tool/bot/queueengine.py:
        * Scripts/webkitpy/tool/bot/queueengine_unittest.py:

2010-05-11  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Qt build failures cause SheriffBot false positives
        https://bugs.webkit.org/show_bug.cgi?id=38969

        The Qt buildbot randomly fails to compile occasionally because its
        network connection causes SVn to leave zero-byte files around.  These
        compile failures confuse SheriffBot into thinking someone's patch
        caused a build break.

        In this patch, I've temporarily removed Qt from the list of core
        builders.  Ossy is working on a script to clean up the zero byte files.
        Once that goes in, we can add Qt back to the core builders.

        * Scripts/webkitpy/common/net/buildbot.py:
        * Scripts/webkitpy/common/net/buildbot_unittest.py:

2010-05-11  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        sheriffbot is spammy.
        https://bugs.webkit.org/show_bug.cgi?id=38936

        Reduce sheriffbot spam by not warning about new blameworthy revisions
        that can be explained by previously blamed revisions.  This might cause
        us to not warn about some real failures, but we're getting too much
        spam from slow builders that have large blamelists (and we've already
        poked the responsible folks using data from a fast builder).

        * Scripts/webkitpy/tool/bot/sheriff_unittest.py:
            - Removed unneeded import
        * Scripts/webkitpy/tool/commands/sheriffbot.py:
            - The logic change
        * Scripts/webkitpy/tool/commands/sheriffbot_unittest.py:
            - Tests of the change
        * Scripts/webkitpy/tool/mocktool.py:
            - Merged two declarations of MockBuilder

2010-05-11  Tony Chang  <tony@chromium.org>

        Reviewed by David Levin.

        [chromium] detect num processors to pass to make -j on Linux
        https://bugs.webkit.org/show_bug.cgi?id=38833

        * Scripts/webkitdirs.pm:

2010-05-11  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        EWS bots should poll more often than every 5 minutes
        https://bugs.webkit.org/show_bug.cgi?id=38968

        We'll make them poll every 2 minutes to start with.
        I'm going to re-write how polling works soon, so this is
        a stop-gap to try and make the bots more responsive.

        If Bill notices any additional load on bugzilla we'll drop
        the polling frequency back to 5 minutes.  He's historically said
        that the EWS bots appear to be a drop in the bucket and thus
        should be able to poll much more frequently w/o causing trouble.

        * Scripts/webkitpy/tool/bot/queueengine.py:
        * Scripts/webkitpy/tool/bot/queueengine_unittest.py:
         - Add a test for sleep_message

2010-05-11  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        commit-queue should commit rollouts without running tests
        https://bugs.webkit.org/show_bug.cgi?id=38940

        Most of this change is improving our test coverage for the commit-queue.
        The only functional change is removing the --test flag when the commit-queue
        is running in rollouts mode.

        I added test coverage for status updates, and updated the commit-queue status
        messages to distinguish rollout vs. normal landing mode in its empty queue
        and land patch messages.

        * Scripts/webkitpy/tool/commands/earlywarningsystem_unittest.py:
         - Got rid of a bunch of copy/paste code using _default_expected_stderr
        * Scripts/webkitpy/tool/commands/queues.py:
         - Moved rollout patch filtering out of _validate_patches_in_commit_queue
           so that we only have to check if the builders are green in one place.
         - Make the "empty queue" message note which queue it is referring to.
         - Don't pass --text to land-attachment when in rollout mode.
        * Scripts/webkitpy/tool/commands/queues_unittest.py:
         - Update results now that we're testing status updates.
         - Test _can_build_and_test since I made a typo in that call while
           writing this change and the unit tests failed to catch it!
        * Scripts/webkitpy/tool/mocktool.py:
         - Log status updates to make them testable in our unit tests.

2010-05-11  Kent Tamura  <tkent@chromium.org>

        Reviewed by Dimitri Glazkov.

        [DRT/Chromium] Apply recent changes of test_shell to DRT
        https://bugs.webkit.org/show_bug.cgi?id=38895

        Port the changes to test_shell during (r40492, r46810] of Chromium.
        Highlights:
        - Introduce NotificationPresenter
        - Fix parameter mismatch of WebViewClient::startDragging()

        This change fixes dozens of unexpected behaviors.

        * DumpRenderTree/DumpRenderTree.gypi:
          Add NotificationPresenter.{cpp,h}
        * DumpRenderTree/chromium/EventSender.cpp:
        (applyKeyModifier):
        (EventSender::EventSender):
        (EventSender::reset):
        (EventSender::webview):
        (EventSender::doDragDrop):
        (EventSender::keyDown):
        (EventSender::addTouchPoint):
        (EventSender::clearTouchPoints):
        (EventSender::releaseTouchPoint):
        (EventSender::setTouchModifier):
        (EventSender::updateTouchPoint):
        (EventSender::cancelTouchPoint):
        (EventSender::sendCurrentTouchEvent):
        (EventSender::touchEnd):
        (EventSender::touchMove):
        (EventSender::touchStart):
        (EventSender::touchCancel):
        * DumpRenderTree/chromium/EventSender.h:
        * DumpRenderTree/chromium/LayoutTestController.cpp:
        (LayoutTestController::LayoutTestController):
        (LayoutTestController::reset):
        (LayoutTestController::showWebInspector):
        (LayoutTestController::setAuthorAndUserStylesEnabled):
        (LayoutTestController::setScrollbarPolicy):
        (LayoutTestController::setWillSendRequestClearHeader):
        (LayoutTestController::callShouldCloseOnWebView):
        (LayoutTestController::grantDesktopNotificationPermission):
        (LayoutTestController::removeOriginAccessWhitelistEntry):
        (LayoutTestController::addUserScript):
        (LayoutTestController::addUserStyleSheet):
        * DumpRenderTree/chromium/LayoutTestController.h:
        * DumpRenderTree/chromium/NotificationPresenter.cpp: Added.
        * DumpRenderTree/chromium/NotificationPresenter.h: Added.
        * DumpRenderTree/chromium/TestShell.cpp:
        (TestShell::TestShell):
        (TestShell::runFileTest):
        (TestShell::resetTestController):
        * DumpRenderTree/chromium/TestShell.h:
        (TestShell::eventSender):
        (TestShell::notificationPresenter):
        (TestShell::showDevTools):
        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::createView):
        (WebViewHost::createPopupMenu):
        (WebViewHost::startDragging):
        (WebViewHost::notificationPresenter):
        (WebViewHost::createApplicationCacheHost):
        (WebViewHost::willSendRequest):
        (WebViewHost::updateAddressBar):
        (WebViewHost::updateURL):
        * DumpRenderTree/chromium/WebViewHost.h:
        (WebViewHost::addClearHeader):
        (WebViewHost::clearHeaders):

2010-05-10  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Eric Seidel.

        new-run-webkit-tests: fix a path-handling bug that was breaking the
        dryrun ports on windows, and add a comment about why we don't run
        the chromium dryrun tests by default on every port.

        https://bugs.webkit.org/show_bug.cgi?id=38796

        * Scripts/webkitpy/layout_tests/port/dryrun.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests_unittest.py:

2010-05-11  Mark Rowe  <mrowe@apple.com>

        Reviewed by Darin Adler.

        <http://webkit.org/b/38941> build-webkit shouldn't always override ENABLE_FOO Xcode configuration settings

        * Scripts/build-webkit: Don't pass the ENABLE setting to xcodebuild if the value matches the default.
        This will lead to xcodebuild picking up the settings from FeatureDefines.xcconfig, and will aid in
        revealing problems that are due to inconsistent values for settings across projects.

2010-05-11  Mark Rowe  <mrowe@apple.com>

        Build fix.

        * DumpRenderTree/mac/LayoutTestControllerMac.mm:

2010-05-10  Ojan Vafai  <ojan@chromium.org>

        Reviewed by David Levin.

        CheckStyle was eating script errors when there were local-commits and working copy changes
        https://bugs.webkit.org/show_bug.cgi?id=38880

        * Scripts/webkitpy/tool/steps/checkstyle.py:
        * Scripts/webkitpy/tool/steps/checkstyle_unittest.py: Added.

2010-05-11  Jian Li  <jianli@chromium.org>

        Reviewed by Dmitry Titov.

        Expose FileReader interface.
        https://bugs.webkit.org/show_bug.cgi?id=38609

        * Scripts/build-webkit: turn on building FileReader for Apple's WebKit.

2010-05-10  Tony Chang  <tony@chromium.org>

        Reviewed by Kent Tamura.

        [chromium] Build DRT when running build-webkit --chromium
        https://bugs.webkit.org/show_bug.cgi?id=38730

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp: Removed.
        * Scripts/build-dumprendertree: This does nothing now.

2010-05-10  Jon Honeycutt  <jhoneycutt@apple.com>

        REGRESSION(r59100): Added test is broken on many platforms.
        https://bugs.webkit.org/show_bug.cgi?id=38881

        Reviewed by Eric Seidel.

        * DumpRenderTree/win/TestNetscapePlugin/main.cpp:
        (NPP_Destroy):
        Use pluginLog, rather than printf, to match other platforms.

2010-05-10  Dirk Pranke  <dpranke@chromium.org>

        Unreviewed, build fix.

        Fix a build failure caused by assuming the default platform in
        a unit test for new-run-webkit-tests instead of specifying
        --platform test.

        * Scripts/webkitpy/layout_tests/run_webkit_tests_unittest.py:

2010-05-10  Dirk Pranke  <dpranke@chromium.org>

        Unreviewed, build-fix

        new-run-webkit-tests: fix test failure caused by me failing to update
        the expected output. Also, run '--platform test' instead of
        'platform dryrun' since the former is guaranteed to work and the
        latter isn't.

        * Scripts/webkitpy/layout_tests/run_webkit_tests_unittest.py:

2010-05-10  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by David Levin.

        new-run-webkit-tests: looks like the unicode conversion broke
        --print-last-failures and --retest-last-failures. Fixing.

        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests_unittest.py:

2010-05-10  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by David Levin.

        Re-attempt to fix 38616 - newline handling in new-run-webkit-tests.
        I didn't handle some cases correctly before and the solution was
        confusing. The new patch assumes all calls to the printing module
        don't have newlines, and will append newlines where necessary, just
        like logging does.

        https://bugs.webkit.org/show_bug.cgi?id=38790

        * Scripts/webkitpy/layout_tests/layout_package/metered_stream.py:
        * Scripts/webkitpy/layout_tests/layout_package/metered_stream_unittest.py:
        * Scripts/webkitpy/layout_tests/layout_package/printing.py:
        * Scripts/webkitpy/layout_tests/layout_package/printing_unittest.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests_unittest.py:

2010-05-10  Kent Tamura  <tkent@chromium.org>

        Reviewed by Adam Barth.

        Make tkent a reviewer
        https://bugs.webkit.org/show_bug.cgi?id=38875

        * Scripts/webkitpy/common/config/committers.py:

2010-05-07  Jon Honeycutt  <jhoneycutt@apple.com>

        Crash closing window containing Flash plug-in
        https://bugs.webkit.org/show_bug.cgi?id=38797
        <rdar://problem/7935266>

        Reviewed by Eric Seidel.

        * DumpRenderTree/TestNetscapePlugIn.subproj/PluginObject.cpp:
        (pluginAllocate):
        Initialize new member to false.

        * DumpRenderTree/TestNetscapePlugIn.subproj/PluginObject.h:
        Added a new member.

        * DumpRenderTree/win/TestNetscapePlugin/main.cpp:
        (NPP_New):
        Check whether the element has the "testGetURLOnDestroy" attribute, and
        record that.
        (NPP_Destroy):
        If "testGetURLOnDestroy" is set, perform a load while destroying the
        plug-in.

2010-05-10  Eric Seidel  <eric@webkit.org>

        Reviewed by David Levin.

        Executive.kill_* do not work with windows python
        https://bugs.webkit.org/show_bug.cgi?id=38872

        http://trac.webkit.org/changeset/57444 is where the original
        breakage occurred.
        http://trac.webkit.org/changeset/58314 is where the regression
        started affecting chromium.

        I have since learned that sys.platform has no "windows" value.
        "win32" is always the value, under 32 or 64 bit windows

        The tests for this code are not run anywhere because
        test-webkitpy does not yet work on "win32".  Mostly due to
        depending on unixisms like "cat" and "yes".

        * Scripts/webkitpy/common/system/executive.py:
        * Scripts/webkitpy/common/system/executive_unittest.py:

2010-05-10  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Eric Seidel.

        Fix a bug in rebaseline-chromium-webkit-tests where we would crash
        instead of logging an error and exiting if it couldn't find either a
        debug or a release build of the image diff binary.

        https://bugs.webkit.org/show_bug.cgi?id=38692

        * Scripts/webkitpy/layout_tests/rebaseline_chromium_webkit_tests.py:
        * Scripts/webkitpy/layout_tests/rebaseline_chromium_webkit_tests_unittest.py: Added.

2010-05-10  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        new-run-webkit-tests fails when run under sys.platform == "windows" due to undefined signal.SIGKILL
        https://bugs.webkit.org/show_bug.cgi?id=38861

        * Scripts/webkitpy/common/system/executive.py:
        * Scripts/webkitpy/common/system/executive_unittest.py:

2010-05-10  Jer Noble  <jer.noble@apple.com>

        Unreviewed.

        Adding myself as a committer.

        * Scripts/webkitpy/common/config/committers.py:

2010-05-10  Hans Wennborg  <hans@chromium.org>

        Reviewed by Jeremy Orlow.

        [Chromium] Add quota parameter to WebViewClient::createSessionStorageNamespace()
        https://bugs.webkit.org/show_bug.cgi?id=38750

        Put a per-origin quota on session storage since it is using memory in
        the browser process, and should not be allowed to grow arbitrarily
        large. See also http://trac.webkit.org/changeset/58828.

        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::createSessionStorageNamespace):
        * DumpRenderTree/chromium/WebViewHost.h:

2010-05-10  Csaba Osztrogonác  <ossy@webkit.org>

        Rubber-stamped by Simon Hausmann.

        [Qt] Roll-out r59020 and r59021, because the Qt part of these changes
        haven't been landed in Qt trunk yet. Should be rolled-in again after the merge.

        https://bugs.webkit.org/show_bug.cgi?id=32967

        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        (WebCore::WebPage::WebPage):
        (WebCore::DumpRenderTree::DumpRenderTree):
        * DumpRenderTree/qt/DumpRenderTreeQt.h:

2010-05-09  Daniel Bates  <dbates@rim.com>

        Reviewed by Chris Jerdonek.

        https://bugs.webkit.org/show_bug.cgi?id=38812

        Make the regular expressions for parsing the start of an SVN
        and Git header global variables since they are used throughout
        VCSUtils.pm.

        * Scripts/VCSUtils.pm:

2010-05-09  Chris Jerdonek  <cjerdonek@webkit.org>

        Reviewed by Daniel Bates.

        Finished moving the header-parsing logic from svn-apply and -unapply
        to VCSUtils.pm's parsing methods.

        https://bugs.webkit.org/show_bug.cgi?id=38802

        * Scripts/VCSUtils.pm:
          - Added to parseGitDiffHeader() the ability to parse and store
            whether a file is new or deleted.
          - Also reordered in parseGitDiffHeader() some of the else statements
            to a more readable ordering.
          - Added to parseSvnDiffHeader() the ability to parse and store
            whether a file is new.
        * Scripts/svn-apply:
          - Changed handleGitBinaryChange() to use the new "isNew" and "isDeletion"
            diffHash key-values.
          - Changed patch() to use the new "isNew" diffHash key-value.
        * Scripts/svn-unapply:
          - Changed patch() to use the new "isNew" and "isDeletion" diffHash key-values.
        * Scripts/webkitperl/VCSUtils_unittest/parseDiff.pl:
          - Added unit tests for new and deleted files.
        * Scripts/webkitperl/VCSUtils_unittest/parseGitDiffHeader.pl:
          - Updated the unit tests as necessary.
          - Added a unit test for a deleted file.
        * Scripts/webkitperl/VCSUtils_unittest/parseSvnDiffHeader.pl:
          - Updated the unit tests as necessary.

2010-05-08  Chris Jerdonek  <cjerdonek@webkit.org>

        Reviewed by Daniel Bates.

        Added to svn-apply support for git renames and copies with similarity
        index less than 100%.

        https://bugs.webkit.org/show_bug.cgi?id=32834

        * Scripts/VCSUtils.pm:
          - Added to parseGitDiffHeader() support for renames and similarity
            index less than 100%.
          - Added to parseDiff() support for processing renames, renames with
            changes, and copies with changes.
          - Added to parsePatch() the ability to process multiple return
            values from parseDiff().
        * Scripts/svn-apply:
          - Added to patch() the ability to process diff hashes with the
            isDeletion key-value set.
        * Scripts/webkitperl/VCSUtils_unittest/parseDiff.pl:
          - Updated the unit tests as necessary.
          - Added unit tests for rename with similarity index 100%,
            rename with similarity index < 100%, and rename with a change
            to the executable bit.
        * Scripts/webkitperl/VCSUtils_unittest/parseGitDiffHeader.pl:
          - Added unit tests for rename with similarity index 100%,
            rename with similarity index < 100%, and rename with a change
            to the executable bit.
        * Scripts/webkitperl/VCSUtils_unittest/parsePatch.pl:
          - Updated the unit tests as necessary.
        * Scripts/webkitperl/VCSUtils_unittest/parseSvnDiffHeader.pl:
          - Simplified the carriage-return unit test to more narrowly test
            only carriage returns.

2010-05-08  Chris Jerdonek  <cjerdonek@webkit.org>

        Reviewed by Daniel Bates.

        This revision suppresses the misleading "error: pathspec..." messages
        when using svn-apply to add a binary file from a Git diff.

        https://bugs.webkit.org/show_bug.cgi?id=38047

        When adding a new binary file from a Git diff, svn-apply prints
        a misleading error of the form -- "error: pathspec '<filename>' did
        not match any file(s) known to git.  Did you forget to 'git add'?"
        This patch suppresses these messages since they are normal.

        * Scripts/VCSUtils.pm:
          Added the callSilently() subroutine from runPatchCommand.pl, which
          executes a Perl function while suppressing STDERR.
        * Scripts/svn-apply:
          Refactored the Git portion of scmKnowsOfFile() into a
          gitKnowsOfFile(), and called this new subroutine using callSilently().
        * Scripts/webkitperl/VCSUtils_unittest/runPatchCommand.pl:
          Removed callSilently() since it was moved to VCSUtils.pm in this patch.

2010-05-08  Victor Wang  <victorw@chromium.org>

        Reviewed by Adam Barth.

        [chromium]: Upload test results json files to app engine server
        Add an option to run_webkit_tests.py to upload generated
        JSON files to app engine server. These JSON files will be used
        by chromium layout test falkiness dashboard.

        https://bugs.webkit.org/show_bug.cgi?id=36063

        * Scripts/webkitpy/layout_tests/layout_package/test_results_uploader.py: Added.
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:

2010-05-08  Laszlo Gombos  <laszlo.1.gombos@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Build the ImageDiff tool for all platforms including Windows and Symbian
        https://bugs.webkit.org/show_bug.cgi?id=38706

        Use qmath.h instead of math.h to make it portable.

        * DumpRenderTree/qt/ImageDiff.cpp:
        (main):

2010-05-08  Robert Hogan  <robert@roberthogan.net>

        Reviewed by Simon Hausmann.

        [Qt] Fix http/tests/xmlhttprequest/cross-origin-no-authorization.html
             and http/tests/xmlhttprequest/cross-origin-authorization.html

        QHttpNetworkRequest adds Authorization and Cookie headers to XHRs
        without knowing if this is valid behaviour or not. In order to allow
        Qt to decide whether Cookie/Authorization headers should be added
        to an XHR QtWebKit needs to use an attribute added to QNetworkRequest.
        These new attributes are: QNetworkRequest::CookieLoadControlAttribute,
        QNetworkRequest::CookieSaveControlAttribute,and
        QNetworkRequest::AuthenticationReuseControlAttribute.

        In order to properly support the tests, Qt's DRT needs to use one
        NetworkAccessManager for all pages. This allows it to use cached
        credentials where appropriate.

        The tests now pass when run individually but there seems to be a problem with
        leaking the results of requests across tests when run with the others in
        http/tests. This will be addressed in a separate patch.

        https://bugs.webkit.org/show_bug.cgi?id=32967


        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        (WebCore::WebPage::WebPage):
        (WebCore::DumpRenderTree::DumpRenderTree):
        * DumpRenderTree/qt/DumpRenderTreeQt.h:


2010-05-04  Robert Hogan  <robert@webkit.org>

        Reviewed by Eric Seidel.

        [Qt] unskip http/tests/plugins/npapi-response-headers.html

        Turns out this failed because run-webkit-tests was eating the first occurrence
        of 'Content-Type: text/plain' in the test output as a header. Strange but true.
        So do as Chromium does and preface all text dumps with the
        'Content-Type: text/plain' header.

        https://bugs.webkit.org/show_bug.cgi?id=38541

        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        (WebCore::DumpRenderTree::dump):

2010-05-08  Eric Seidel  <eric@webkit.org>

        Reviewed by Daniel Bates.

        test-webkitpy fails under cygwin
        https://bugs.webkit.org/show_bug.cgi?id=38718

        * Scripts/webkitpy/common/system/executive.py:
         - Add _KILL_PROCESS_KILLED_PROCESS_EXIT_CODE and
           _KILL_ALL_KILLED_PROCESS_EXIT_CODE to store the expected
           exit codes of processes killed by kill_process and kill_all.
           These two constants are only used by the unit tests but are
           stored in executive.py so they can be right next to the platform ifs.
         - Remove unnecessary str() conversion, run_command does that for us.
         - Make os.kill retry on cygwin on EAGAIN.  It's unclear why CYGWIN
           throws EAGAIN, but it only does so sometimes.  3 may not be enough
           retries, but we'll try it to start with.
         - Add _windows_image_name to automatically convert "yes" to "yes.exe"
           for use with taskkill.exe /im.  Various callers to kill_all could
           be updated to remove the .exe, but that can be done in another patch.
         - Use taskkill.exe for killall on cygwin.
        * Scripts/webkitpy/common/system/executive_unittest.py:
         - Use the new *_KILLED_PROCESS_EXIT_CODE constants which are correctly
           set to 0 on windows/cygwin systems where taskkill.exe is used.
         - Test _windows_image_name
        * Scripts/webkitpy/layout_tests/port/chromium_win.py:
         - Add FIXME about including mac-snowleopard in baseline_search_path.
        * Scripts/webkitpy/layout_tests/port/webkit.py:
         - Make default_configuration actually read from the Configuration file.
        * Scripts/webkitpy/layout_tests/port/webkit_unittest.py: Added.
         - Test default_configuration
        * Scripts/webkitpy/layout_tests/port/win.py:
         - Need a basic baseline_search_path if --platform dryrun is to work.

2010-05-08  Eric Seidel  <eric@webkit.org>

        Unreviewed, just reverting commit.

        REGRESSION(59000): r59000 contained all sorts of changes it should not have, needs revert.
        https://bugs.webkit.org/show_bug.cgi?id=38798

        * Scripts/webkitpy/common/system/executive.py:
        * Scripts/webkitpy/common/system/executive_unittest.py:
        * Scripts/webkitpy/layout_tests/port/chromium_linux.py:
        * Scripts/webkitpy/layout_tests/port/chromium_mac.py:
        * Scripts/webkitpy/layout_tests/port/chromium_win.py:
        * Scripts/webkitpy/layout_tests/port/mac.py:
        * Scripts/webkitpy/layout_tests/port/webkit.py:
        * Scripts/webkitpy/layout_tests/port/webkit_unittest.py: Removed.
        * Scripts/webkitpy/layout_tests/port/win.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests_unittest.py:
        * Scripts/webkitpy/tool/commands/download.py:
        * Scripts/webkitpy/tool/commands/download_unittest.py:

2010-05-06  Eric Seidel  <eric@webkit.org>

        Reviewed by Daniel Bates.

        test-webkitpy fails under cygwin
        https://bugs.webkit.org/show_bug.cgi?id=38718

        * Scripts/webkitpy/common/system/executive.py:
         - Add _KILL_PROCESS_KILLED_PROCESS_EXIT_CODE and
           _KILL_ALL_KILLED_PROCESS_EXIT_CODE to store the expected
           exit codes of processes killed by kill_process and kill_all.
           These two constants are only used by the unit tests but are
           stored in executive.py so they can be right next to the platform ifs.
         - Remove unnecessary str() conversion, run_command does that for us.
         - Make os.kill retry on cygwin on EAGAIN.  It's unclear why CYGWIN
           throws EAGAIN, but it only does so sometimes.  3 may not be enough
           retries, but we'll try it to start with.
         - Add _windows_image_name to automatically convert "yes" to "yes.exe"
           for use with taskkill.exe /im.  Various callers to kill_all could
           be updated to remove the .exe, but that can be done in another patch.
         - Use taskkill.exe for killall on cygwin.
        * Scripts/webkitpy/common/system/executive_unittest.py:
         - Use the new *_KILLED_PROCESS_EXIT_CODE constants which are correctly
           set to 0 on windows/cygwin systems where taskkill.exe is used.
         - Test _windows_image_name
        * Scripts/webkitpy/layout_tests/port/chromium_win.py:
         - Add FIXME about including mac-snowleopard in baseline_search_path.
        * Scripts/webkitpy/layout_tests/port/webkit.py:
         - Make default_configuration actually read from the Configuration file.
        * Scripts/webkitpy/layout_tests/port/webkit_unittest.py: Added.
         - Test default_configuration
        * Scripts/webkitpy/layout_tests/port/win.py:
         - Need a basic baseline_search_path if --platform dryrun is to work.

 2010-05-07  Eric Seidel  <eric@webkit.org>

         Reviewed by Nikolas Zimmermann.

         DryrunTest fails on every platform other than mac
         https://bugs.webkit.org/show_bug.cgi?id=38796

         The test uses the port detection logic to find a suitable
         port to use results from.  However that detection logic assumes
         chromium on linux, which requires a chromium checkout which the
         bots don't have.  The test is broken and we'll need to fix it.
         For now I'm just going to disable the test on all platforms besides mac.

         * Scripts/webkitpy/layout_tests/run_webkit_tests_unittest.py:

 2010-05-07  Eric Seidel  <eric@webkit.org>

         Reviewed by Daniel Bates.

         Clean up baseline_search_path to use map to reduce copy/paste code
         https://bugs.webkit.org/show_bug.cgi?id=38792

         Reading which portnames a port falls back to is easier if
         we convert port names to paths with map instead of using copy/paste code.

         * Scripts/webkitpy/layout_tests/port/chromium_linux.py:
         * Scripts/webkitpy/layout_tests/port/chromium_mac.py:
         * Scripts/webkitpy/layout_tests/port/chromium_win.py:
         * Scripts/webkitpy/layout_tests/port/mac.py:

 2010-05-07  Eric Seidel  <eric@webkit.org>

         Reviewed by Daniel Bates.

         rollout commands fail when commit is missing bug number
         https://bugs.webkit.org/show_bug.cgi?id=38791

         * Scripts/webkitpy/tool/commands/download.py:
          - _commit_info failed to actually return the CommitInfo in the no-bug-id case.
         * Scripts/webkitpy/tool/commands/download_unittest.py:
          - Test that the fix worked.

2010-05-07  Darin Fisher  <darin@chromium.org>

        Fix build bustage: toElement<T> should be to<T>.

        * DumpRenderTree/chromium/LayoutTestController.cpp:
        (LayoutTestController::elementDoesAutoCompleteForElementWithId):

2010-05-07  Chris Jerdonek  <cjerdonek@webkit.org>

        Reviewed by Daniel Bates.

        Refactored VCSUtils.pm's parse-related methods to leave inapplicable
        hash values unset instead of setting them to "undef".

        https://bugs.webkit.org/show_bug.cgi?id=38724

        Preferring "not set" over "undef" keeps the unit tests smaller and
        easier to maintain.  Otherwise, we would have to update every unit
        test case each time we add support for a new key-value pair --
        instead of just the relevant ones.

        * Scripts/VCSUtils.pm:
          - In parseGitDiffHeader(), adjusted the handling of these key-values:
            executableBitDelta and isBinary.
          - In parseSvnDiffHeader(), adjusted the handling of these key-values:
            copiedFromPath, isBinary, and sourceRevision.
          - In parseDiffHeader(), adjusted the handling of these key-values:
            isGit and isSvn.
          - In parseDiff(), adjusted the handling of these key-values:
            isBinary, isGit, isSvn, and sourceRevision.

        * Scripts/webkitperl/VCSUtils_unittest/parseDiff.pl:
          - Updated the unit tests as necessary.

        * Scripts/webkitperl/VCSUtils_unittest/parseDiffHeader.pl:
          - Updated the unit tests as necessary.

        * Scripts/webkitperl/VCSUtils_unittest/parseGitDiffHeader.pl:
          - Updated the unit tests as necessary.

        * Scripts/webkitperl/VCSUtils_unittest/parseSvnDiffHeader.pl:
          - Updated the unit tests as necessary.

2010-05-06  Mark Rowe  <mrowe@apple.com>

        Rubber-stamped by Dan Bernstein.

        Exclude leaks due to <rdar://problem/7815391> from the output.

        * Scripts/old-run-webkit-tests:

2010-05-06  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r58933.
        http://trac.webkit.org/changeset/58933
        https://bugs.webkit.org/show_bug.cgi?id=38717

        "Broke all websocket tests on Tiger" (Requested by eseidel on
        #webkit).

        * Scripts/new-run-webkit-websocketserver:
        * Scripts/old-run-webkit-tests:
        * Scripts/run-webkit-websocketserver:
        * Scripts/webkitpy/layout_tests/port/websocket_server.py:
        * Scripts/webkitpy/thirdparty/__init__.py:
        * Scripts/webkitpy/thirdparty/pywebsocket/COPYING: Added.
        * Scripts/webkitpy/thirdparty/pywebsocket/MANIFEST.in: Added.
        * Scripts/webkitpy/thirdparty/pywebsocket/README: Added.
        * Scripts/webkitpy/thirdparty/pywebsocket/README.webkit: Added.
        * Scripts/webkitpy/thirdparty/pywebsocket/example/echo_client.py: Added.
        * Scripts/webkitpy/thirdparty/pywebsocket/example/echo_wsh.py: Added.
        * Scripts/webkitpy/thirdparty/pywebsocket/example/handler_map.txt: Added.
        * Scripts/webkitpy/thirdparty/pywebsocket/mod_pywebsocket/__init__.py: Added.
        * Scripts/webkitpy/thirdparty/pywebsocket/mod_pywebsocket/dispatch.py: Added.
        * Scripts/webkitpy/thirdparty/pywebsocket/mod_pywebsocket/handshake.py: Added.
        * Scripts/webkitpy/thirdparty/pywebsocket/mod_pywebsocket/headerparserhandler.py: Added.
        * Scripts/webkitpy/thirdparty/pywebsocket/mod_pywebsocket/memorizingfile.py: Added.
        * Scripts/webkitpy/thirdparty/pywebsocket/mod_pywebsocket/msgutil.py: Added.
        * Scripts/webkitpy/thirdparty/pywebsocket/mod_pywebsocket/standalone.py: Added.
        * Scripts/webkitpy/thirdparty/pywebsocket/mod_pywebsocket/util.py: Added.
        * Scripts/webkitpy/thirdparty/pywebsocket/setup.py: Added.
        * Scripts/webkitpy/thirdparty/pywebsocket/test/config.py: Added.
        * Scripts/webkitpy/thirdparty/pywebsocket/test/mock.py: Added.
        * Scripts/webkitpy/thirdparty/pywebsocket/test/run_all.py: Added.
        * Scripts/webkitpy/thirdparty/pywebsocket/test/test_dispatch.py: Added.
        * Scripts/webkitpy/thirdparty/pywebsocket/test/test_handshake.py: Added.
        * Scripts/webkitpy/thirdparty/pywebsocket/test/test_memorizingfile.py: Added.
        * Scripts/webkitpy/thirdparty/pywebsocket/test/test_mock.py: Added.
        * Scripts/webkitpy/thirdparty/pywebsocket/test/test_msgutil.py: Added.
        * Scripts/webkitpy/thirdparty/pywebsocket/test/test_util.py: Added.
        * Scripts/webkitpy/thirdparty/pywebsocket/test/testdata/README: Added.
        * Scripts/webkitpy/thirdparty/pywebsocket/test/testdata/handlers/blank_wsh.py: Added.
        * Scripts/webkitpy/thirdparty/pywebsocket/test/testdata/handlers/origin_check_wsh.py: Added.
        * Scripts/webkitpy/thirdparty/pywebsocket/test/testdata/handlers/sub/exception_in_transfer_wsh.py: Added.
        * Scripts/webkitpy/thirdparty/pywebsocket/test/testdata/handlers/sub/no_wsh_at_the_end.py: Added.
        * Scripts/webkitpy/thirdparty/pywebsocket/test/testdata/handlers/sub/non_callable_wsh.py: Added.
        * Scripts/webkitpy/thirdparty/pywebsocket/test/testdata/handlers/sub/plain_wsh.py: Added.
        * Scripts/webkitpy/thirdparty/pywebsocket/test/testdata/handlers/sub/wrong_handshake_sig_wsh.py: Added.
        * Scripts/webkitpy/thirdparty/pywebsocket/test/testdata/handlers/sub/wrong_transfer_sig_wsh.py: Added.
        * Scripts/webkitpy/thirdparty/pywebsocket/test/testdata/hello.pl: Added.

2010-05-06  Fumitoshi Ukai  <ukai@chromium.org>

        Reviewed by David Levin.

        WebSocket: pywebsocket 0.5
        https://bugs.webkit.org/show_bug.cgi?id=38034

        Remove pywebsocket from webkitpy/thirdparty.
        Make pywebsocket autoinstalled.

        * Scripts/new-run-webkit-websocketserver:
          Add --output-dir option.
        * Scripts/old-run-webkit-tests:
          Use new-run-webkit-websocketserver, rather than directly run pywebsocket's standalone.py
        * Scripts/run-webkit-websocketserver:
          Ditto.
        * Scripts/webkitpy/layout_tests/port/websocket_server.py:
          Use autoinstalled pywebsocket.
        * Scripts/webkitpy/thirdparty/__init__.py:
          Autoinstall pywebsocket
        * Scripts/webkitpy/thirdparty/pywebsocket: Removed.

2010-05-06  Chris Jerdonek  <cjerdonek@webkit.org>

        Reviewed by Daniel Bates.

        svn-apply now understands the Git diff "copy from" syntax when the
        similarity index is 100%.

        https://bugs.webkit.org/show_bug.cgi?id=38628

        * Scripts/VCSUtils.pm:
          - Adjusted parseGitDiffHeader() to parse the "copy from" and
            "similarity index" lines.

        * Scripts/svn-unapply:
          - Adjusted the patch() subroutine so that copies are recognized
            as file additions.

        * Scripts/webkitperl/VCSUtils_unittest/parseGitDiffHeader.pl:
          - Added unit tests for the cases of a copy with similarity index
            100% and less than 100%.

2010-05-06  Chris Jerdonek  <cjerdonek@webkit.org>

        Reviewed by Daniel Bates.

        Removed the need for svn-apply and -unapply to re-parse whether
        a diff is binary or not.

        https://bugs.webkit.org/show_bug.cgi?id=38320

        * Scripts/VCSUtils.pm:
          - Adjusted parseGitDiffHeader() to set the isBinary key.
          - Adjusted parseSvnDiffHeader() to set the isBinary key.
          - Adjusted parseDiffHeader() to set the isBinary key.
          - Changed the scmFormat key set by parseDiffHeader() to
            isGit and isSvn keys.
          - Adjusted parseDiff() to set the isBinary, isGit, and isSvn keys.

        * Scripts/svn-apply:
          - Updated the patch() method to use the isBinary, isGit, and
            isSvn keys.

        * Scripts/svn-unapply:
          - Updated the patch() method to use the isBinary and isSvn keys.

        * Scripts/webkitperl/VCSUtils_unittest/parseDiff.pl:
          - Updated the unit tests as necessary.
          - Added a test case to test that the isBinary key is getting set properly.

        * Scripts/webkitperl/VCSUtils_unittest/parseDiffHeader.pl:
          - Updated the unit tests as necessary.

        * Scripts/webkitperl/VCSUtils_unittest/parseGitDiffHeader.pl:
          - Updated the unit tests as necessary.

        * Scripts/webkitperl/VCSUtils_unittest/parseSvnDiffHeader.pl:
          - Updated the unit tests as necessary.

2010-05-06  Kent Tamura  <tkent@chromium.org>

        Reviewed by Dimitri Glazkov.

        [DRT/Chromium] Add support for resources on Mac
        https://bugs.webkit.org/show_bug.cgi?id=38637

        Repack webkit_chromium_resources.pak, webkit_strings_en-US.pak,
        and webkit_resources.pak, and put them as Mac bundle resource.
        The 'actions' section is almost same as a part of test_shell.gypi.

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:

2010-05-06  Csaba Osztrogonác  <ossy@webkit.org>

        [Qt] Unreviewed buildfix after r58917.

        * DumpRenderTree/qt/LayoutTestControllerQt.h: Missing function declaration added.

2010-05-06  Anders Carlsson  <andersca@apple.com>

        Reviewed by Darin Adler and Dan Bernstein..

        REGRESSION (r51617): when plugins are disabled, plugins show up as garbage characters
        https://bugs.webkit.org/show_bug.cgi?id=38698
        <rdar://problem/7942075>

        Add a 'setPluginsEnabled' layoutTestController function for disabling plug-ins. This is only implemented on Mac currently
        because the bug that needs this functionality is mac specific.

        * DumpRenderTree/LayoutTestController.cpp:
        (setPluginsEnabledCallback):
        (LayoutTestController::staticFunctions):
        * DumpRenderTree/LayoutTestController.h:
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::setPluginsEnabled):
        * DumpRenderTree/mac/DumpRenderTree.mm:
        (resetDefaultsToConsistentValues):
        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (LayoutTestController::setPluginsEnabled):
        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        (LayoutTestController::setPluginsEnabled):
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::setPluginsEnabled):
        * DumpRenderTree/wx/LayoutTestControllerWx.cpp:
        (LayoutTestController::setPluginsEnabled):

2010-05-06  Jochen Eisinger  <jochen@chromium.org>

        Reviewed by Dimitri Glazkov.

        Make ImageDiff depend on WebKit. When compiled from within Chromium, WTF is not a standalone dynamic library but depends on WebKit.
        https://bugs.webkit.org/show_bug.cgi?id=38632

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:

2010-05-06  Simon Hausmann  <simon.hausmann@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Replace public inspector url with private property for QtLauncher
        https://bugs.webkit.org/show_bug.cgi?id=35340

        Replace the public API with a private dynamic property until this feature
        is ready.

        * QtLauncher/main.cpp:
        (LauncherWindow::init):

2010-05-05  Joseph Pecoraro  <joepeck@webkit.org>

        Reviewed by Pavel Feldman.

        Web Inspector: build-webkit --inspector-frontend Should Exclude *.re2js
        https://bugs.webkit.org/show_bug.cgi?id=38449

        * Scripts/webkitdirs.pm:

2010-05-05  Charles Wei  <charles.wei@torchmobile.com.cn>

        Reviewed by George Staikos

        This patch adds WCSS -wap-input-format and -wap-input-required support to WebKit
        Make the test cases in fast/wcss optionional only when  WCSS is enabled.

        https://bugs.webkit.org/show_bug.cgi?id=37848

        * Scripts/old-run-webkit-tests:
        * Scripts/webkitperl/features.pm:

2010-05-05  Kent Tamura  <tkent@chromium.org>

        Reviewed by Eric Seidel.

        [DRT/Chromium] Remove InitWebCoreSystemInterface() call
        https://bugs.webkit.org/show_bug.cgi?id=38624

        Chromium r45167 <http://src.chromium.org/viewvc/chrome?view=rev&revision=45167>
        added InitWebCoreSystemInterface() to webkit/support/platform_support_mac.mm.
        So we don't need to call it from DumpRenderTree.cpp anymore.

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:
        * DumpRenderTree/chromium/DumpRenderTree.cpp:
        (main): Remove InitWebCoreSystemInterface().

2010-05-05  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Eric Seidel.

        new-run-webkit-tests: clean up newline handling in printing

        The new printing module seems to handle newlines somewhat
        inconsistently, especially in --verbose mode. This change cleans up
        the code to make things more consistent and adds a bunch of unit tests.

        https://bugs.webkit.org/show_bug.cgi?id=38616

        * Scripts/webkitpy/common/array_stream.py: Added.
        * Scripts/webkitpy/common/array_stream_unittest.py: Added.
        * Scripts/webkitpy/layout_tests/layout_package/metered_stream.py:
        * Scripts/webkitpy/layout_tests/layout_package/metered_stream_unittest.py: Added.
        * Scripts/webkitpy/layout_tests/layout_package/printing.py:
        * Scripts/webkitpy/layout_tests/layout_package/printing_unittest.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests_unittest.py:

2010-05-05  James Robinson  <jamesr@chromium.org>

        Reviewed by Adam Barth.

        Ban the single letter 'l' as an identifier name
        http://trac.webkit.org/changeset/58844

        Add a lint rule to ban the single letter 'l' as an identifier name
        since it is very easy to confuse with the numeral '1', especially
        in code like WebCore/css/CSSHelper.cpp.

        See http://trac.webkit.org/changeset/58844 as an example of a bug
        caused by confusing short variable names.

        * Scripts/webkitpy/style/checkers/cpp.py:
        * Scripts/webkitpy/style/checkers/cpp_unittest.py:

2010-05-04  Eric Seidel  <eric@webkit.org>

        Reviewed by Shinichiro Hamaji.

        PrettyPatch.pretty_diff("") should not hang
        https://bugs.webkit.org/show_bug.cgi?id=38552

        Also found a bug in PrettyPatch.pretty_diff where it would
        hang when passed "" as input.

        I suspect there may be bugs in prettify.rb (or our use there-of)
        where it can hang, which would then cause the testing thread to hang.

        * Scripts/webkitpy/common/prettypatch.py:
         - Don't hang when passed ""
        * Scripts/webkitpy/common/prettypatch_unittest.py:
         - Test that we don't hang when passed ""
        * Scripts/webkitpy/layout_tests/port/base.py:
         - Add a FIXME that we should share code with prettypatch.rb

2010-05-04  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Eric Seidel.

        new-run-webkit-tests: turn off threading on the Chromium Mac port until
        we can stabilize the port more and figure out why it is hanging so
        frequently.

        https://bugs.webkit.org/show_bug.cgi?id=38553

        * Scripts/webkitpy/layout_tests/port/chromium_mac.py:
          - override default_child_processes() and log a warning
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
          - fix a typo that caused us to print a method object instead of the
            value the method object returns in the case where there is only
            one child process.
        * Scripts/webkitpy/layout_tests/run_webkit_tests_unittest.py:
          - Add unit tests for the output of run_webkit_tests - in this case,
            the handling of --child-processes and --print config

2010-05-04  Timothy Hatcher  <timothy@apple.com>

        Fix the find command in extract-localizable-strings so skip
        directories are correctly skipped and header files are searched.

        https://bugs.webkit.org/show_bug.cgi?id=38545
        rdar://problem/7941295

        Reviewed by Darin Adler.

        * Scripts/extract-localizable-strings: Append -o after each -prune
        so -and isn't implied. Surround all the -name arguments so they get
        an implied -print action. Removed check for "icu". Skip any header that
        ends in LocalizableStrings.h, so SafariLocalizableStrings.h is skipped.
        * Scripts/update-webkit-localizable-strings: Add the two icu directories
        to the skip list.

2010-05-04  Jesus Sanchez-Palencia  <jesus@webkit.org>

        Reviewed by Eric Seidel.

        Wrong documentation on 'webkit-patch help land'.
        https://bugs.webkit.org/show_bug.cgi?id=37871

        Small fix on the help documentation for webkit-patch
        land.

        * Scripts/webkitpy/tool/commands/download.py:

2010-05-04  Laszlo Gombos  <laszlo.1.gombos@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] QWebPage viewMode property
        https://bugs.webkit.org/show_bug.cgi?id=38119

        Rename the property from wrt_viewMode to _q_viewMode.

        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        (LayoutTestController::setViewModeMediaFeature):

2010-05-04  Jochen Eisinger  <jochen@chromium.org>

        Reviewed by Jeremy Orlow.

        Fix typo in run_webkit_tests.py: s/_print\./_printer./
        https://bugs.webkit.org/show_bug.cgi?id=38515

        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:

2010-05-04  Chris Jerdonek  <cjerdonek@webkit.org>

        Reviewed by Eric Seidel.

        This revision completes the terminology change from "processor" to
        "checker" for the CarriageReturnProcessor, CppProcessor,
        PythonProcessor, and TextProcessor classes, etc.

        https://bugs.webkit.org/show_bug.cgi?id=38262

        The word "processor" currently has two uses in our code.  This
        revision renames the lower-level use to "checker" and preserves the
        word "processor" for higher-level, more general uses.  This
        revision also makes whatever other name changes that logically
        followed from this change.

        * Scripts/check-webkit-style:
          - Updated references to PatchChecker.

        * Scripts/webkitpy/style/checker.py:
          - Renamed the StyleCheckerConfiguration class to
            StyleProcessorConfiguration.
          - Renamed the ProcessorDispatcher class to CheckerDispatcher, and
            made similar changes for the class's method names.
          - Renamed the PatchChecker class to PatchReader.
          - Updated the file as necessary to accommodate the other class
            renames in this patch.

        * Scripts/webkitpy/style/checker_unittest.py:
          - Updated the unit test code as necessary.

        * Scripts/webkitpy/style/checkers/common.py:
          - Renamed the CarriageReturnProcessor class to CarriageReturnChecker,
            and changed its process() method to check().

        * Scripts/webkitpy/style/checkers/common_unittest.py:
          - Updated the unit test code as necessary.

        * Scripts/webkitpy/style/checkers/cpp.py:
          - Renamed the CppProcessor class to CppChecker, and renamed its
            process() method to check().

        * Scripts/webkitpy/style/checkers/cpp_unittest.py:
          - Updated the unit test code as necessary.

        * Scripts/webkitpy/style/checkers/python.py:
          - Renamed the PythonProcessor class to PythonChecker, and renamed
            its process() method to check().

        * Scripts/webkitpy/style/checkers/python_unittest.py:
          - Updated the unit test code as necessary.

        * Scripts/webkitpy/style/checkers/text.py:
          - Renamed the TextProcessor class to TextChecker, and renamed
            its process() method to check().

        * Scripts/webkitpy/style/checkers/text_unittest.py:
          - Updated the unit test code as necessary.

        * Scripts/webkitpy/style/error_handlers.py:
          - Updated the code as necessary.

        * Scripts/webkitpy/style/error_handlers_unittest.py:
          - Updated the unit test code as necessary.

2010-05-04  Chris Jerdonek  <cjerdonek@webkit.org>

        Reviewed by Eric Seidel.

        Adjusted svn-apply and -unapply to accept git diffs generated
        using the --no-prefix flag.

        https://bugs.webkit.org/show_bug.cgi?id=32438

        * Scripts/VCSUtils.pm:
          - Loosened the regular expression for the "diff --git" line to
            match when the --no-prefix flag is used with "git diff".
          - Also refactored the code parsing the first line so that the
            script exits with an error message if the first line cannot
            be parsed.
        * Scripts/webkitperl/VCSUtils_unittest/parseGitDiffHeader.pl:
          - Added a unit test case for the --no-prefix case.

2010-05-04  Chris Jerdonek  <cjerdonek@webkit.org>

        Reviewed by Daniel Bates.

        Changed VCSUtils.pm's parseDiffHeader() to call the new
        parseGitDiffHeader() method.

        https://bugs.webkit.org/show_bug.cgi?id=38454

        This revision makes more progress towards adding executable-bit
        support to svn-apply and svn-unapply.  It also makes more progress
        towards refactoring the code into a more maintainable form.

        * Scripts/VCSUtils.pm:
          - Removed gitdiff2svndiff().
          - Removed the Git-specific logic from parseDiffHeader() and
            renamed it parseSvnDiffHeader().
          - Added a new parseDiffHeader() subroutine which calls
            parseSvnDiffHeader() or parseGitDiffHeader() depending on
            the format of the first header line.

        * Scripts/webkitperl/VCSUtils_unittest/gitdiff2svndiff.pl: Removed.
        * Scripts/webkitperl/VCSUtils_unittest/parseDiffHeader.pl:
          - Removed most of the test cases since these cases are now
            covered by the unit tests for parseSvnDiffHeader() and
            parseGitDiffHeader().

        * Scripts/webkitperl/VCSUtils_unittest/parseSvnDiffHeader.pl: Added.
          - Copied the SVN unit tests from parseDiffHeader.pl and updated
            them as necessary.

2010-05-03  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        Builders should run the perl and python unit tests on every commit
        https://bugs.webkit.org/show_bug.cgi?id=37976

        The unit tests take a few seconds to run, so they should not
        have any noticable effect on builder speed.

        We're running the tests everywhere but Tiger as Tiger's
        Python version is ancient.
        I would have rather have detected the python version of the
        slave but I couldn't find any API to do that, and I didn't want
        to hack version detection into test-webkitpy (at least not yet).

        * BuildSlaveSupport/build.webkit.org-config/master.cfg:

2010-05-03  Chris Jerdonek  <cjerdonek@webkit.org>

        Reviewed by Adam Barth.

        Fixed a recent REGRESSION that caused svn-apply and -unapply to
        skip over changes to the first file in a diff if leading junk was
        present (like in an e-mail diff) and if the --force option was used.

        https://bugs.webkit.org/show_bug.cgi?id=38507

        * Scripts/svn-apply:
          - Removed the bit of code at the beginning of the patch()
            subroutine that checks for the "Index:" line at the beginning
            of a file diff (since the parsePatch() subroutine already
            checks this).

        * Scripts/svn-unapply:
          - Removed the bit of code at the beginning of the patch()
            subroutine that checks for the "Index:" line at the beginning
            of a file diff (since the parsePatch() subroutine already
            checks this).

2010-05-03  Chris Jerdonek  <cjerdonek@webkit.org>

        Unreviewed.

        Adjusted the ChangeLog entry below for r58732 (bug 35804) to reflect
        the fact that the change will not become active until the patch
        for bug 38454 lands.

2010-05-03  Chris Jerdonek  <cjerdonek@webkit.org>

        Reviewed by Eric Seidel.

        Added code for svn-apply and -unapply to display an instructive error
        message if the --binary flag is left off the "git diff" command
        for diffs containing binary file differences.

        https://bugs.webkit.org/show_bug.cgi?id=35804

        This change will become active when parseDiffHeader() is modified
        to call parseGitDiffHeader (see bug 38454).

        * Scripts/VCSUtils.pm:
          - Adjusted parseDiffHeader() to exit with an appropriate error message
            if it encounters a line of the form "Binary files <path1> and
            <path2> differ".

2010-05-03  Dirk Pranke  <dpranke@chromium.org>

        Unreviewed, build fix.

        new-run-webkit-tests: r58728 broke the buildbot logic for parsing the
        output of the log; specifying --verbose should basically be equivalent
        to --print everything, but instead it was equivalent to not specifying
        --print and getting the default set. Now, --verbose acts as if
        --print everything was implicitly specified as the default (you can
        still override it if you specify both; this is a somewhat debatable
        call).

        https://bugs.webkit.org/show_bug.cgi?id=38504

        * Scripts/webkitpy/layout_tests/layout_package/printing.py:

2010-05-03  Dirk Pranke  <dpranke@chromium.org>

        Unreviewed, build fix.

        new-run-webkit-tests: Fix minor precedence bug introduced in r58728 where we printed
        "-\n" 78 times instead of "-" 78 times followed by a single "\n".

        * Scripts/webkitpy/layout_tests/layout_package/printing.py:

2010-05-03  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Eric Seidel.

        new-run-webkit-tests: refactor a large chunk of the printing/logging
        code out of run-webkit-tests py (almost 300 lines out of 1900).

        This change also renames --log to --print (to be slightly more
        descriptive). I've also added better help messages for printing.

        The new code has unit tests!

        There is still more code to be moved, but this patch is big enough as
        it is. Namely, still to move are the printing of the actual results
        and the timing statistics, which should move another 300-400 lines
        out of the file.

        Notable changes to run_webkit_tests.py beyond code simply moving:
        * MeteredStream is now hidden under the new printing.Printer class.
          All the references to self._meter now point to self._printer.
        * All logging configuration is done in printing.configure_logging()
        * Instead of using write() lambdas to control what is and isn't
          printed, we use separate methods on the printer object. This will
          make it easier to grep which print statements are printed
          under protection of each flag.
        * The print_results flag I added a few revs back to suppress printing
          in the unit tests has been replaced with --print nothing.
        * The ResultSummary class now stores the entire TestResult for each
          test, not just the actual result type.
        * summarize_unexpected_results() got moved from a method on TestRunner
          to a standalone function. This should move into a separate file
          along with the ResultSummary class and the TestResult class
        * The --trace option added recently has been replaced by
          '--print trace-everything' and '--print trace-unexpected'

        https://bugs.webkit.org/show_bug.cgi?id=38018

        * Scripts/new-run-webkit-tests:
          - update to new entry points in run_webkit_tests.py
        * Scripts/webkitpy/layout_tests/layout_package/metered_stream.py:
          - fix a minor nit where we were printing an empty string where
            we didn't need to
        * Scripts/webkitpy/layout_tests/layout_package/printing.py: Added.
        * Scripts/webkitpy/layout_tests/layout_package/printing_unittest.py: Added
        * Scripts/webkitpy/layout_tests/port/test.py:
          - implement relative_test_filename() and expected_filename() so
            we can test printing unexpected results in a platform-neutral
            way
        * Scripts/webkitpy/run_webkit_test.py:
          - move a lot of the printing code into printing.py
          - change the signatures of the exported entry points for easier
            unit testing
        * Scripts/webkitpy/run_webkit_tests_unittest.py:
          - update w/ changes to run_webkit_tests entry points.

2010-05-03  Kevin Watters  <kevinwatters@gmail.com>

        Reviewed by Kevin Ollivier.

        [wx] Build and use Mac's ComplexTextController to support complex text in wx.
        https://bugs.webkit.org/show_bug.cgi?id=38482

        * wx/build/settings.py:

2010-05-03  Abhishek Arya  <inferno@chromium.org>

        Reviewed by Adam Barth.

        Add support for controlling clipboard access from javascript.
        Clipboard access from javascript is enabled in test framework.
        https://bugs.webkit.org/show_bug.cgi?id=27751

        * DumpRenderTree/LayoutTestController.cpp:
        (setJavaScriptCanAccessClipboardCallback):
        (LayoutTestController::staticFunctions):
        * DumpRenderTree/LayoutTestController.h:
        * DumpRenderTree/chromium/LayoutTestController.cpp:
        (LayoutTestController::LayoutTestController):
        (LayoutTestController::setJavaScriptCanAccessClipboard):
        (LayoutTestController::overridePreference):
        * DumpRenderTree/chromium/LayoutTestController.h:
        * DumpRenderTree/chromium/TestShell.cpp:
        (TestShell::resetWebSettings):
        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (resetDefaultsToConsistentValues):
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::setJavaScriptCanAccessClipboard):
        * DumpRenderTree/mac/DumpRenderTree.mm:
        (resetDefaultsToConsistentValues):
        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (LayoutTestController::setJavaScriptCanAccessClipboard):
        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        (WebCore::WebPage::WebPage):
        (WebCore::WebPage::resetSettings):
        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        (LayoutTestController::setJavaScriptCanAccessClipboard):
        * DumpRenderTree/qt/LayoutTestControllerQt.h:
        * DumpRenderTree/win/DumpRenderTree.cpp:
        (resetDefaultsToConsistentValues):
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::setJavaScriptCanAccessClipboard):
        * DumpRenderTree/wx/LayoutTestControllerWx.cpp:
        (LayoutTestController::setJavaScriptCanAccessClipboard):

2010-05-03  Anders Carlsson  <andersca@apple.com>

        Reviewed by Adam Roben.

        Maui MiniBrowser: Add an option to show/hide the web view
        https://bugs.webkit.org/show_bug.cgi?id=38486

        * MiniBrowser/win/BrowserWindow.cpp:
        (BrowserWindow::createWindow):
        Set the background brush to something other than null.

        (BrowserWindow::onCommand):
        Show and hide the web view accordingly.
        
        * MiniBrowser/win/MiniBrowser.rc:
        * MiniBrowser/win/resource.h:
        Add new menu item.

2010-05-03  Chris Jerdonek  <cjerdonek@webkit.org>

        Reviewed by Daniel Bates.

        Added a parseGitDiffHeader() subroutine to VCSUtils.pm that
        parses any changes to the executable bit in a Git diff.

        https://bugs.webkit.org/show_bug.cgi?id=38425

        This revision is more preparation towards adding "executable bit"
        support to svn-apply and svn-unapply.  No code is going "live" in
        this change except for the new unit tests in test-webkitperl.

        * Scripts/VCSUtils.pm:
          - Added isExecutable() to determine whether a file mode has the
            executable bit set or not.
          - Added parseGitDiffHeader() to parse the header of a Git diff.

        * Scripts/webkitperl/VCSUtils_unittest/parseGitDiffHeader.pl: Added.
          - Added unit tests for parseGitDiffHeader().

2010-05-03  Daniel Bates  <dbates@rim.com>

        Reviewed by Chris Jerdonek.

        https://bugs.webkit.org/show_bug.cgi?id=38447

        Refactor the unit tests in VCSUtils_unittest/parseDiff.pl to use
        Test::More::is_deeply like we do in VCSUtils_unittest/parseDiffHeader.pl.

        * Scripts/webkitperl/VCSUtils_unittest/parseDiff.pl:

2010-05-02  Chris Jerdonek  <cjerdonek@webkit.org>

        Unreviewed.

        Corrected a file path in the ChangeLog entry for r58663 (bug 38319) below.

2010-05-02  Chris Jerdonek  <cjerdonek@webkit.org>

        Reviewed by Eric Seidel.

        https://bugs.webkit.org/show_bug.cgi?id=38319

        * Scripts/VCSUtils.pm:
          - In parseDiffHeader()--
            - Added an "scmFormat" hash key to the return value to represent
              whether the diff is Git or SVN formatted.
            - Adjusted the code so the value of "copiedFromPath" will
              be undef rather than "does not exist" if the file was not
              copied.

        * Scripts/webkitperl/VCSUtils_unittest/parseDiff.pl:
          - Added a FIXME to refactor these unit tests to use is_deeply().

        * Scripts/webkitperl/VCSUtils_unittest/parseDiffHeader.pl:
          - Updated the unit tests to test the "scmFormat" value.
          - Simplified the unit tests by refactoring them to use is_deeply().

2010-05-01  Daniel Bates  <dbates@rim.com>

        Reviewed by Chris Jerdonek.

        https://bugs.webkit.org/show_bug.cgi?id=38423

        Adds infrastructure to change the file mode of a file using
        the appropriate SCM-specific routines.

        No functionality was changed, so no new tests.

        * Scripts/VCSUtils.pm: Added subroutines scmToggleExecutableBit,
        scmAddExecutableBit, and scmRemoveExecutableBit.
        * Scripts/svn-apply: Check for the hash key executableBitDelta
        and toggle the executable bit.
        * Scripts/svn-unapply: Ditto.

2010-04-30  Chris Marrin  <cmarrin@apple.com>

        Reviewed by Simon Fraser.

        Enabled accelerated compositing in DRT for Windows
        https://bugs.webkit.org/show_bug.cgi?id=38404

        * DumpRenderTree/win/DumpRenderTree.cpp:
        (main):

2010-04-30  Anders Carlsson  <andersca@apple.com>

        Try to fix GTK+ build.

        * DumpRenderTree/unix/TestNetscapePlugin/TestNetscapePlugin.cpp:
        (webkit_test_plugin_new_stream):

2010-04-30  Anders Carlsson  <andersca@apple.com>

        Fix build.

        * DumpRenderTree/unix/TestNetscapePlugin/TestNetscapePlugin.cpp:

2010-04-30  Anders Carlsson  <andersca@apple.com>

        Reviewed by Timothy Hatcher.

        Next step towards fixing
        
        https://bugs.webkit.org/show_bug.cgi?id=20784
        move npapi.h to C99 integer types

        Use the C99 types everywhere. The "old" types are still around but will be removed
        in a subsequent commit.

        * DumpRenderTree/TestNetscapePlugIn.subproj/PluginObject.cpp:
        (int32VariantToIdentifier):
        (doubleVariantToIdentifier):
        (testIdentifierToInt):
        (testGetIntIdentifier):
        * DumpRenderTree/TestNetscapePlugIn.subproj/main.cpp:
        (NPP_New):
        (NPP_NewStream):
        (NPP_WriteReady):
        (NPP_Write):
        (NPP_HandleEvent):
        * DumpRenderTree/win/TestNetscapePlugin/main.cpp:
        (NPP_New):
        (NPP_NewStream):
        (NPP_WriteReady):
        (NPP_Write):
        (NPP_HandleEvent):

2010-04-30  Steve Block  <steveblock@google.com>

        Reviewed by Jeremy Orlow.

        Changed Steve Block from committer to reviewer.

        * Scripts/webkitpy/common/config/committers.py:

2010-04-28  Ojan Vafai  <ojan@chromium.org>

        Reviewed by Eric Seidel.

        webkit-patch doesn't work if a git repo is tracking multiple svn repos
        https://bugs.webkit.org/show_bug.cgi?id=38290
        
        Getting the tests to pass required getting our SVN repo to more closely
        match the real svn.webkit.org repo by having a trunk directory.
        That involved adding an extra commit at the beginning and thus changing
        all the commit numbers in the tests.

        * Scripts/webkitpy/common/checkout/scm.py:

2010-04-29  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        new-run-webkit-tests can deadlock with Chromium's TestShell
        https://bugs.webkit.org/show_bug.cgi?id=38298

        Fix _write_command_and_read_line to never send unicode() to
        test_shell, instead to always encode as utf-8.  This was causing
        random hangs because if test_shell ever encounters a \0 in the
        stream it can deadlock with NRWT.

        There is still a deadlock bug to fix in NRWT/test_shell design, however
        this fix should make the deadlock occur less often.

        * Scripts/webkitpy/layout_tests/port/chromium.py:
        * Scripts/webkitpy/layout_tests/port/chromium_unittest.py:

2010-04-29  Chris Jerdonek  <cjerdonek@webkit.org>

        Reviewed by Eric Seidel.

        Refactored svn-apply and svn-unapply to use the new
        parsePatch() subroutine.

        https://bugs.webkit.org/show_bug.cgi?id=34033

        * Scripts/VCSUtils.pm:
          - Consolidated %diffHash documentation.
          - Added prepareParsedPatch().

        * Scripts/svn-apply:
          - Replaced main while loop with calls to parsePatch() and
            prepareParsedPatch().

        * Scripts/svn-unapply:
          - Replaced main while loop with calls to parsePatch() and
            prepareParsedPatch().

        * Scripts/test-webkitperl:
          - Changed to render relative test paths rather than absolute
            test paths.

        * Scripts/webkitperl/VCSUtils_unittest/prepareParsedPatch.pl: Added.
          - Added unit tests for prepareParsedPatch().

2010-04-28  Chris Jerdonek  <cjerdonek@webkit.org>

        Reviewed by Eric Seidel.

        Added to VCSUtils's parseDiffHeader() support for binary patches.

        https://bugs.webkit.org/show_bug.cgi?id=38094

        The parseDiffHeader() function is part of new patch-parsing code
        for svn-apply and svn-unapply that will go live in a subsequent
        revision.

        * Scripts/VCSUtils.pm:
          - Added logic to parseDiffHeader() to recognize the ending of
            the header portion of a binary diff.

        * Scripts/webkitperl/VCSUtils_unittest/parseDiffHeader.pl:
          - Added unit test cases for SVN and Git binary diffs.

2010-04-28  Eric Seidel  <eric@webkit.org>

        Reviewed by David Levin.

        Document that subprocess.poll/wait are not threadsafe
        https://bugs.webkit.org/show_bug.cgi?id=38289

        * Scripts/webkitpy/common/system/executive.py:
        * Scripts/webkitpy/layout_tests/layout_package/dump_render_tree_thread.py:
        * Scripts/webkitpy/layout_tests/port/chromium.py:
        * Scripts/webkitpy/layout_tests/port/http_server.py:
        * Scripts/webkitpy/layout_tests/port/server_process.py:
        * Scripts/webkitpy/layout_tests/port/websocket_server.py:

2010-04-28  Chris Jerdonek  <cjerdonek@webkit.org>

        Reviewed by Daniel Bates.

        Removed the dividing line (i.e. "====...") logic from the code
        called by svn-apply and svn-unapply.

        https://bugs.webkit.org/show_bug.cgi?id=38093

        The dividing line logic is unnecessary.  Removing it simplifies the
        code and makes some subsequent changes easier.

        * Scripts/VCSUtils.pm:
          - Removed the logic in gitdiff2svndiff() to convert the git
            "index" line to an SVN dividing line.
          - Adjusted the logic similarly in parseDiffHeader().

        * Scripts/webkitperl/VCSUtils_unittest/gitdiff2svndiff.pl:
          - Updated the unit tests as necessary.

        * Scripts/webkitperl/VCSUtils_unittest/parseDiff.pl:
          - Updated the unit tests as necessary.
          - Corrected an error in the unit tests whereby all elements
            of an array were referencing the same element rather than
            distinct elements -- causing unit test failures to be masked.

        * Scripts/webkitperl/VCSUtils_unittest/parseDiffHeader.pl:
          - Updated the unit tests as necessary.
          - Made the same unit test correction as above for parseDiff.pl.

2010-04-28  Evan Stade  <estade@chromium.org>

        Unreviewed.

        * Scripts/webkitpy/common/config/committers.py: adding myself as a committer

2010-04-28  Sam Weinig  <sam@webkit.org>

        Reviewed by Mark Rowe.

        Add MiniBrowser to the lists of modules to build and only build it on
        SnowLeopard and later.

        * Makefile:
        * MiniBrowser/Makefile:

2010-04-28  Sam Weinig  <sam@webkit.org>

        Reviewed by Mark Rowe.

        Make running MiniBrowser.app without explicitly setting DYLD_FRAMEWORK_PATH.

        * MiniBrowser/MiniBrowser.xcodeproj/project.pbxproj:
        * MiniBrowser/mac/make-launchable.sh: Added.

2010-04-28  Eric Seidel  <eric@webkit.org>

        Reviewed by David Levin.

        Audit all uses of subprocess in webkitpy
        https://bugs.webkit.org/show_bug.cgi?id=38284

        After further discussions with Jeffrey Yasskin
        about http://bugs.python.org/issue2320
        and related issues of using subprocess from
        multiple threads, I have learned that subprocess
        is known to be non-threadsafe through recent
        Python 2.7 builds.

        I'm attempting to lessen our exposure to these
        subprocess bugs by auditing each use of subprocess
        in webkitpy.  I did not find any unsafe calls
        in my audit, but I did remove numerous unneeded
        import subprocess lines.

        * Scripts/webkitpy/common/checkout/api.py:
        * Scripts/webkitpy/common/net/bugzilla.py:
        * Scripts/webkitpy/common/system/deprecated_logging_unittest.py:
        * Scripts/webkitpy/common/system/user.py:
        * Scripts/webkitpy/layout_tests/port/base.py:
        * Scripts/webkitpy/layout_tests/port/chromium_linux.py:
        * Scripts/webkitpy/layout_tests/port/chromium_mac.py:
        * Scripts/webkitpy/layout_tests/port/chromium_mac_unittest.py: Added.
        * Scripts/webkitpy/layout_tests/port/chromium_win.py:
        * Scripts/webkitpy/layout_tests/port/gtk.py:
        * Scripts/webkitpy/layout_tests/port/mac.py:
        * Scripts/webkitpy/layout_tests/port/qt.py:
        * Scripts/webkitpy/layout_tests/port/webkit.py:
        * Scripts/webkitpy/layout_tests/port/win.py:

2010-04-28  Darin Adler  <darin@apple.com>

        Ignore a directory the Python tools creates.

        * Scripts/webkitpy/style: Modified property svn:ignore.

2010-04-28  Darin Adler  <darin@apple.com>

        * Scripts/extract-localizable-strings: Fix minor mistake in
        argument checking.

2010-04-28  Luiz Agostini  <luiz.agostini@openbossa.org>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] QWebPage viewMode property
        https://bugs.webkit.org/show_bug.cgi?id=38119

        Replacing method qt_wrt_setViewMode by wrt_viewMode property.

        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        (LayoutTestController::setViewModeMediaFeature):

2010-04-28  Chris Jerdonek  <cjerdonek@webkit.org>

        Reviewed by Shinichiro Hamaji.

        Adjusted check-webkit-style so that files with file type NONE
        are automatically skipped without warning.

        https://bugs.webkit.org/show_bug.cgi?id=38197

        This change simplifies configuring which files to skip.  It also
        addresses an issue whereby check-webkit-style was unintentionally
        checking .vcproj files for carriage returns.

        * Scripts/webkitpy/style/checker.py:
          - Moved the C++, Python, and text file extensions to new
            module-level configuration variables.
          - Removed .pyc from the _SKIPPED_FILES_WITHOUT_WARNING configuration
            variable.
          - Changed the numeric values of the FileType enum so that
            FileType.NONE evaluates to False.
          - For ProcessorDispatcher.should_skip_without_warning():
            - Changed the method to return True for FileType.NONE files.
            - Made ChangeLog files an exception to getting skipped.
          - Changed the StyleProcessor.process() method to raise an
            exception if given a file path that should not be processed.

        * Scripts/webkitpy/style/checker_unittest.py:
          - Updated the unit tests and added more test cases as necessary.

2010-04-28  Eric Seidel  <eric@webkit.org>

        Reviewed by Jeremy Orlow.

        webkitpy: ScriptError('Failed to run "[u\'taskkill.exe\', u\'/f\', u\'/im\', u\'httpd.exe\']" exit_code: 128',)
        https://bugs.webkit.org/show_bug.cgi?id=38248

        The previous code did not check the return code of taskkill.
        When I moved that callsite from using subprocess.call to
        Executive.run_command having a non-zero return code became an error.

        In this change I've centralized our killall handling in executive,
        and added tests for it to make sure it works.

        Currently kill_process and kill_all swallow exceptions in the cases
        where the process(es) to be killed do(es) not exist.

        * Scripts/webkitpy/common/system/executive.py:
        * Scripts/webkitpy/common/system/executive_unittest.py:
        * Scripts/webkitpy/layout_tests/port/chromium_linux.py:
        * Scripts/webkitpy/layout_tests/port/chromium_mac.py:
        * Scripts/webkitpy/layout_tests/port/chromium_win.py:
        * Scripts/webkitpy/layout_tests/port/gtk.py:
        * Scripts/webkitpy/layout_tests/port/mac.py:
        * Scripts/webkitpy/layout_tests/port/qt.py:
        * Scripts/webkitpy/layout_tests/port/win.py:

2010-04-28  Eric Seidel  <eric@webkit.org>

        Reviewed by Shinichiro Hamaji.

        wdiff_text throws ScriptError because wdiff returns non-zero when files differ
        https://bugs.webkit.org/show_bug.cgi?id=38246

        wdiff returns 0 when files are the same, 1 when they differ.
        run_command by default raises ScriptError if the return code is non-zero.
        Fixed this by adding a custom error handler which only raises if the
        return code is not 1.

        I broke up the huge wdiff_text() method into little pieces
        for easier unit testing.  There is only one functional change here
        and that is the addition of the custom error handler.

        * Scripts/webkitpy/layout_tests/port/base.py:
        * Scripts/webkitpy/layout_tests/port/base_unittest.py:

2010-04-28  Fumitoshi Ukai  <ukai@chromium.org>

        Unreviewed build fix.

        * DumpRenderTree/chromium/TestShell.cpp:
        (TestShell::dumpImage): format '%u' expects type 'unsigned int', but argument 2 has type 'size_t'.
        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::willSendRequest): too few arguments for format.

2010-04-27  Shinichiro Hamaji  <hamaji@chromium.org>

        Reviewed by Darin Adler and Eric Seidel.

        Add layoutTestController.setPrinting()
        https://bugs.webkit.org/show_bug.cgi?id=37203

        * DumpRenderTree/LayoutTestController.cpp:
        (LayoutTestController::LayoutTestController):
        (setPrintingCallback):
        (LayoutTestController::staticFunctions):
        * DumpRenderTree/LayoutTestController.h:
        (LayoutTestController::isPrinting):
        (LayoutTestController::setIsPrinting):
        * DumpRenderTree/mac/DumpRenderTree.mm:
        (dump):

2010-04-27  Michael Nordman  <michaeln@google.com>

        Reviewed by Dmitry Titov.

        [Chromium] Add two things to the webkit API to support appcaches in workers.
        1) WebURLRequest TargetTypes for worker and shared worker main resources.
        2) Factory method on class WebCommonWorkerClient to
           createApplicationCacheHost() for the associated worker.

        https://bugs.webkit.org/show_bug.cgi?id=38147

        * DumpRenderTree/chromium/TestWebWorker.h add a stub impl of the factory method 
        (TestWebWorker::createApplicationCacheHost):

2010-04-27  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        run-bindings-tests doesn't work in an SVN checkout
        https://bugs.webkit.org/show_bug.cgi?id=38225

        Previously detect_scm_system needed an absolute path for SVN.  Now we
        accept a relative path.

        * Scripts/webkitpy/common/checkout/scm.py:
        * Scripts/webkitpy/common/checkout/scm_unittest.py:

2010-04-27  Sam Weinig  <sam@webkit.org>

        Reviewed by Stephanie Lewis.

        Always build WebKit2 when building on SnowLeopard and later. 

        * Scripts/build-webkit:

2010-04-27  Sam Weinig  <sam@webkit.org>

        Reviewed by Maciej Stachowiak.

        Fix for https://bugs.webkit.org/show_bug.cgi?id=38238
        Allow both WebKit and WebKit2 to link to the same WebCore.framework

        * Scripts/build-webkit: Remove the UMBRELLA_LDFLAGS override when building
        WebCore for WebKit2, it is no longer necessary.

2010-04-27  James Robinson  <jamesr@chromium.org>

        Reviewed by David Levin.

        Fix a typo in chromium.py that causes NRWT to fail in --verbose
        mode in a Chromium checkout.
        https://bugs.webkit.org/show_bug.cgi?id=38234

        * Scripts/webkitpy/layout_tests/port/chromium.py:

2010-04-27  Darin Fisher  <darin@chromium.org>

        Reviewed by Dimitri Glazkov.

        [Chromium] Remove deprecated form of didChangeLocationWithinPage
        https://bugs.webkit.org/show_bug.cgi?id=38178

        Switch over to implementing didNavigateWithinPage.

        * DumpRenderTree/chromium/WebViewHost.cpp:
        (TestWebViewDelegate::didNavigateWithinPage):
        (WebViewHost::didChangeLocationWithinPage):
        * DumpRenderTree/chromium/WebViewHost.h:

2010-04-27  Evan Martin  <evan@chromium.org>

        Unreviewed.

        Adding myself to commmitters list.

        * Scripts/webkitpy/common/config/committers.py:

2010-04-27  Adam Barth  <abarth@webkit.org>

        Reviewed by Darin Adler.

        run-bindings-tests should use --reset-results instead of --overwrite
        https://bugs.webkit.org/show_bug.cgi?id=38200

        As requested by Ojan.

        * Scripts/run-bindings-tests:

2010-04-27  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        REGRESSION(r58261): webkit-patch edit-changelogs is broken
        https://bugs.webkit.org/show_bug.cgi?id=38204

        In 58261, we added code to abstract step that interrogates the squash
        and git_commit options, but it doesn't declare that it uses those
        options.  That means any command that doesn't happen to declare those
        options might be broken if it uses the cached_lookup mechanism.

        * Scripts/webkitpy/tool/steps/abstractstep.py:
        * Scripts/webkitpy/tool/steps/applypatch.py:
        * Scripts/webkitpy/tool/steps/applypatchwithlocalcommit.py:
        * Scripts/webkitpy/tool/steps/build.py:
        * Scripts/webkitpy/tool/steps/checkstyle.py:
        * Scripts/webkitpy/tool/steps/cleanworkingdirectory.py:
        * Scripts/webkitpy/tool/steps/closebug.py:
        * Scripts/webkitpy/tool/steps/closebugforlanddiff.py:
        * Scripts/webkitpy/tool/steps/commit.py:
        * Scripts/webkitpy/tool/steps/confirmdiff.py:
        * Scripts/webkitpy/tool/steps/createbug.py:
        * Scripts/webkitpy/tool/steps/ensurebuildersaregreen.py:
        * Scripts/webkitpy/tool/steps/ensurelocalcommitifneeded.py:
        * Scripts/webkitpy/tool/steps/obsoletepatches.py:
        * Scripts/webkitpy/tool/steps/postcodereview.py:
        * Scripts/webkitpy/tool/steps/postdiff.py:
        * Scripts/webkitpy/tool/steps/preparechangelog.py:
        * Scripts/webkitpy/tool/steps/runtests.py:
        * Scripts/webkitpy/tool/steps/update.py:
        * Scripts/webkitpy/tool/steps/updatechangelogswithreviewer.py:
        * Scripts/webkitpy/tool/steps/validatereviewer.py:

2010-04-27  Eric Seidel  <eric@webkit.org>

        Reviewed by David Levin.

        prepare-ChangeLog --bug fails on some CYGWIN installs due to missing certs
        https://bugs.webkit.org/show_bug.cgi?id=38212

        * Scripts/prepare-ChangeLog:
         - Pass --insecure to curl to work around CYGWIN missing certs.

2010-04-27  Sam Weinig  <sam@webkit.org>

        Rubber-stamped by Beth Dakin.

        It is no longer necessary to set ENABLE_EXPERIMENTAL_SINGLE_VIEW_MODE
        or WTF_USE_WEB_THREAD. Remove them.

        * Scripts/build-webkit:

2010-04-27  Chris Jerdonek  <cjerdonek@webkit.org>

        Reviewed by David Levin.

        Changed Chris Jerdonek from committer to reviewer.

        * Scripts/webkitpy/common/config/committers.py:

2010-04-27  Benjamin Poulain  <benjamin.poulain@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] QGraphicsWebView: Arrow keys scroll the graphics-view instead of the web-page
        https://bugs.webkit.org/show_bug.cgi?id=35834

        The scene should always have the size of the web view otherwhise it is
        possible to scroll the graphics view.

        * QtLauncher/webview.cpp:
        (WebViewGraphicsBased::resizeEvent):

2010-04-27  Diego Gonzalez  <diegohcg@webkit.org>

        Unreviewed.

        Adding myself to committers.py

        * Scripts/webkitpy/common/config/committers.py:

2010-04-27  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        [chromium] new-run-webkit-tests hangs on Chromium Bots (OS X and Linux)
        https://bugs.webkit.org/show_bug.cgi?id=37987

        After further research, I believe the hang is caused by:
        http://bugs.python.org/issue2320
        Basically Popen() is not reentrant.
        The workaround is to pass close_fds=True to Popen() on Mac/Linux.

        I fixed our main Popen wrapper "Executive.run_command" to use close_fds=True
        when appropriate.

        I audited all places we call Popen() and either moved them to run_command
        or left a FIXME that they are not thread safe.  A few places I added the
        close_fds workaround there and left an explanitory note.

        * Scripts/webkitpy/common/checkout/scm_unittest.py:
         - Added note that this Popen use is not threadsafe.
        * Scripts/webkitpy/common/system/executive.py:
         - Fixed our Executive.run_* to workaround python bug 2320.
        * Scripts/webkitpy/common/system/user.py:
         _ Added note that this Popen use is not threadsafe.
        * Scripts/webkitpy/layout_tests/layout_package/json_results_generator.py: ditto.
        * Scripts/webkitpy/layout_tests/port/apache_http_server.py: ditto.
        * Scripts/webkitpy/layout_tests/port/base.py:
         - Change wdiff back to using run_command now that we believe it
           to be threadsafe.
        * Scripts/webkitpy/layout_tests/port/chromium.py:
         - Fix to use Executive in places.
         - Pass self._executive down to the Driver for easier unit testing.
        * Scripts/webkitpy/layout_tests/port/chromium_win.py:
         - Re-factor to use a _kill_all method.
         - Made the _kill_all method use run_command to be threadsafe.
        * Scripts/webkitpy/layout_tests/port/http_server.py:
         - Add FIXME about using Executive.
        * Scripts/webkitpy/layout_tests/port/server_process.py:
         - Use Executive to be threadsafe.
        * Scripts/webkitpy/layout_tests/port/webkit.py:
         - Pass self._executive down to the Driver.
        * Scripts/webkitpy/layout_tests/port/websocket_server.py:
         - Add note about Popen not being threadsafe.
        * Scripts/webkitpy/layout_tests/rebaseline_chromium_webkit_tests.py:
         - Move one caller to run_command add notes about moving others.

2010-04-27  Adam Barth  <abarth@webkit.org>

        Reviewed by Maciej Stachowiak.

        REGRESSION(r58261): webkit-patch upload does not work in an SVN checkout.
        https://bugs.webkit.org/show_bug.cgi?id=38186

        Unfortunately, we don't have a good way of testing this change because
        our test coverage of the scm.py API is poor...

        * Scripts/webkitpy/common/checkout/scm.py:
        * Scripts/webkitpy/tool/steps/preparechangelog.py:

2010-04-26  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        Remove unused code from text_diff.py
        https://bugs.webkit.org/show_bug.cgi?id=38170

        * Scripts/webkitpy/layout_tests/test_types/text_diff.py:
         - Remove is_render_tree_dump which appears unused.

2010-04-26  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        webkit-patch pretty-diff is broken
        https://bugs.webkit.org/show_bug.cgi?id=38172

        We need to register for these options because they're used when we look
        up the diff.

        * Scripts/webkitpy/tool/steps/confirmdiff.py:

2010-04-26  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Add ObjC and GObject to run-bindings-test
        https://bugs.webkit.org/show_bug.cgi?id=38168

        * Scripts/run-bindings-tests:

2010-04-26  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Add testing infrastructure for JSC bindings generator
        https://bugs.webkit.org/show_bug.cgi?id=38167

        Add support for testing more than one bindings.  Also, converted the
        script to PEP8 style.

        * Scripts/run-bindings-tests:

2010-04-26  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        Refactor results.html generation out into a new method and test it
        https://bugs.webkit.org/show_bug.cgi?id=38164

        Hopefully this results in no change in functionality.

        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests_unittest.py:

2010-04-26  Adam Barth  <abarth@webkit.org>

        Unreviewed, rolling out r58265.
        http://trac.webkit.org/changeset/58265
        https://bugs.webkit.org/show_bug.cgi?id=38021

        This change prevents me from uploading patches.  It also breaks sheriff-bot.

        * Scripts/webkitpy/tool/steps/options.py:

2010-04-26  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        [chromium] new-run-webkit-tests hangs on Chromium Bots (OS X and Linux)
        https://bugs.webkit.org/show_bug.cgi?id=37987

        Rolled out:
        http://trac.webkit.org/changeset/58062
        http://trac.webkit.org/changeset/58060
        http://trac.webkit.org/changeset/58059
        http://trac.webkit.org/changeset/58055
        http://trac.webkit.org/changeset/58054
        and parts of:
        http://trac.webkit.org/changeset/58050

        I also wrote some new comments and a tiny amount of new
        code to help make ChromiumDriver.run_test easier to read.

        In order to unit-test my new code, I had to change ChromiumDriver
        to not automatically start itself when created.  That ended up
        being a lot of plumbing, but is hopefully easier to understand now.

        There are no tests for the (restored) wdiff code.  wdiff does not
        exist on all systems, so for now we will assume it worked since
        it is just old code being reverted.

         * Scripts/webkitpy/layout_tests/driver_test.py:
          - Use create_driver instead of start_driver, and be sure to call .stop()
         * Scripts/webkitpy/layout_tests/layout_package/dump_render_tree_thread.py:
          - Use create_driver instead of start_driver
         * Scripts/webkitpy/layout_tests/port/base.py:
          - Added a comment to explain that diffs are binary files.
          - Various patch reverts relating to wdiff
          - Add Driver._command_wrapper to share code between WebKitDriver and ChromiumDriver.
          - Made _command_wrapper use shlex.split to get rid of the FIXME.
         * Scripts/webkitpy/layout_tests/port/base_unittest.py: Added.
          - test the new _command_wrapper
         * Scripts/webkitpy/layout_tests/port/chromium.py:
         - Use _command_wrapper to get rid of a bunch of ugly code.
         - Make __init__ stop auto-starting.
         - Rename create_driver to start_driver.
         - Added _write_command_and_read_line to make it possible to
           put a FIXME next to read_line() w/o having to put it in two places.
         - Moved test_shell command building into _test_shell_command and tested it.
         - Fix comments to say test_shell since ChromiumDriver is test_shell only.
         * Scripts/webkitpy/layout_tests/port/chromium_unittest.py: Added.
          - Test the new test_shell_command method.
         * Scripts/webkitpy/layout_tests/port/dryrun.py:
          - Rename create_driver to start_driver.
         * Scripts/webkitpy/layout_tests/port/test.py:
          - Rename create_driver to start_driver.
         * Scripts/webkitpy/layout_tests/port/webkit.py:
          - Rename create_driver to start_driver.
          - Treat output as binary arrays.
         * Scripts/webkitpy/layout_tests/test_types/test_type_base.py:
          - Treat diff files as binary.
         * Scripts/webkitpy/layout_tests/test_types/text_diff.py:
          - Treat diff files as binary.

2010-04-26  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Move bindings test directory into the scripts directory
        https://bugs.webkit.org/show_bug.cgi?id=38161

        Change script to point to the new location of these data files.

        * Scripts/run-bindings-tests:

2010-04-26  Adam Barth  <abarth@webkit.org>

        Unreviewed.  Mark run-bindings-tests executable so we can execute it.

        * Scripts/run-bindings-tests:

2010-04-26  Tony Chang  <tony@chromium.org>

        Reviewed by David Levin.

        [chromium] build-webkit --chromium should build release by default
        https://bugs.webkit.org/show_bug.cgi?id=38028

        * Scripts/build-dumprendertree: Also should build release by default
        * Scripts/build-webkit: Make sure to pass command line args through
        * Scripts/webkitdirs.pm: Build the right configuration

2010-04-26  Ojan Vafai  <ojan@chromium.org>

        Reviewed by Eric Seidel.

        complete rietveld bugzilla integration
        https://bugs.webkit.org/show_bug.cgi?id=38021

        Makes --fancy-review the default. All this means is that the patch will
        be uploaded to rietveld in addition to bugs.webkit.org. 

        * Scripts/webkitpy/tool/steps/options.py:

2010-04-26  Chris Jerdonek  <cjerdonek@webkit.org>

        Reviewed by Shinichiro Hamaji.

        For check-webkit-style, renamed the style/processors/ directory
        to style/checkers/.

        https://bugs.webkit.org/show_bug.cgi?id=38122

        * Scripts/webkitpy/style/checker.py:
          - Updated import statements.

        * Scripts/webkitpy/style/checker_unittest.py:
          - Updated import statements.

        * Scripts/webkitpy/style/checkers: Copied from WebKitTools/Scripts/webkitpy/style/processors.
        * Scripts/webkitpy/style/processors: Removed.
        * Scripts/webkitpy/style/processors/__init__.py: Removed.
        * Scripts/webkitpy/style/processors/common.py: Removed.
        * Scripts/webkitpy/style/processors/common_unittest.py: Removed.
        * Scripts/webkitpy/style/processors/cpp.py: Removed.
        * Scripts/webkitpy/style/processors/cpp_unittest.py: Removed.
        * Scripts/webkitpy/style/processors/python.py: Removed.
        * Scripts/webkitpy/style/processors/python_unittest.py: Removed.
        * Scripts/webkitpy/style/processors/python_unittest_input.py: Removed.
        * Scripts/webkitpy/style/processors/text.py: Removed.
        * Scripts/webkitpy/style/processors/text_unittest.py: Removed.

2010-04-06  Ojan Vafai  <ojan@chromium.org>

        Reviewed by Adam Barth.

        Include git commits in the diff for webkit-patch upload/land.
        https://bugs.webkit.org/show_bug.cgi?id=36394

        Adds --squash, --no-squash and --git-commit.

        --git-commit will use a specific local commit for land/upload.
        If a commit-range is specified, then that range is treated as
        a single squashed commit.

        --squash will squash all local changes including working copy changes
        into a single patch.

        --no-squash is the legacy behavior (upload only considers the working copy,
        land commits the working copy and then each local commit separately to SVN)

        If neither is specified, then an informative error is raised if there is
        more than one local commit or when there are local commit(s) and working
        copy changes.

        If the webkit-patch.squash git config parameter is set, then
        that will be respected instead of raising an error.

        * Scripts/check-webkit-style:
        * Scripts/webkitpy/common/checkout/api.py:
        * Scripts/webkitpy/common/checkout/api_unittest.py:
        * Scripts/webkitpy/common/checkout/scm.py:
        * Scripts/webkitpy/common/checkout/scm_unittest.py:
        * Scripts/webkitpy/style/optparser.py:
        --git-since is removed and --git-commit no longer implies commit_id..
        Instead, it treats that individual commit, but also supports commit ranges
        (e.g. commit_id..) as arguments.
        * Scripts/webkitpy/style/optparser_unittest.py:
        * Scripts/webkitpy/style_references.py:
        * Scripts/webkitpy/tool/commands/download.py:
        * Scripts/webkitpy/tool/commands/upload.py:
        * Scripts/webkitpy/tool/main.py:
        * Scripts/webkitpy/tool/mocktool.py:
        * Scripts/webkitpy/tool/steps/abstractstep.py:
        * Scripts/webkitpy/tool/steps/applypatchwithlocalcommit.py:
        * Scripts/webkitpy/tool/steps/checkstyle.py:
        * Scripts/webkitpy/tool/steps/commit.py:
        * Scripts/webkitpy/tool/steps/options.py:
        * Scripts/webkitpy/tool/steps/postdiff.py:
        * Scripts/webkitpy/tool/steps/preparechangelog.py:
        * Scripts/webkitpy/tool/steps/preparechangelogforrevert.py:
        * Scripts/webkitpy/tool/steps/updatechangelogswithreviewer.py:
        * Scripts/webkitpy/tool/steps/validatereviewer.py:

2010-04-26  Chris Jerdonek  <cjerdonek@webkit.org>

        Reviewed by Shinichiro Hamaji.

        Deleted the StyleChecker-related classes that are no longer
        being used.

        https://bugs.webkit.org/show_bug.cgi?id=38118

        * Scripts/webkitpy/style/checker.py:
          - Deleted the DeprecatedStyleChecker class.

        * Scripts/webkitpy/style/checker_unittest.py:
          - Deleted the StyleCheckerTest, StyleCheckerCheckFileBase,
            StyleCheckerCheckFileTest, and StyleCheckerCheckPathsTest classes.

2010-04-26  Chris Jerdonek  <cjerdonek@webkit.org>

        Reviewed by Shinichiro Hamaji.

        Changed the StyleChecker class to use the new TextFileReader class.

        https://bugs.webkit.org/show_bug.cgi?id=37066

        This revision separates the code responsible for reading and iterating
        over text files from the rest of check-webkit-style.

        * Scripts/check-webkit-style:
          - Changed the script to use the new StyleProcessor and
            TextFileReader classes instead of the StyleChecker class.

        * Scripts/webkitpy/style/checker.py:
          - Added a FIXME to rename many of uses of the word "processor" to
            "checker".  We did this to clarify the difference between
            ProcessorBase instances passed to the TextFileReader and
            classes that process and check lines for style.
          - Added a FIXME to remove FileType.NONE as a possible return value
            of ProcessorDispatcher._file_type().  This will better consolidate
            the logic of which files should be skipped.
          - Added a FIXME to delete the StyleChecker class.
          - Added the StyleProcessor class which implements ProcessorBase.
            This class is responsible for processing lines to check style
            (but not for reading files).  For each file, this class creates
            creates both a carriage-return checker and a format-specific
            style checker (e.g. one of C++, Python, etc).
          - Updated the PatchChecker class to use a TextFileReader instance
            instead of a StyleChecker.

        * Scripts/webkitpy/style/checker_unittest.py:
          - Added the StyleProcessor_EndToEndTest class to do "end-to-end"
            tests of the StyleProcessor class.
          - Added the StyleProcessor_CodeCoverageTest to test the
            StyleProcessor class with more complete code coverage.
            Unlike the StyleProcessor_EndToEndTest class, this class makes
            heavy use of mock parameters.
          - Added FIXME's to delete the unit test classes that are no
            longer needed.
          - Updated the PatchCheckerTest class to use a MockTextFileReader
            instead of a MockStyleChecker.

        * Scripts/webkitpy/style/filereader.py:
          - Updated the TextFileReader class to use the preferred logic
            of checking file existence at the beginning of the process_file()
            method instead of in the except block, per
            https://bugs.webkit.org/show_bug.cgi?id=37122

        * Scripts/webkitpy/style/filereader_unittest.py:
          - In the TextFileReaderTest class:
            - Moved the test_process_file__should_not_process() method.
            - Added a test_process_file__file_stdin() method to test
              the file path "-".

2010-04-20  Robert Hogan  <robert@webkit.org>

        Reviewed by Simon Hausmann.

        [Qt] Add more support for textInputController

        Add support for selectedRange(), setMarkedText(), insertText(),
        and firstRectForCharacterRange().

        Unskip tests:

        fast/forms/input-maxlength-ime-preedit.html
        fast/forms/input-maxlength-ime-completed.html
        fast/text/international/thai-cursor-position.html
        fast/events/ime-composition-events-001.html
        editing/selection/5825350-1.html
        editing/selection/5825350-2.html
        editing/selection/mixed-editability-10.html

        https://bugs.webkit.org/show_bug.cgi?id=35702

        * DumpRenderTree/qt/TextInputControllerQt.cpp:
        (TextInputController::setMarkedText):
        (TextInputController::insertText):
        (TextInputController::selectedRange):
        (TextInputController::firstRectForCharacterRange):
        * DumpRenderTree/qt/TextInputControllerQt.h:

2010-04-23  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        check-webkit-style complains about non-utf8 data in layout test result
        https://bugs.webkit.org/show_bug.cgi?id=38027

        The problem was we were assuming patch files/diff output as utf-8.
        Turns out they're not.  We have to treat them as binary data because
        a single patch may have multiple text files in it with conflicting encodings!

        * Scripts/webkitpy/common/checkout/api.py:
         - contents_at_revision returns a byte array, so decode it to unicode
           before passing it to parse_latest_entry_from_file
        * Scripts/webkitpy/common/checkout/api_unittest.py:
         - Update our mock mock_contents_at_revision to match the encoding
           semantics of the real one.
        * Scripts/webkitpy/common/checkout/scm.py:
         - Be careful not to decode output which may contain file contents
           (like diff, cat or show) as the encoding for that content is unknown.
        * Scripts/webkitpy/common/checkout/scm_unittest.py:
         - Update our tests to use both latin1 and utf-8 encoded data.
        * Scripts/webkitpy/common/net/bugzilla.py:
         - _fill_attachment_form should not assume unicode data.  Callers
           may wish to attach other types of files to bugs.
        * Scripts/webkitpy/common/prettypatch.py:
         - Diffs are byte arrays, deal with them as such.
        * Scripts/webkitpy/common/prettypatch_unittest.py:
         - Test to make sure we handle diffs with multiple conflicting encodings.
        * Scripts/webkitpy/common/system/executive_unittest.py:
         - Make sure that our unicode support does not break our
           byte array input support for run_command.

2010-04-23  Sam Weinig  <sam@webkit.org>

        Reviewed by David Levin.

        Fix for https://bugs.webkit.org/show_bug.cgi?id=38060
        Split up Threading.h

        Add necessary forwarding headers.

        * DumpRenderTree/ForwardingHeaders/wtf/Atomics.h: Added.
        * DumpRenderTree/ForwardingHeaders/wtf/ThreadSafeShared.h: Added.
        * DumpRenderTree/ForwardingHeaders/wtf/ThreadingPrimitives.h: Added.

2010-04-23  Xiaomei Ji  <xji@chromium.org>

        No need to review.

        Add xji as committer.

        * Scripts/webkitpy/common/config/committers.py:

2010-04-23  Kevin Ollivier  <kevino@theolliviers.com>

        [wx] Build fix, add platform stub for new LayoutTestController method.

        * DumpRenderTree/wx/LayoutTestControllerWx.cpp:
        (LayoutTestController::markerTextForListItem):

2010-04-19  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Adam Barth.

        new-run-webkit-tests: add a "--retry-failures" flag and a
        "--no-retry-failures" flag (the former is the default). Also, rename
        "--print-unexpected-results" and "--retry-unexpected-results" to
        "--print-last-failures" and "--retry-last-failures" because the
        retry flag was confusing. The new flag names aren't great, but
        hopefully they're less confusing.

        https://bugs.webkit.org/show_bug.cgi?id=37838

        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:

2010-04-22  Sam Weinig  <sam@webkit.org>

        Reviewed by Anders Carlsson.

        Fix for https://bugs.webkit.org/show_bug.cgi?id=38022
        Move isMainThread predicate function to MainThread.h

        Added forwarding header for MainThread.h

        * DumpRenderTree/ForwardingHeaders/wtf/MainThread.h: Added.

2010-04-23  Laszlo Gombos  <laszlo.1.gombos@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Disable Netscape plugin support for minimal configuration
        https://bugs.webkit.org/show_bug.cgi?id=38026

        Pass the minimal configuration option to Qt build system 
        as part of the CONFIG variable.

        * Scripts/build-webkit:

2010-04-22  Fumitoshi Ukai  <ukai@chromium.org>

        Unreviewed fix.

        * Scripts/webkitpy/layout_tests/port/websocket_server.py: fix NameError: global name 'f' is not defined.

2010-04-22  James Robinson  <jamesr@chromium.org>

        Reviewed by Adam Barth.

        Revert 58077 and follow-ups.  It's broken.
        https://bugs.webkit.org/show_bug.cgi?id=37664

        * Scripts/new-run-webkit-httpd:
        * Scripts/new-run-webkit-websocketserver:
        * Scripts/webkitpy/layout_tests/port/chromium_win.py:
        * Scripts/webkitpy/layout_tests/port/http_server.py:
        * Scripts/webkitpy/layout_tests/port/websocket_server.py:

2010-04-22  Yaar Schnitman  <yaar@chromium.org>

        Reviewed by Adam Barth.

        Integrate v8 testing utility with webkit tests
        https://bugs.webkit.org/show_bug.cgi?id=37731

        * Scripts/run-bindings-tests: Added.

2010-04-22  Eric Seidel  <eric@webkit.org>

        Reviewed by Dimitri Glazkov.

        new-run-webkit-tests --verbose shows ever-increasing #EOF lines
        https://bugs.webkit.org/show_bug.cgi?id=37794

        * Scripts/webkitpy/layout_tests/port/webkit.py:
         - Remove the assert() since our ServerProcess code does not always
           seem to be reading the full stderr output (or we're not waiting for it to).

2010-04-22  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        Add code to help debug new-run-webkit-test hangs on the Chromium bots
        https://bugs.webkit.org/show_bug.cgi?id=38011

        I can see no reasonable way to test this change.
        Stubbing out sys._current_frames() and traceback.extract_stack
        seems folly.  Dumping real data would have line number
        (and possibly other call stack) variance between runs.

        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
         - Add _dump_thread_states and _dump_thread_states_if_necessary
           to have our main thread dump the states of all threads every
           60 seconds when running in verbose mode.
         - Better document what is going on in our main loop.

2010-04-22  Sam Weinig  <sam@webkit.org>

        Reviewed by Anders Carlsson.

        Fix for https://bugs.webkit.org/show_bug.cgi?id=38002
        Add rudimentary statistics gathering for WebKit2

        * MiniBrowser/MiniBrowser.xcodeproj/project.pbxproj:
        * MiniBrowser/mac/AppDelegate.h:
        * MiniBrowser/mac/AppDelegate.m:
        (-[BrowserAppDelegate init]):
        (-[BrowserAppDelegate newWindow:]):
        (-[BrowserAppDelegate getCurrentPageNamespace]):
        (-[BrowserAppDelegate _setProcessModel:]):
        (-[BrowserAppDelegate showStatisticsWindow:]):
        (-[BrowserAppDelegate applicationWillTerminate:]):
        * MiniBrowser/mac/BrowserStatisticsWindow.xib: Added.
        * MiniBrowser/mac/BrowserStatisticsWindowController.h: Added.
        * MiniBrowser/mac/BrowserStatisticsWindowController.m: Added.
        (-[BrowserStatisticsWindowController initWithThreadedWKContextRef:processWKContextRef:]):
        (-[BrowserStatisticsWindowController dealloc]):
        (-[BrowserStatisticsWindowController windowDidLoad]):
        (-[BrowserStatisticsWindowController refreshStatistics:]):
        * MiniBrowser/mac/BrowserWindowController.h:
        * MiniBrowser/mac/English.lproj/MainMenu.xib:
        * MiniBrowser/mac/MiniBrowser_Prefix.pch:

2010-04-22  Dave Moore  <davemoore@chromium.org>

        Reviewed by Dimitri Glazkov.

        Add test support for icon changes.

        https://bugs.webkit.org/show_bug.cgi?id=33812

        * DumpRenderTree/LayoutTestController.cpp:
        (LayoutTestController::LayoutTestController):
        (dumpIconChangesCallback):
        (LayoutTestController::staticFunctions):
        * DumpRenderTree/LayoutTestController.h:
        (LayoutTestController::dumpIconChanges):
        (LayoutTestController::setDumpIconChanges):
        * DumpRenderTree/win/FrameLoadDelegate.cpp:
        (FrameLoadDelegate::didChangeIcons):
        * DumpRenderTree/win/FrameLoadDelegate.h:
        * WinLauncher/WinLauncher.h:
        (WinLauncherWebHost::didChangeIcons):

2010-04-22  Eric Seidel  <eric@webkit.org>

        Unreviewed.  Script fix.  Will ask dpranke to look tomorrow.

        new-run-webkit-tests --verbose shows ever-increasing #EOF lines
        https://bugs.webkit.org/show_bug.cgi?id=37794

        The bots are seeing cases where .error is sometimes empty.
        Lets make the code not crash in that case for now.

        * Scripts/webkitpy/layout_tests/port/webkit.py:

2010-04-22  Fumitoshi Ukai  <ukai@chromium.org>

        Unreviewed fix.

        * Scripts/webkitpy/layout_tests/port/websocket_server.py: fix NameError: global name 'f' is not defined.

2010-04-22  Fumitoshi Ukai  <ukai@chromium.org>

        Unreviewed fix.

        * Scripts/new-run-webkit-websocketserver: PyWebSocket no longer takes keyword argument 'register_cygwin'.

2010-04-22  Eric Seidel  <eric@webkit.org>

        Unreviewed.  Restore the Leopard bots to using
        old-run-webkit-tests for now.

        * Scripts/run-webkit-tests:

2010-04-22  Fumitoshi Ukai  <ukai@chromium.org>

        Unreviewed fix.

        * Scripts/webkitpy/layout_tests/port/http_server.py: fix NameError: global name 'env' is not defined.

2010-04-22  Fumitoshi Ukai  <ukai@chromium.org>

        Unreviewed fix.

        * Scripts/webkitpy/layout_tests/port/websocket_server.py: fix NameError: global name 'env' is not defined.

2010-04-22  Fumitoshi Ukai  <ukai@chromium.org>

        Reviewed by Adam Barth.

        Chromium: Add --chromium option to new-run-webkit-websocketserver
        https://bugs.webkit.org/show_bug.cgi?id=37664

        Move cygwin setup logic in chromium_win.py.

        * Scripts/new-run-webkit-httpd: remove register_cygwin parameter to pass http_server.
        * Scripts/new-run-webkit-websocketserver: add --chromium flag
        * Scripts/webkitpy/layout_tests/port/chromium_win.py: setup for cygwin
        * Scripts/webkitpy/layout_tests/port/http_server.py: remove cygwin setup logic
        * Scripts/webkitpy/layout_tests/port/websocket_server.py: remove cygwin setup logic

2010-04-22  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        new-run-webkit-tests --verbose shows ever-increasing #EOF lines
        https://bugs.webkit.org/show_bug.cgi?id=37794

        * Scripts/webkitpy/layout_tests/layout_package/dump_render_tree_thread.py:
         - Fix the log message to explain that this is stderr output, not test output.
        * Scripts/webkitpy/layout_tests/port/webkit.py:
         - Be sure to reset the server_process.error after reading (seems like the wrong
           place to do this, but at least this fixes the bug and dpranke and I can talk
           about better designs later).
         - Also remove the #EOF from the stderr output before returning it.

2010-04-22  Eric Seidel  <eric@webkit.org>

        Unreviewed.  Fixing new-run-webkit-tests on the bots.

        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
         - Fixing _compat_shim_option to take variable keyword args.
         - Turns out that nargs + callback is ignored unless type is specified.
           So I added the type so that the option was properly consumed.
           This was why new-run-webkit-tests couldn't find any tests, it
           was looking for them under "20" because that was the argument
           which should have been consumed by --exit-after-n-failures.

2010-04-22  Tony Chang  <tony@chromium.org>

        Not reviewed, build fix for chromium Windows.

        [chromium] fix ImageDiff compile on windows
        https://bugs.webkit.org/show_bug.cgi?id=37979

        * DumpRenderTree/chromium/ImageDiff.cpp:

2010-04-22  Adam Barth  <abarth@webkit.org>

        Unreviewed, rolling out r58069.
        http://trac.webkit.org/changeset/58069
        https://bugs.webkit.org/show_bug.cgi?id=27751

        Broke compile on Windows.

        * DumpRenderTree/LayoutTestController.cpp:
        (LayoutTestController::staticFunctions):
        * DumpRenderTree/LayoutTestController.h:
        * DumpRenderTree/chromium/LayoutTestController.cpp:
        (LayoutTestController::LayoutTestController):
        (LayoutTestController::overridePreference):
        * DumpRenderTree/chromium/LayoutTestController.h:
        * DumpRenderTree/chromium/TestShell.cpp:
        (TestShell::resetWebSettings):
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        * DumpRenderTree/mac/DumpRenderTree.mm:
        (resetDefaultsToConsistentValues):
        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        (WebCore::WebPage::WebPage):
        (WebCore::WebPage::resetSettings):
        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        * DumpRenderTree/qt/LayoutTestControllerQt.h:
        * DumpRenderTree/win/DumpRenderTree.cpp:
        (resetDefaultsToConsistentValues):
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        * DumpRenderTree/wx/LayoutTestControllerWx.cpp:

2010-04-22  Eric Seidel  <eric@webkit.org>

        Unreviewed.  Just adding logging.

        Adding logging to help debug why the Leopard Bot
        can't find any tests to run.

        * Scripts/webkitpy/layout_tests/layout_package/test_files.py:
        * Scripts/webkitpy/layout_tests/port/base.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
         - Make it a fatal error to have no tests to run.

2010-04-22  Abhishek Arya  <inferno@chromium.org>

        Reviewed by Adam Barth.

        Add support for controlling clipboard access from javascript.
        Clipboard access from javascript is enabled in test framework.
        https://bugs.webkit.org/show_bug.cgi?id=27751

        * DumpRenderTree/LayoutTestController.cpp:
        (setJavaScriptCanAccessClipboardCallback):
        (LayoutTestController::staticFunctions):
        * DumpRenderTree/LayoutTestController.h:
        * DumpRenderTree/chromium/LayoutTestController.cpp:
        (LayoutTestController::LayoutTestController):
        (LayoutTestController::setJavaScriptCanAccessClipboard):
        (LayoutTestController::overridePreference):
        * DumpRenderTree/chromium/LayoutTestController.h:
        * DumpRenderTree/chromium/TestShell.cpp:
        (TestShell::resetWebSettings):
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::setJavaScriptCanAccessClipboard):
        * DumpRenderTree/mac/DumpRenderTree.mm:
        (resetDefaultsToConsistentValues):
        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (LayoutTestController::setJavaScriptCanAccessClipboard):
        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        (WebCore::WebPage::WebPage):
        (WebCore::WebPage::resetSettings):
        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        (LayoutTestController::setJavaScriptCanAccessClipboard):
        * DumpRenderTree/qt/LayoutTestControllerQt.h:
        * DumpRenderTree/win/DumpRenderTree.cpp:
        (resetDefaultsToConsistentValues):
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::setJavaScriptCanAccessClipboard):
        * DumpRenderTree/wx/LayoutTestControllerWx.cpp:
        (LayoutTestController::setJavaScriptCanAccessClipboard):

2010-04-21  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        webkit-patch can't fetch attachments on security bugs
        https://bugs.webkit.org/show_bug.cgi?id=37975

        Instead of calling CURL, we just need to use our Mechanize object,
        which understand bugs.webkit.org authentication.

        * Scripts/webkitpy/common/checkout/api.py:
        * Scripts/webkitpy/common/net/bugzilla.py:

2010-04-21  Eric Seidel  <eric@webkit.org>

        Unreviewed.  Temporary commit, will roll-out before morning.

        Turning on new-run-webkit-tests for the Leopard build bot
        for testing of the harness.
        Users should not noctice (except for the results.html difference).

        * Scripts/run-webkit-tests:

2010-04-21  Eric Seidel  <eric@webkit.org>

        Unreviewed.  Fix typo in my previous fix attempt.

        REGRESSION(57531): the commit-queue still hates Tor Arne Vestbø
        https://bugs.webkit.org/show_bug.cgi?id=37765

        More on-the-bot debugging, sigh.  I wish I had a local build.

        * Scripts/webkitpy/layout_tests/port/base.py:

2010-04-21  Eric Seidel  <eric@webkit.org>

        Unreviewed.  Fix typo in my previous fix attempt.

        REGRESSION(57531): the commit-queue still hates Tor Arne Vestbø
        https://bugs.webkit.org/show_bug.cgi?id=37765

        * Scripts/webkitpy/layout_tests/port/base.py:
         - Add self. to class variable access.

2010-04-21  Eric Seidel  <eric@webkit.org>

        Unreviewed.  Another attempt to fix NRWT for chromium.

        REGRESSION(57531): the commit-queue still hates Tor Arne Vestbø
        https://bugs.webkit.org/show_bug.cgi?id=37765

        * Scripts/webkitpy/layout_tests/port/base.py:
         - wdiff_text was returning a byte array instead of a
           unicode string.  The simple fix was to just decode
           the result.  However, seeing so much duplicated code
           with Executive made me cry, so I re-wrote the function
           to be more like pretty_patch_text and use run_command
           (which already knows how to handle unicode).

2010-04-21  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Windows tests buildbots are too slow to be core builders
        https://bugs.webkit.org/show_bug.cgi?id=37970

        It's 10:45.  The Windows test bots are still hours behind.  They're too
        slow to be core builders.  When they get fast, we can add them back.

        * Scripts/webkitpy/common/net/buildbot.py:
        * Scripts/webkitpy/common/net/buildbot_unittest.py:

2010-04-21  Eric Seidel  <eric@webkit.org>

        Unreviewed.  Attempt one more time to fix NRWT for chromium.

        REGRESSION(57531): the commit-queue still hates Tor Arne Vestbø
        https://bugs.webkit.org/show_bug.cgi?id=37765

        I'm debugging in the blind because I don't have a chromium
        build on this laptop.

        * Scripts/webkitpy/layout_tests/port/chromium.py:
         - Apply the previous fix to a second caller.

2010-04-21  Eric Seidel  <eric@webkit.org>

        Unreviewed.  Attempt one more time to fix NRWT for chromium.

        REGRESSION(57531): the commit-queue still hates Tor Arne Vestbø
        https://bugs.webkit.org/show_bug.cgi?id=37765

        * Scripts/webkitpy/layout_tests/port/chromium.py:
         - Fix handling of test_shell output so that we always
           decode it as utf-8.
           Unlike DumpRenderTree test_shell does not ever return
           pixel data.  It spits out the pixel dumps in a separate
           file, thus all output over stdout is utf-8 text.

2010-04-21  Eric Seidel  <eric@webkit.org>

        Unreviewed.  Attempt one more time to fix NRWT for chromium.

        REGRESSION(57531): the commit-queue still hates Tor Arne Vestbø
        https://bugs.webkit.org/show_bug.cgi?id=37765

        * Scripts/webkitpy/layout_tests/test_types/image_diff.py:
         - Pass encoding to _save_baseline_data and write_output_files
        * Scripts/webkitpy/layout_tests/test_types/test_type_base.py:
         - Make _save_baseline_data and write_output_files take an encoding.
        * Scripts/webkitpy/layout_tests/test_types/text_diff.py:
        - Pass encoding to _save_baseline_data and write_output_files

2010-04-21  No'am Rosenthal  <noam.rosenthal@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] QtLauncher: make FPS measurement accurate
        https://bugs.webkit.org/show_bug.cgi?id=37934

        Instead of counting paints, which are not interchangeable with frames that
        the user sees, we now set an arbitrary timer for FPS measurements. The idea is
        that if the main thread is delayed for any reason, that timer would be delayed
        as well.

        * QtLauncher/QtLauncher.pro:
        * QtLauncher/fpstimer.cpp: Added.
        (FpsTimer::FpsTimer):
        (FpsTimer::numFrames):
        (FpsTimer::start):
        (FpsTimer::stop):
        (FpsTimer::timerEvent):
        * QtLauncher/fpstimer.h: Added.
        * QtLauncher/webview.cpp:
        (WebViewGraphicsBased::setFrameRateMeasurementEnabled):
        (WebViewGraphicsBased::updateFrameRate):
        (WebViewGraphicsBased::paintEvent):
        * QtLauncher/webview.h:

2010-04-21  Eric Seidel  <eric@webkit.org>

        Unreviewed, just adding missing ":" in python file.

        REGRESSION(57531): the commit-queue still hates Tor Arne Vestbø
        https://bugs.webkit.org/show_bug.cgi?id=37765

        new-run-webkit-tests --chromium was borked.

        * Scripts/webkitpy/layout_tests/port/chromium.py:

2010-04-21  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        REGRESSION(57531): the commit-queue still hates Tor Arne Vestbø
        https://bugs.webkit.org/show_bug.cgi?id=37765

        Third time is the charm.  I've fixed all the
        new-run-webkit-tests regressions from previous attempts.

        I fixed the queue to not ignore Tor as a reviwer in r57531,
        but instead it throws an exception every time his name is in a patch.

        This fixes our Executive.run_command code to work around a Popen
        bug http://bugs.python.org/issue5290 whereby python versions before 2.6
        do not correctly handle unicode objects as input or output to
        Popen.communicate.

        Following the advice of:
        http://farmdev.com/talks/unicode/
        I have changed all of webkitpy to use unicode() objects as strings
        instead of str objects (which in Python 3 are renamed "bytes").

        String literals were left as "foo" instead of converting to u"foo"
        as u"foo" is only required if the string has a non-ascii code point.
        Python is smart about comparing str() and unicode() values and will
        log an error to the console if the comparison is ever invalid.

        Executive.run* now correctly accept and return unicode() objects.
        I attempted to fix all the places that we call .write() to make sure we
        encode any unicode() objects into utf-8.

        I removed several uses of StringIO.  StringIO should generally always be
        passed a unicode() value.

        Likewise I replaced most calls to open() with codecs.open().
        codecs.open() matches Python 3 open semantics in requiring an encoding
        parameter.  Files opened with codecs.open() with a unicode-compatible
        encoding will vend unicode() objects from their read() calls, like how
        StringIO created with a unicode() object will do.

        I also deployed "with" statements wider (now that the project has
        settled on Python 2.5) to close a bunch of file descriptor leaks.

        * Scripts/webkitpy/common/checkout/api_unittest.py:
         - Read/write utf-8 files instead of ascii.
         - Update the tests to use test for proper unicode() handling.
        * Scripts/webkitpy/common/checkout/changelog.py:
         - Document that parse_latest_entry_from_file expects
           file-like objects which return unicode strings.
        * Scripts/webkitpy/common/checkout/changelog_unittest.py:
         - Use unicode() strings instead of str() byte arrays.
         - Deploy "with" to close file descriptor leaks.
        * Scripts/webkitpy/common/checkout/commitinfo.py:
         - Remove unneeded import.
        * Scripts/webkitpy/common/checkout/scm.py:
         - Remove use of str().
        * Scripts/webkitpy/common/checkout/scm_unittest.py:
         - Read/write utf-8 files and use unicode() strings in testing.
        * Scripts/webkitpy/common/config/committers.py:
         - Use \u instead of \x to make slightly clearer what we're doing.
        * Scripts/webkitpy/common/net/bugzilla.py:
         - Add a new _string_contents() method and explain why
            we have to call unicode() on the result of soup.string
            and why it's safe to do so w/o needing to pass a codec name.
          - Remove the (unused) support for passing a file object to add_patch_to_bug().
        * Scripts/webkitpy/common/net/buildbot.py:
         - Use unicode() instead of str() when needing to coax a
            NavigableString object into a unicode() object.
        * Scripts/webkitpy/common/net/buildbot_unittest.py:
         - Add a test which contains a unicode builder name.
        * Scripts/webkitpy/common/net/statusserver.py:
         - Remove use of str()
        * Scripts/webkitpy/common/prettypatch.py:
         - Write out the patch file as utf-8.
        * Scripts/webkitpy/common/system/autoinstall.py:
         - Write out files with a explicit encodings.
         - Deploy "with" to close file descriptor leaks.
        * Scripts/webkitpy/common/system/deprecated_logging.py:
         - Write out log files as utf-8.
        * Scripts/webkitpy/common/system/executive.py:
         - Make run* properly take and return unicode() objects.
         - Cleaned up input handling in run_command a little by adding
           a _compute_input() method which can return early instead of having
           such a long/cluttered if-block.
        * Scripts/webkitpy/common/system/executive_unittest.py:
         - Added a unit test to make sure we don't break Tor again!
        * Scripts/webkitpy/layout_tests/layout_package/dump_render_tree_thread.py:
         - Write out the test list as utf-8.
        * Scripts/webkitpy/layout_tests/layout_package/json_results_generator.py:
         - Write out json files as utf-8.
        * Scripts/webkitpy/layout_tests/port/apache_http_server.py:
         - Deploy "with" to close file descriptor leaks.
        * Scripts/webkitpy/layout_tests/port/chromium.py: Add Executive.py FIXME.
        * Scripts/webkitpy/layout_tests/port/chromium_linux.py: ditto.
        * Scripts/webkitpy/layout_tests/port/chromium_mac.py: ditto.
        * Scripts/webkitpy/layout_tests/port/gtk.py: ditto.
        * Scripts/webkitpy/layout_tests/port/mac.py: ditto.
        * Scripts/webkitpy/layout_tests/port/mac_unittest.py:
         - Make the skipped file parsing test unicode.
        * Scripts/webkitpy/layout_tests/port/qt.py: Add Executive.py FIXME.
        * Scripts/webkitpy/layout_tests/port/server_process.py: ditto.
        * Scripts/webkitpy/layout_tests/port/webkit.py:
         - Deploy "with" to close file descriptor leaks.
        * Scripts/webkitpy/layout_tests/port/websocket_server.py:
         - Make explicit the encodings of log files and pid files.
        * Scripts/webkitpy/layout_tests/rebaseline_chromium_webkit_tests.py:
         - Make encodings explicit and deploy "with".
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py: ditto.
        * Scripts/webkitpy/layout_tests/test_types/image_diff.py: ditto.
        * Scripts/webkitpy/layout_tests/test_types/test_type_base.py: ditto.
        * Scripts/webkitpy/layout_tests/test_types/text_diff.py: ditto.
        * Scripts/webkitpy/style/filereader_unittest.py: ditto.
        * Scripts/webkitpy/thirdparty/__init__.py: ditto.
        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:
         - Removed extra import.
        * Scripts/webkitpy/tool/commands/queues.py:
         - No need to map args to strings now that run_command does.
         - Update test results to match args changes.
         - Document our global argument hacks.
        * Scripts/webkitpy/tool/commands/upload.py:
         - Pass the diff directly to add_patch_to_bug instead of creating a StringIO file wrapper.
        * Scripts/webkitpy/tool/mocktool.py:
         - Rename add_patch_to_bug argument to match bugzilla.py
        * Scripts/webkitpy/tool/steps/abstractstep.py:
         - Executive.run_* now require lists instead of strings.
           The lack of this change was what broke webkit-patch
           for svn users the first time this was landed.
        * Scripts/webkitpy/tool/steps/postdiff.py:
         - Pass the diff directly to add_patch_to_bug instead of creating a StringIO file wrapper.
        * Scripts/webkitpy/tool/steps/postdiffforcommit.py: ditto
        * Scripts/webkitpy/tool/steps/postdiffforrevert.py: ditto
        * Scripts/webkitpy/tool/steps/steps_unittest.py:
         - Fixed spurious logging seen when running test-webkitpy

2010-04-21  Chris Fleizach  <cfleizach@apple.com>

        Reviewed by Alexey Proskuryakov.

        aria-liveregion-notifications.html fails on leopard release bot
        https://bugs.webkit.org/show_bug.cgi?id=37112

        Change the way that notifications are listened for by forcing clients
        to call a remove listener as well to match the add listener. DRT will
        assert if those are not done in the correct order. 

        * DumpRenderTree/AccessibilityUIElement.cpp:
        (removeNotificationListenerCallback):
        (AccessibilityUIElement::getJSClass):
        * DumpRenderTree/AccessibilityUIElement.h:
        * DumpRenderTree/gtk/AccessibilityUIElementGtk.cpp:
        (AccessibilityUIElement::removeNotificationListener):
        * DumpRenderTree/mac/AccessibilityUIElementMac.mm:
        (-[AccessibilityNotificationHandler initWithPlatformElement:]):
        (-[AccessibilityNotificationHandler dealloc]):
        (-[AccessibilityNotificationHandler _notificationReceived:]):
        (-[AccessibilityNotificationHandler setCallback:]):
        (AccessibilityUIElement::AccessibilityUIElement):
        (AccessibilityUIElement::~AccessibilityUIElement):
        (AccessibilityUIElement::addNotificationListener):
        (AccessibilityUIElement::removeNotificationListener):
        * DumpRenderTree/win/AccessibilityUIElementWin.cpp:
        (AccessibilityUIElement::removeNotificationListener):

2010-04-21  Anders Carlsson  <andersca@apple.com>

        Reviewed by Sam Weinig.

        Add debug menu items to show/hide the Web View.
        https://bugs.webkit.org/show_bug.cgi?id=37958

        * MiniBrowser/mac/BrowserWindowController.h:
        * MiniBrowser/mac/BrowserWindowController.m:
        (-[BrowserWindowController showHideWebView:]):
        (-[BrowserWindowController removeReinsertWebView:]):
        (-[BrowserWindowController validateMenuItem:]):
        * MiniBrowser/mac/English.lproj/MainMenu.xib:

2010-04-21  Eric Seidel  <eric@webkit.org>

        Unreviewed.  Rolling out unicode() changes as they broke NRWT for chromium.
        Rolling out:
        http://trac.webkit.org/changeset/58014
        http://trac.webkit.org/changeset/58016
        http://trac.webkit.org/changeset/58020

        REGRESSION(57531): the commit-queue still hates Tor Arne Vestbo
        https://bugs.webkit.org/show_bug.cgi?id=37765

        * Scripts/webkitpy/common/checkout/api_unittest.py:
        * Scripts/webkitpy/common/checkout/changelog.py:
        * Scripts/webkitpy/common/checkout/changelog_unittest.py:
        * Scripts/webkitpy/common/checkout/commitinfo.py:
        * Scripts/webkitpy/common/checkout/scm.py:
        * Scripts/webkitpy/common/checkout/scm_unittest.py:
        * Scripts/webkitpy/common/config/committers.py:
        * Scripts/webkitpy/common/net/bugzilla.py:
        * Scripts/webkitpy/common/net/buildbot.py:
        * Scripts/webkitpy/common/net/buildbot_unittest.py:
        * Scripts/webkitpy/common/net/statusserver.py:
        * Scripts/webkitpy/common/prettypatch.py:
        * Scripts/webkitpy/common/system/autoinstall.py:
        * Scripts/webkitpy/common/system/deprecated_logging.py:
        * Scripts/webkitpy/common/system/executive.py:
        * Scripts/webkitpy/common/system/executive_unittest.py:
        * Scripts/webkitpy/layout_tests/layout_package/dump_render_tree_thread.py:
        * Scripts/webkitpy/layout_tests/layout_package/json_results_generator.py:
        * Scripts/webkitpy/layout_tests/port/apache_http_server.py:
        * Scripts/webkitpy/layout_tests/port/chromium.py:
        * Scripts/webkitpy/layout_tests/port/chromium_linux.py:
        * Scripts/webkitpy/layout_tests/port/chromium_mac.py:
        * Scripts/webkitpy/layout_tests/port/gtk.py:
        * Scripts/webkitpy/layout_tests/port/mac.py:
        * Scripts/webkitpy/layout_tests/port/mac_unittest.py:
        * Scripts/webkitpy/layout_tests/port/qt.py:
        * Scripts/webkitpy/layout_tests/port/server_process.py:
        * Scripts/webkitpy/layout_tests/port/webkit.py:
        * Scripts/webkitpy/layout_tests/port/websocket_server.py:
        * Scripts/webkitpy/layout_tests/rebaseline_chromium_webkit_tests.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
        * Scripts/webkitpy/layout_tests/test_types/image_diff.py:
        * Scripts/webkitpy/layout_tests/test_types/test_type_base.py:
        * Scripts/webkitpy/layout_tests/test_types/text_diff.py:
        * Scripts/webkitpy/style/filereader_unittest.py:
        * Scripts/webkitpy/thirdparty/__init__.py:
        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:
        * Scripts/webkitpy/tool/commands/queues.py:
        * Scripts/webkitpy/tool/commands/queues_unittest.py:
        * Scripts/webkitpy/tool/commands/upload.py:
        * Scripts/webkitpy/tool/mocktool.py:
        * Scripts/webkitpy/tool/steps/abstractstep.py:
        * Scripts/webkitpy/tool/steps/postdiff.py:
        * Scripts/webkitpy/tool/steps/postdiffforcommit.py:
        * Scripts/webkitpy/tool/steps/postdiffforrevert.py:
        * Scripts/webkitpy/tool/steps/steps_unittest.py:

2010-04-21  Eric Seidel  <eric@webkit.org>

        Unreviewed, fixing NRWT for real this time.

        REGRESSION(57531): the commit-queue still hates Tor Arne Vestbø
        https://bugs.webkit.org/show_bug.cgi?id=37765

        * Scripts/webkitpy/layout_tests/test_types/test_type_base.py:
         - Add a hack to fix new-run-webkit-tests
           my understanding of codecs.open(encoding=None)
           must have been wrong.

2010-04-21  Eric Seidel  <eric@webkit.org>

        Unreviewed, just fixing exception seen on builders.

        REGRESSION(57531): the commit-queue still hates Tor Arne Vestbø
        https://bugs.webkit.org/show_bug.cgi?id=37765

        * Scripts/webkitpy/layout_tests/test_types/test_type_base.py:
         - Pass and encoding to _write_into_file_at_path

2010-04-21  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        REGRESSION(57531): the commit-queue still hates Tor Arne Vestbø
        https://bugs.webkit.org/show_bug.cgi?id=37765

        I fixed the queue to not ignore Tor as a reviwer in r57531,
        but instead it throws an exception every time his name is in a patch.

        This fixes our Executive.run_command code to work around a Popen
        bug http://bugs.python.org/issue5290 whereby python versions before 2.6
        do not correctly handle unicode objects as input or output to
        Popen.communicate.

        Following the advice of:
        http://farmdev.com/talks/unicode/
        I have changed all of webkitpy to use unicode() objects as strings
        instead of str objects (which in Python 3 are renamed "bytes").

        String literals were left as "foo" instead of converting to u"foo"
        as u"foo" is only required if the string has a non-ascii code point.
        Python is smart about comparing str() and unicode() values and will
        log an error to the console if the comparison is ever invalid.

        Executive.run* now correctly accept and return unicode() objects.
        I attempted to fix all the places that we call .write() to make sure we
        encode any unicode() objects into utf-8.

        I removed several uses of StringIO.  StringIO should generally always be
        passed a unicode() value.

        Likewise I replaced most calls to open() with codecs.open().
        codecs.open() matches Python 3 open semantics in requiring an encoding
        parameter.  Files opened with codecs.open() with a unicode-compatible
        encoding will vend unicode() objects from their read() calls, like how
        StringIO created with a unicode() object will do.

        I also deployed "with" statements wider (now that the project has
        settled on Python 2.5) to close a bunch of file descriptor leaks.

        * Scripts/webkitpy/common/checkout/api_unittest.py:
         - Read/write utf-8 files instead of ascii.
         - Update the tests to use test for proper unicode() handling.
        * Scripts/webkitpy/common/checkout/changelog.py:
         - Document that parse_latest_entry_from_file expects
           file-like objects which return unicode strings.
        * Scripts/webkitpy/common/checkout/changelog_unittest.py:
         - Use unicode() strings instead of str() byte arrays.
         - Deploy "with" to close file descriptor leaks.
        * Scripts/webkitpy/common/checkout/commitinfo.py:
         - Remove unneeded import.
        * Scripts/webkitpy/common/checkout/scm.py:
         - Remove use of str().
        * Scripts/webkitpy/common/checkout/scm_unittest.py:
         - Read/write utf-8 files and use unicode() strings in testing.
        * Scripts/webkitpy/common/config/committers.py:
         - Use \u instead of \x to make slightly clearer what we're doing.
        * Scripts/webkitpy/common/net/bugzilla.py:
         - Add a new _string_contents() method and explain why
            we have to call unicode() on the result of soup.string
            and why it's safe to do so w/o needing to pass a codec name.
          - Remove the (unused) support for passing a file object to add_patch_to_bug().
        * Scripts/webkitpy/common/net/buildbot.py:
         - Use unicode() instead of str() when needing to coax a
            NavigableString object into a unicode() object.
        * Scripts/webkitpy/common/net/buildbot_unittest.py:
         - Add a test which contains a unicode builder name.
        * Scripts/webkitpy/common/net/statusserver.py:
         - Remove use of str()
        * Scripts/webkitpy/common/prettypatch.py:
         - Write out the patch file as utf-8.
        * Scripts/webkitpy/common/system/autoinstall.py:
         - Write out files with a explicit encodings.
         - Deploy "with" to close file descriptor leaks.
        * Scripts/webkitpy/common/system/deprecated_logging.py:
         - Write out log files as utf-8.
        * Scripts/webkitpy/common/system/executive.py:
         - Make run* properly take and return unicode() objects.
         - Cleaned up input handling in run_command a little by adding
           a _compute_input() method which can return early instead of having
           such a long/cluttered if-block.
        * Scripts/webkitpy/common/system/executive_unittest.py:
         - Added a unit test to make sure we don't break Tor again!
        * Scripts/webkitpy/layout_tests/layout_package/dump_render_tree_thread.py:
         - Write out the test list as utf-8.
        * Scripts/webkitpy/layout_tests/layout_package/json_results_generator.py:
         - Write out json files as utf-8.
        * Scripts/webkitpy/layout_tests/port/apache_http_server.py:
         - Deploy "with" to close file descriptor leaks.
        * Scripts/webkitpy/layout_tests/port/chromium.py: Add Executive.py FIXME.
        * Scripts/webkitpy/layout_tests/port/chromium_linux.py: ditto.
        * Scripts/webkitpy/layout_tests/port/chromium_mac.py: ditto.
        * Scripts/webkitpy/layout_tests/port/gtk.py: ditto.
        * Scripts/webkitpy/layout_tests/port/mac.py: ditto.
        * Scripts/webkitpy/layout_tests/port/mac_unittest.py:
         - Make the skipped file parsing test unicode.
        * Scripts/webkitpy/layout_tests/port/qt.py: Add Executive.py FIXME.
        * Scripts/webkitpy/layout_tests/port/server_process.py: ditto.
        * Scripts/webkitpy/layout_tests/port/webkit.py:
         - Deploy "with" to close file descriptor leaks.
        * Scripts/webkitpy/layout_tests/port/websocket_server.py:
         - Make explicit the encodings of log files and pid files.
        * Scripts/webkitpy/layout_tests/rebaseline_chromium_webkit_tests.py:
         - Make encodings explicit and deploy "with".
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py: ditto.
        * Scripts/webkitpy/layout_tests/test_types/image_diff.py: ditto.
        * Scripts/webkitpy/layout_tests/test_types/test_type_base.py: ditto.
        * Scripts/webkitpy/layout_tests/test_types/text_diff.py: ditto.
        * Scripts/webkitpy/style/filereader_unittest.py: ditto.
        * Scripts/webkitpy/thirdparty/__init__.py: ditto.
        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:
         - Removed extra import.
        * Scripts/webkitpy/tool/commands/queues.py:
         - No need to map args to strings now that run_command does.
         - Update test results to match args changes.
         - Document our global argument hacks.
        * Scripts/webkitpy/tool/commands/upload.py:
         - Pass the diff directly to add_patch_to_bug instead of creating a StringIO file wrapper.
        * Scripts/webkitpy/tool/mocktool.py:
         - Rename add_patch_to_bug argument to match bugzilla.py
        * Scripts/webkitpy/tool/steps/abstractstep.py:
         - Executive.run_* now require lists instead of strings.
           The lack of this change was what broke webkit-patch
           for svn users the first time this was landed.
        * Scripts/webkitpy/tool/steps/postdiff.py:
         - Pass the diff directly to add_patch_to_bug instead of creating a StringIO file wrapper.
        * Scripts/webkitpy/tool/steps/postdiffforcommit.py: ditto
        * Scripts/webkitpy/tool/steps/postdiffforrevert.py: ditto
        * Scripts/webkitpy/tool/steps/steps_unittest.py:
         - Fixed spurious logging seen when running test-webkitpy

2010-04-21  Kinuko Yasuda  <kinuko@chromium.org>

        Unreviewed.

        Add myself in committers.py.

        * Scripts/webkitpy/common/config/committers.py:

2010-04-21  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Dimitri Glazkov.

        new-run-webkit-tests: fix a bug in the Chromium port where we would
        try to talk to a crashed test_shell and raise exceptions that weren't
        being caught.

        https://bugs.webkit.org/show_bug.cgi?id=37941

        * Scripts/webkitpy/layout_tests/port/chromium.py:

2010-04-21  Laszlo Gombos  <laszlo.1.gombos@nokia.com>

        Unreviewed.

        [Qt] [Symbian] Build fix.

        Work around a Qt quirk. Some versions of Symbian port Qt
        QFontDatabase::removeAllApplicationFonts symbol is not available.

        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        (WebCore::DumpRenderTree::open):

2010-04-21  Alexey Proskuryakov  <ap@apple.com>

        Unreviewed.

        https://bugs.webkit.org/show_bug.cgi?id=37933
        <rdar://problem/7719540> XMLHttpRequest.withCredentials should be better enforced.

        Adding stub implementation of authenticateSession(). Depending on platform loader behavior,
        a real implementation may or may not be necessary for the one test that currently uses it
        to pass.

        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        (LayoutTestController::authenticateSession):
        * DumpRenderTree/qt/LayoutTestControllerQt.h:

2010-04-21  Alexey Proskuryakov  <ap@apple.com>

        Reviewed by Brady Eidson.

        https://bugs.webkit.org/show_bug.cgi?id=37933
        <rdar://problem/7719540> XMLHttpRequest.withCredentials should be better enforced.

        Adding authenticateSession() method that adds credentials to per-process credential storage
        (for platforms that even have such). No Windows implementation, because writing another
        loader for DRT is painful.

        * DumpRenderTree/LayoutTestController.cpp:
        (authenticateSessionCallback):
        (LayoutTestController::staticFunctions):
        * DumpRenderTree/LayoutTestController.h:
        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (-[SynchronousLoader dealloc]):
        (-[SynchronousLoader connectionShouldUseCredentialStorage:]):
        (-[SynchronousLoader connection:didReceiveAuthenticationChallenge:]):
        (-[SynchronousLoader connection:didFailWithError:]):
        (-[SynchronousLoader connectionDidFinishLoading:]):
        (+[SynchronousLoader makeRequest:withUsername:password:]):
        (LayoutTestController::authenticateSession):

        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::authenticateSession):
        * DumpRenderTree/wx/LayoutTestControllerWx.cpp:
        (LayoutTestController::authenticateSession):
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::authenticateSession):
        Stub implementations.

2010-04-21  Kent Tamura  <tkent@chromium.org>

        Reviewed by Dimitri Glazkov.

        [DRT/Chromium] Make DRT compilable in Chromium tree
        https://bugs.webkit.org/show_bug.cgi?id=37923

        We need to use different GYPs in a case of WebKit-only checkout
        and a case of whole Chromium checkout because the relative paths
        from webkit/ to WebKit/chromium/features.gypi are different in
        these cases and we can't use 'conditions' for 'includes' in GYPs.

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:

2010-04-21  Jakub Wieczorek  <jwieczorek@webkit.org>

        Reviewed by Darin Adler.

        List item markers are not always updated after changes in the DOM.
        https://bugs.webkit.org/show_bug.cgi?id=37060

        * DumpRenderTree/LayoutTestController.cpp:
        (markerTextForListItemCallback): A function that returns the marker text for a given list item.
        (LayoutTestController::staticFunctions):
        * DumpRenderTree/LayoutTestController.h:
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::markerTextForListItem): Implement it in the GTK port.
        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (LayoutTestController::markerTextForListItem): Add a stub.
        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        (LayoutTestController::LayoutTestController):
        (LayoutTestController::markerTextForListItem): Implement it in the Qt port.
        * DumpRenderTree/qt/LayoutTestControllerQt.h:
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::markerTextForListItem): Add a stub.

2010-04-21  Adam Roben  <aroben@apple.com>

        Exclude leaks in CGGradientCreateWithColorComponents from
        run-webkit-tests leaks output

        The leak in CG is covered by <rdar://problem/7888492>.

        Fixes <http://webkit.org/b/37927>.

        Reviewed by Eric Carlson.

        * Scripts/old-run-webkit-tests:
        (sub countAndPrintLeaks): Exclude leaks in
        CGGradientCreateWithColorComponents on certain OSs.

2010-04-21  Kent Tamura  <tkent@chromium.org>

        Reviewed by Shinichiro Hamaji.

        [DRT/Chromium] Import MockSpellCheck from Chromium
        https://bugs.webkit.org/show_bug.cgi?id=37910

        Import webkit/tools/test_shell/mock_spellcheck.{cc,h} rev.37241 of Chromium.

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:
          Add ICU explicitly because WTFString.h includes ICU headers.
          Add MockSpellCheck.{cpp,h}.
        * DumpRenderTree/chromium/MockSpellCheck.cpp: Added.
        * DumpRenderTree/chromium/MockSpellCheck.h: Added.
        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::spellCheck):
        * DumpRenderTree/chromium/WebViewHost.h:
        * DumpRenderTree/chromium/config.h: Define JS_EXPORTDATA, which is used
          by wtf/text/AtomicString.h included by wtf/text/WTFString.h.

2010-04-21  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Add webkit-patch pretty-diff
        https://bugs.webkit.org/show_bug.cgi?id=37892

        This is slightly lame because it asks you whether the diff is correct,
        but it's a starting point.

        * Scripts/webkitpy/tool/commands/__init__.py:
        * Scripts/webkitpy/tool/commands/prettydiff.py: Added.
        * Scripts/webkitpy/tool/main.py:

2010-04-21  Adam Barth  <abarth@webkit.org>

        Reviewed by Darin Adler.

        Remove mention of non-existant --no-build option
        https://bugs.webkit.org/show_bug.cgi?id=37893

        The option doesn't exist!

        * Scripts/webkitpy/tool/commands/stepsequence.py:

2010-04-21  Balazs Kelemen  <kb@inf.u-szeged.hu>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Interrupting JavaScript is cumbersome when you use QtLaucher for testing or profiling.
        https://bugs.webkit.org/show_bug.cgi?id=37198

        * QtLauncher/main.cpp:
        (LauncherWindow::toggleInterruptingJavaScriptEnabled):
        (LauncherWindow::newWindow):
        (LauncherWindow::cloneWindow):
        (LauncherWindow::createChrome):
        (main):
        * QtLauncher/webpage.cpp:
        (WebPage::WebPage):
        (WebPage::shouldInterruptJavaScript):
        * QtLauncher/webpage.h:
        (WebPage::setInterruptingJavaScriptEnabled):

2010-04-21  Eric Seidel  <eric@webkit.org>

        Unreviewed, rolling out r57963.
        http://trac.webkit.org/changeset/57963
        https://bugs.webkit.org/show_bug.cgi?id=37759

        Three tests started crashing on the Qt bot.

        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        * DumpRenderTree/qt/LayoutTestControllerQt.h:

2010-04-21  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        Reviewed by Eric Seidel.

        Make new-run-webkit-tests work for the Qt port
        https://bugs.webkit.org/show_bug.cgi?id=37588

        * Scripts/webkitpy/layout_tests/port/qt.py:

2010-04-21  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        Reviewed by Eric Seidel.

        new-run-webkit-tests: try to detect alternate apache path
        https://bugs.webkit.org/show_bug.cgi?id=37587

        _check_port_build() also needs to return true in the
        base implementation to not fail the check_build step.

        * Scripts/webkitpy/layout_tests/port/webkit.py:

2010-04-21  Yi Shen  <yi.4.shen@nokia.com>

        Reviewed by Simon Hausmann.

        [Qt] Add LayoutTestController interface: computedStyleIncludingVisitedInfo
        https://bugs.webkit.org/show_bug.cgi?id=37759

        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        (LayoutTestController::computedStyleIncludingVisitedInfo):
        * DumpRenderTree/qt/LayoutTestControllerQt.h:

2010-04-21  Eric Seidel  <eric@webkit.org>

        Unreviewed, test fix only.

        new-run-webkit-tests: implement a --log trace message to be able to display detailed output of an individual test run
        https://bugs.webkit.org/show_bug.cgi?id=37726

        This change seems to have broken a test.
        Attempting to handle the case where we don't have any
        timing information.  Dirk may have to correct this change.

        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:

2010-04-19  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        new-run-webkit-tests has much higher startup latency than run-webkit-tests
        https://bugs.webkit.org/show_bug.cgi?id=37643

        I got rid of the -expected.checksum reads during startup.
        This makes startup noticably better on my laptop.

        * Scripts/webkitpy/layout_tests/layout_package/dump_render_tree_thread.py:
         - Use image_hash() instead of .image_hash now that expected.checksum
           file reads are done lazily.
        * Scripts/webkitpy/layout_tests/port/http_server_base.py:
         - Add debug logging for this sleep call.
           In my testing I never saw this sleep() hit.
        * Scripts/webkitpy/layout_tests/port/websocket_server.py:
         - Sleep a shorter interval to make websocket server
           startup more responsive.  On my machine startup was
           taking around 1 second.
         - Remove the unconditional .5s delay on startup.
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
         - Make image_hash file reads done lazily in a new image_hash() function.
         - Add a "Starting testing ..." meter update after DRT threads have
           been started, but before we get updates from the first one.
         - Rename variable "t" to a full english name to match WebKit style.

2010-04-20  Daniel Bates  <dbates@rim.com>

        Reviewed by Eric Seidel.

        https://bugs.webkit.org/show_bug.cgi?id=37748

        Make Sheriffbot more inspirational.

        * Scripts/webkitpy/common/net/bugzilla.py:
        * Scripts/webkitpy/common/net/bugzilla_unittest.py:
        * Scripts/webkitpy/tool/bot/irc_command.py:
        * Scripts/webkitpy/tool/bot/sheriffircbot_unittest.py:
        * Scripts/webkitpy/tool/mocktool.py:

2010-04-20  Kent Tamura  <tkent@chromium.org>

        Reviewed by Dimitri Glazkov.

        [DRT/Chromium] Import Chromium image_diff as ImageDiff
        https://bugs.webkit.org/show_bug.cgi?id=37790

        ImageDiff.cpp is based on tools/imagediff/image_diff.cc r41911 of Chromium.

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:
        * DumpRenderTree/chromium/ImageDiff.cpp: Added.
        * Scripts/webkitpy/layout_tests/port/chromium_mac.py:

2010-04-20  Dirk Pranke <dpranke@chromium.org>

        This patch to new-run-webkit-tests adds a --log 'trace' option
        that prints out detailed info about a given test as it executes
        (where the baselines are, what the expectation is, what we got,
        how long it took).

        https://bugs.webkit.org/show_bug.cgi?id=37726

        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
          - use the newly exposed TestResult class and implement
            --log trace
        * Scripts/webkitpy/layout_tests/layout_package/dump_render_thread.py:
          - rename TestStats to TestResult and make it more public, resulting
            in cleaner code
        * Scripts/webkitpy/layout_tests/layout_package/test_expectations.py:
          - add expectation_to_string() as a separate callable function

2010-04-20  Eric Seidel  <eric@webkit.org>

        Unreviewed, rolling out r57907.
        http://trac.webkit.org/changeset/57907
        https://bugs.webkit.org/show_bug.cgi?id=37765

        Appears to have broken MacEWS and possibly webkit-patch upload
        for svn users.  Needs further investigation.

        * Scripts/webkitpy/common/checkout/api.py:
        * Scripts/webkitpy/common/checkout/api_unittest.py:
        * Scripts/webkitpy/common/checkout/changelog.py:
        * Scripts/webkitpy/common/checkout/changelog_unittest.py:
        * Scripts/webkitpy/common/checkout/commitinfo.py:
        * Scripts/webkitpy/common/checkout/scm.py:
        * Scripts/webkitpy/common/checkout/scm_unittest.py:
        * Scripts/webkitpy/common/config/committers.py:
        * Scripts/webkitpy/common/net/bugzilla.py:
        * Scripts/webkitpy/common/net/buildbot.py:
        * Scripts/webkitpy/common/net/buildbot_unittest.py:
        * Scripts/webkitpy/common/net/statusserver.py:
        * Scripts/webkitpy/common/prettypatch.py:
        * Scripts/webkitpy/common/system/autoinstall.py:
        * Scripts/webkitpy/common/system/deprecated_logging.py:
        * Scripts/webkitpy/common/system/executive.py:
        * Scripts/webkitpy/common/system/executive_unittest.py:
        * Scripts/webkitpy/layout_tests/layout_package/dump_render_tree_thread.py:
        * Scripts/webkitpy/layout_tests/layout_package/json_results_generator.py:
        * Scripts/webkitpy/layout_tests/layout_package/metered_stream.py:
        * Scripts/webkitpy/layout_tests/port/mac_unittest.py:
        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:
        * Scripts/webkitpy/tool/commands/queues.py:
        * Scripts/webkitpy/tool/commands/queues_unittest.py:
        * Scripts/webkitpy/tool/commands/upload.py:
        * Scripts/webkitpy/tool/mocktool.py:
        * Scripts/webkitpy/tool/steps/abstractstep.py:
        * Scripts/webkitpy/tool/steps/postdiff.py:
        * Scripts/webkitpy/tool/steps/postdiffforcommit.py:
        * Scripts/webkitpy/tool/steps/postdiffforrevert.py:
        * Scripts/webkitpy/tool/steps/steps_unittest.py:

2010-04-20  Nate Chapin  <japhet@chromium.org>

        Unreviewed.

        Update my irc handle in committers.py (natechapin -> japhet).

        * Scripts/webkitpy/common/config/committers.py:

2010-04-20  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        REGRESSION(57531): the commit-queue still hates Tor Arne Vestbø
        https://bugs.webkit.org/show_bug.cgi?id=37765

        I fixed the queue to not ignore Tor as a reviwer in r57531,
        but instead it throws an exception every time his name is in a patch.

        This fixes our Executive.run_command code to work around a Popen
        bug http://bugs.python.org/issue5290 whereby python versions before 2.6
        do not correctly handle unicode objects as input or output to
        Popen.communicate.

        Following the advice of:
        http://farmdev.com/talks/unicode/
        I'm attempting to take the python unicode plunge and use unicode()
        objects as strings instead of str() objects everywhere in webkitpy.

        We do not have to use u"" instead of "" because u"a" == "a" as expected
        in Python.  Python will generate a warning to the console in cases where
        a unicode() == str() operation cannot be performed.

        I also cleaned up the input handling in run_command a little by adding
        a new _compute_input() method which can return early instead of having
        such a long/cluttered if-block.

        Executive.run* now correctly accept and return unicode() objects.
        I attempted to fix all the places that we call .write() to make sure we
        encode any unicode() objects into utf-8.

        All places which use StringIO need to be sure to pass StringIO a
        pre-encoded byte-array (str object) instead of unicode so that
        clients which read from the StringIO don't have encoding exceptions.
        To make this easier, I removed the patch_file_object support from
        add_patch_to_bug, and changed the 4 places which previously used
        StringIO to create a fake patch file.

        I attempted to document any places where we are not correctly converting
        to/from bytes (str() objects) to strings (unicode() objects).

        * Scripts/webkitpy/common/checkout/api_unittest.py:
         - Read/write utf-8 files instead of ascii.
         - Update the tests to use test for proper unicode() handling.
        * Scripts/webkitpy/common/checkout/changelog_unittest.py:
         - Use unicode() strings instead of str() byte arrays.
        * Scripts/webkitpy/common/checkout/scm.py:
         - Remove use of str().
        * Scripts/webkitpy/common/checkout/scm_unittest.py:
         - Read/write utf-8 files and use unicode() strings in testing.
        * Scripts/webkitpy/common/config/committers.py:
         - Use \u instead of \x to make slightly clearer what we're doing.
        * Scripts/webkitpy/common/net/bugzilla.py:
         - Add a new _string_contents() method and explain why
           we have to call unicode() on the result of soup.string
           and why it's safe to do so w/o needing to pass a codec name.
         - Remove the (unused) support for passing a file object to add_patch_to_bug().
        * Scripts/webkitpy/common/net/buildbot.py:
         - Use unicode() instead of str() when needing to coax a
           NavigableString object into a unicode() object.
        * Scripts/webkitpy/common/net/statusserver.py:
         - Remove use of str()
        * Scripts/webkitpy/common/prettypatch.py:
         - Write out the patch file as utf-8.
        * Scripts/webkitpy/common/system/autoinstall.py:
         - Add a FIXME about encoding.
        * Scripts/webkitpy/common/system/deprecated_logging.py:
         - Document that tee() works on bytes, not strings.
        * Scripts/webkitpy/common/system/executive.py:
         - Make run* properly take and return unicode() objects.
        * Scripts/webkitpy/common/system/executive_unittest.py:
         - Added a unit test to make sure we don't break Tor again!
        * Scripts/webkitpy/layout_tests/layout_package/dump_render_tree_thread.py:
         - Write out the test list as utf-8.
        * Scripts/webkitpy/layout_tests/layout_package/json_results_generator.py:
         - Write out json files as utf-8.
        * Scripts/webkitpy/layout_tests/layout_package/metered_stream.py:
         - Add FIXME about encoding handling.
        * Scripts/webkitpy/tool/commands/upload.py:
         - Pass the diff directly to add_patch_to_bug instead of creating a StringIO file wrapper.
        * Scripts/webkitpy/tool/mocktool.py:
         - Rename add_patch_to_bug argument to match bugzilla.py
        * Scripts/webkitpy/tool/steps/postdiff.py:
         - Pass the diff directly to add_patch_to_bug instead of creating a StringIO file wrapper.
        * Scripts/webkitpy/tool/steps/postdiffforcommit.py: ditto.
        * Scripts/webkitpy/tool/steps/postdiffforrevert.py: ditto.
        * Scripts/webkitpy/tool/steps/steps_unittest.py:
         - Fixed spurious logging seen when running test-webkitpy

2010-04-20  Chris Jerdonek  <cjerdonek@webkit.org>

        Reviewed by Shinichiro Hamaji.

        For check-webkit-style, implemented __eq__() and __ne__() (the
        built-in equality and inequality methods) for the
        DefaultStyleErrorHandler class.

        https://bugs.webkit.org/show_bug.cgi?id=37850

        This will facilitate unit-testing for a subsequent patch,
        namely for https://bugs.webkit.org/show_bug.cgi?id=37850

        * Scripts/webkitpy/style/error_handlers.py:
          - Added __eq__() and __ne__() to the DefaultStyleErrorHandler
            class.

        * Scripts/webkitpy/style/error_handlers_unittest.py:
          - Added unit tests for __eq__() and __ne__().
          - Also included a minor clean-up refactoring of combining the
            StyleErrorHandlerTestBase class (which has not needed to
            be separate due to previous changes) into the
            DefaultStyleErrorHandlerTest class.

2010-04-20  Jakub Wieczorek  <jwieczorek@webkit.org>

        Unreviewed.

        Add my IRC nick to the committers.py list.

        * Scripts/webkitpy/common/config/committers.py:

2010-04-20  Kim Grönholm  <kim.gronholm@nomovok.com>

        Reviewed by Simon Hausmann.

        [Qt] Multitouch mocking in QtLauncher doesn't work with QGraphicsView
        https://bugs.webkit.org/show_bug.cgi?id=37816
        
        Fix multi-touch mocking in QtLauncher when using QGraphicsView.
        Test: https://bug-32434-attachments.webkit.org/attachment.cgi?id=44955

        * QtLauncher/main.cpp:
        (LauncherWindow::eventFilter):
        (LauncherWindow::initializeView):

2010-04-20  MORITA Hajime <morrita@google.com>

        Unreviewed, add myself to the committers list.

        * Scripts/webkitpy/common/config/committers.py:

2010-04-20  Kent Tamura  <tkent@chromium.org>

        Reviewed by Shinichiro Hamaji.

        [DRT/Chromium] Fix some unexpected results of editing
        https://bugs.webkit.org/show_bug.cgi?id=37843

        This change fixes about 70 unexpected results.
        The original test_webview_delegate.cc doesn't have this bug.
        The bug was introduced when I ported it to WebKit tree.

        * DumpRenderTree/chromium/WebViewHost.cpp:
        (printRangeDescription): Replace the latter startContainer() with endContainer().

2010-04-19  Dirk Pranke  <dpranke@chromium.org>

        Unreviewed, build fix.

        Turn off some unit tests for now - the new-run-webkit-tests dryrun
        tests for chromium won't work if you don't have a chromium checkout.

        https://bugs.webkit.org/show_bug.cgi?id=37841

        * Scripts/webkitpy/layout_tests/run_webkit_tests_unittest.py:

2010-04-19  Dirk Pranke  <dpranke@chromium.org>

        Unreviewed, build fix.

        (Re-)add dryrun.py; this was renamed from passing.py in the previous
        CL but apparently somehow didn't get checked in.

        https://bugs.webkit.org/show_bug.cgi?id=37841

        * Scripts/webkitpy/layout_tests/port/dryrun.py: Added.

2010-04-19  Shinichiro Hamaji  <hamaji@chromium.org>

        Reviewed by David Levin.

        check-webkit-style: exits when encountering a deleted file
        https://bugs.webkit.org/show_bug.cgi?id=37122

        This reverts the quick fix done by r57119 and makes check_patch
        not call check_file for deleted files.

        Also this change fixes the behavior for "-", which should mean
        stdin.  Before this change, the style checker just ignored "-"
        with a warning message.

        * Scripts/webkitpy/style/checker.py:
        * Scripts/webkitpy/style/checker_unittest.py:

2010-04-19  Daniel Bates  <dbates@rim.com>

        No review, rolling out 57868.
        http://trac.webkit.org/changeset/57868
        https://bugs.webkit.org/show_bug.cgi?id=37748

        Sheriffbot wasn't very inspirational after this patch.
        Instead, he was silent when you said hi :-(. Rolling
        out this patch so that I can debug/test this some more.

        * Scripts/webkitpy/common/net/bugzilla.py:
        * Scripts/webkitpy/common/net/bugzilla_unittest.py:
        * Scripts/webkitpy/tool/bot/irc_command.py:
        * Scripts/webkitpy/tool/bot/sheriffircbot_unittest.py:
        * Scripts/webkitpy/tool/mocktool.py:

2010-04-19  Daniel Bates  <dbates@rim.com>

        Reviewed by Adam Barth.

        https://bugs.webkit.org/show_bug.cgi?id=37748

        Make Sheriffbot more inspirational.

        * Scripts/webkitpy/common/net/bugzilla.py:
        * Scripts/webkitpy/common/net/bugzilla_unittest.py:
        * Scripts/webkitpy/tool/bot/irc_command.py:
        * Scripts/webkitpy/tool/bot/sheriffircbot_unittest.py:
        * Scripts/webkitpy/tool/mocktool.py:

2010-04-19  Kevin Ollivier  <kevino@theolliviers.com>

        [wx] Build fix, add missing header.

        * DumpRenderTree/wx/LayoutTestControllerWx.cpp:

2010-04-19  Dirk Pranke  <dpranke@chromium.org>
 
         Reviewed by Adam Barth.
 
         new-run-webkit-tests - repurpose the "Passing" port as "Dryrun" port
         that can be used to test platforms other than the one you are running
         on. This can be useful for checking baselines and testing code
         coverage.
 
         Note that running the code on the "wrong" port requires each
         port-specific implementation to actually not require any
         platform-specific python code (e.g., the chromium-win port must
         test for the existence of windows functions before calling them).
 
         https://bugs.webkit.org/show_bug.cgi?id=37782
 
         * Scripts/webkitpy/layout_tests/port/chromium_win.py:
         * Scripts/webkitpy/layout_tests/port/dryrun.py: Renamed from WebKitTools/Scripts/webkitpy/layout_tests/port/passing.py.
         * Scripts/webkitpy/layout_tests/port/factory.py:
         * Scripts/webkitpy/layout_tests/run_webkit_tests_unittest.py:

2010-04-19  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Eric Seidel.

        new-run-webkit-tests: add --build (default) and --no-build
        options to make that step optional. This flag modifies what happens
        in port.check_build().

        https://bugs.webkit.org/show_bug.cgi?id=37786

        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
        * Scripts/webkitpy/layout_tests/port/chromium.py:
        * Scripts/webkitpy/layout_tests/port/webkit.py:

2010-04-19  Dirk Pranke  <dpranke@chromium.org>

        Unreviewed, build fix.

        new-run-webkit-tests - fix a typo in r57480 that caused us to stop
        logging the actual list of unexpected results.

        https://bugs.webkit.org/show_bug.cgi?id=37831

        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:

2010-04-19  Dirk Pranke <dpranke@chromium.org>

        Reviewed by Adam Barth.

        From a patch by Tor Arne Vestbo  <tor.arne.vestbo@nokia.com>

        new-run-webkit-tests: make the retry step more explicit
        https://bugs.webkit.org/show_bug.cgi?id=37606

        It might be confusing to see the test and percent counters
        reset without any notice of what's going on, so we make the
        message that a retry-run is started explicit.

        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:

2010-04-19  Sam Weinig  <weinig@apple.com>

        Reviewed by Anders Carlsson.

        Add support for opening a new window (File->New Window) to
        Windows MiniBrowser. Accelerator doesn't work.

        * MiniBrowser/win/BrowserView.cpp:
        (createNewPage): Use BrowserView::create.
        * MiniBrowser/win/BrowserWindow.cpp:
        (BrowserWindow::onCommand): Respond to ID_FILE_NEW_WINDOW
        by creating a new window.
        * MiniBrowser/win/BrowserWindow.h:
        (BrowserWindow::create): Added. Don't allow creating
        BrowserWindows on the stack by making constructor
        private and exposing the create function.
        * MiniBrowser/win/MiniBrowser.cpp:
        (MiniBrowser::createNewWindow): Move new window creation
        logic here.
        * MiniBrowser/win/MiniBrowser.h:
        * MiniBrowser/win/MiniBrowser.rc: 
        * MiniBrowser/win/main.cpp:
        (_tWinMain): Use the new MiniBrowser::createNewWindow().

2010-04-19  Chris Fleizach  <cfleizach@apple.com>

        Reviewed by Beth Dakin.

        AX: aria-haspopup needs to be exposed
        https://bugs.webkit.org/show_bug.cgi?id=37808

        * DumpRenderTree/mac/AccessibilityUIElementMac.mm:
        (AccessibilityUIElement::hasPopup):

2010-04-19  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Eric Seidel.

        Submit a better workaround for r57806 than the one in r57831 - log
        an error and exit if you try to run new-run-webkit-tests with --use-drt
        on Windows.

        https://bugs.webkit.org/show_bug.cgi?id=37822

        * Scripts/webkitpy/layout_tests/port/chromium.py:

2010-04-19  Jesus Sanchez-Palencia  <jesus@webkit.org>

        Unreviewed.

        Just adding myself as a committer.

        * Scripts/webkitpy/common/config/committers.py:

2010-04-19  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Eric Seidel.

        Add slightly better logging to the websocket python wrapper script,
        including a --verbose flag for debug output.

        https://bugs.webkit.org/show_bug.cgi?id=37233

        * Scripts/webkitpy/layout_tests/port/websocket_server.py:
        * Scripts/new-run-webkit-websocketserver:

2010-04-19  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Eric Seidel.

        new-run-webkit-tests: add a way (--print-unexpected-results) to
        (re-)print out the tests that produced unexpected results in the
        last run. Also add a way (--retry-unexpected-results) to
        automatically re-test them.

        https://bugs.webkit.org/show_bug.cgi?id=37783

        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:

2010-04-19  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Eric Seidel.

        Restructure the logging in new-run-webkit-tests so that many of log
        messages that were logged to the MeteredStream also get logged in
        --verbose mode.

        https://bugs.webkit.org/show_bug.cgi?id=37780

        * Scripts/webkitpy/layout_tests/layout_package/metered_stream.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:

2010-04-19  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Eric Seidel.

        new-run-webkit-tests: add 'summary' and 'unexpected-results' options
        to the --log flag. Also add a 'progress' flag to enable the regular
        progress bar (as opposed to 'detailed-progress', which enables the
        dots). Also add a 'nothing' flag to allow you to be explicit that
        you don't want any logging on the command line.

        The default is
        '--log detailed-progress,summary,unexpected,unexpected-results'

        (The default logging is unchanged by this patch, this just makes things
        properly configurable).

        Note that 'nothing' doesn't work properly yet; I need a couple other
        patches to land to avoid rewriting things several different ways.

        https://bugs.webkit.org/show_bug.cgi?id=37785

        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:

2010-04-19  Kenneth Rohde Christiansen  <kenneth@webkit.org>

        Reviewed by Simon Hausmann.

        Make the URL change on committed load.

        * QtLauncher/mainwindow.cpp:
        (MainWindow::buildUI):
        (MainWindow::setAddressUrl):
        * QtLauncher/mainwindow.h:

2010-04-19  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Eric Seidel.

        Fix a typo in the rebaselining tool that causes us to use "debug"
        instead of "Debug" in a directory path, which fails on platforms with
        case-sensitive filesystems.

        https://bugs.webkit.org/show_bug.cgi?id=37819

        * Scripts/webkitpy/layout_tests/rebaseline_chromium_webkit_tests.py:

2010-04-19  Dirk Pranke  <dpranke@chromium.org>

        Unreviewed, build fix.

        Fix breakage of chromium-win canary bots caused by r57806. That patch
        introduced the option of using Chrome's new port of DumpRenderTree,
        but unfortunately that port relies on the webkit.py class
        implementation which uses non-blocking I/O that isn't available on
        Windows. This patch turns off that option and doesn't import the
        class if we're running on Windows.

        https://bugs.webkit.org/show_bug.cgi?id=37817

        * Scripts/webkitpy/layout_tests/port/chromium.py:

2010-04-19  James Robinson  <jamesr@chromium.org>

        Reviewed by abarth.

        Fix a typo

        * Scripts/webkitpy/layout_tests/rebaseline_chromium_webkit_tests.py:

2010-04-19  Adam Roben  <aroben@apple.com>

        Fix run-webkit-tests when there are spaces in the path

        Fixes <http://webkit.org/b/37809>

        Reviewed by Adam Barth.

        * Scripts/run-webkit-tests: Use an "indirect object" to specify the
        path to the harness to exec(). According to perldoc, this usage will
        prohibit perl from parsing the arguments to exec() via the shell,
        which would incorrectly split paths with spaces in them, etc.

2010-04-19  Dimitri Glazkov  <dglazkov@chromium.org>

        Reviewed by Adam Roben.

        WinLauncher.h should use LF line-endings and use native line-endings style.
        https://bugs.webkit.org/show_bug.cgi?id=37807

        * WinLauncher/WinLauncher.h: Added property svn:eol-style, converted to LF line-endings.

2010-04-19  Kent Tamura  <tkent@chromium.org>

        Reviewed by Shinichiro Hamaji.

        [DRT/Chromium] Fix a test initialization problem
        https://bugs.webkit.org/show_bug.cgi?id=37791

        * DumpRenderTree/chromium/DumpRenderTree.cpp:
        (runTest): Call resetTestController() before runFileTest(). Some
          controllers initialize their fields in reset() and not in their
          constructors.

2010-04-19  Kent Tamura  <tkent@chromium.org>

        Reviewed by Eric Seidel.

        [Chromium] new-run-webkit-tests should use WebKitDriver for --use-drt
        https://bugs.webkit.org/show_bug.cgi?id=37793

        We need to use WebKitDriver instead of ChromiumDriver for Chromium
        DRT because its interface is different from test_shell.

        Chromium DRT has no UI.  So we can't use it to show test results.

        * Scripts/webkitpy/layout_tests/port/chromium.py:

2010-04-18  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Roben.

        Make failure-reason more forgiving
        https://bugs.webkit.org/show_bug.cgi?id=37525

        Removed search_limit, which wasn't very useful anyway.
        Added a log about the long load time loading from the builders.
        Prompt the user for what revision to start walking from (makes it easy to restart upon failure).

        * Scripts/webkitpy/common/net/buildbot.py:
        * Scripts/webkitpy/tool/commands/queries.py:

2010-04-18  Chris Jerdonek  <cjerdonek@webkit.org>

        Reviewed by Shinichiro Hamaji.

        Created a class for check-webkit-style that encapsulates iterating
        over text files and reading them.

        https://bugs.webkit.org/show_bug.cgi?id=37754

        This revision is an intermediate step towards separating our
        style-checking code from the logic of iterating over files and
        reading them.

        * Scripts/webkitpy/common/system/logtesting.py:
          - Added a logMessages() method to the LoggingTestCase class.
            This method provides unit tests with access to the raw list
            of log messages in case the tester needs to do something more
            than simply assert the list of existing messages.

        * Scripts/webkitpy/style/checker.py:
          - Added a ProcessorBase class that processors of lists of lines
            should eventually inherit from.
          - Also added a FIXME to use the ProcessorBase class and the
            TextFileReader class added below.

        * Scripts/webkitpy/style/filereader.py: Added.
          - Created a TextFileReader class that encapsulates reading
            and iterating over text files.

        * Scripts/webkitpy/style/filereader_unittest.py: Added.
          - Added a TextFileReaderTest class to unit-test the
            new TextFileReader class.

2010-04-15  Tony Chang  <tony@chromium.org>

        Reviewed by Adam Barth.

        [chromium] new-run-webkit-tests should be able to use chromium DRT
        https://bugs.webkit.org/show_bug.cgi?id=37645

        Make sure that the lack of a chromium checkout doesn't cause the script to
        fail.

        * Scripts/webkitpy/layout_tests/layout_package/json_results_generator.py:
        * Scripts/webkitpy/layout_tests/port/chromium.py:
        * Scripts/webkitpy/layout_tests/port/chromium_mac.py: Fix up a few paths
            to be relative to an upstream output dir.
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py: Add --use-drt flag.

2010-04-18  Eric Seidel  <eric@webkit.org>

        Unreviewed, fixing the Qt bot.

        Add a layer of indirection when calling run-webkit-tests to allow testing new-run-webkit-tests on various platforms
        https://bugs.webkit.org/show_bug.cgi?id=37632

        * Scripts/run-webkit-tests:
         - Exit non-zero of launching the harness fails.

2010-04-18  Eric Seidel  <eric@webkit.org>

        Unreviewed, fixing the Qt bot.

        Add a layer of indirection when calling run-webkit-tests to allow testing new-run-webkit-tests on various platforms
        https://bugs.webkit.org/show_bug.cgi?id=37632

        * Scripts/run-webkit-tests:
         - Fix the wrapper to work for users who do not
           have WebKitTools/Scripts in their path.

2010-04-14  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        Add a layer of indirection when calling run-webkit-tests to
        allow testing new-run-webkit-tests on various platforms.
        https://bugs.webkit.org/show_bug.cgi?id=37632

        This will let us test and fix bugs in new-run-webkit-tests
        without needing to restart the buildbot master between tests.

        Currently this change leaves run-webkit-tests as-is, but once
        its landed we will easily be able to turn on/off
        new-run-webkit-tests for various ports/configurations.

        I will send a note out to webkit-dev about how we will
        be using this launcher script to test on the bots.

        * Scripts/old-run-webkit-tests: Copied from WebKitTools/Scripts/run-webkit-tests.
        * Scripts/run-webkit-tests:
         - A new script which decides whether to run new- or old-
           run-webkit-tests based on the platform.
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
         - Add some dummy argument handling for arguments which
           old-run-webkit-tests supports but new-run-webkit-tests
           does not yet.

2010-04-18  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        Add Gtk bots to the list of "core builders" (builders which stop the commit-queue when they turn red)
        https://bugs.webkit.org/show_bug.cgi?id=33295

        The Gtk builders have been green every time I've looked
        at them in the last 5 days or so.  It would appear webkit
        is now keeping them green and we should update the core
        builder list to match reality.

        * Scripts/webkitpy/common/net/buildbot.py:
        * Scripts/webkitpy/common/net/buildbot_unittest.py:

2010-04-18  Robert Hogan  <robert@webkit.org>

        Reviewed by Simon Hausmann.

        [Qt] Add support for LayoutTestController commands:
                   setSmartInsertDeleteEnabled
                   setSelectTrailingWhitespaceEnabled
                   execCommand
                   isCommandEnabled

        https://bugs.webkit.org/show_bug.cgi?id=35844

        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        (WebCore::WebPage::resetSettings):
        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        (LayoutTestController::setSmartInsertDeleteEnabled):
        (LayoutTestController::setSelectTrailingWhitespaceEnabled):
        (LayoutTestController::execCommand):
        (LayoutTestController::isCommandEnabled):
        * DumpRenderTree/qt/LayoutTestControllerQt.h:

2010-04-17  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Remove steps_references and commands_references
        https://bugs.webkit.org/show_bug.cgi?id=37758

        We tried using the mumble_references convention to manage our
        dependencies, but it doesn't seem to be providing much value for the
        steps and commands module because these modules are small pieces of the
        larger tool module.  In this patch, I've removed the references file
        for these modules.
 
        I've left the style_references file for the style module because that
        module seems better isolated from the rest of webkitpy and the
        style_references file appears to be providing some value.

        * Scripts/webkitpy/tool/commands/commandtest.py:
        * Scripts/webkitpy/tool/commands/download_unittest.py:
        * Scripts/webkitpy/tool/commands/earlywarningsystem_unittest.py:
        * Scripts/webkitpy/tool/commands/queries_unittest.py:
        * Scripts/webkitpy/tool/commands/queues_unittest.py:
        * Scripts/webkitpy/tool/commands/queuestest.py:
        * Scripts/webkitpy/tool/commands/upload.py:
        * Scripts/webkitpy/tool/commands/upload_unittest.py:
        * Scripts/webkitpy/tool/commands_references.py: Removed.
        * Scripts/webkitpy/tool/steps/closebugforlanddiff_unittest.py:
        * Scripts/webkitpy/tool/steps/steps_unittest.py:
        * Scripts/webkitpy/tool/steps/updatechangelogswithreview_unittest.py:
        * Scripts/webkitpy/tool/steps/validatereviewer_unittest.py:
        * Scripts/webkitpy/tool/steps_references.py: Removed.

2010-04-17  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        WebKit needs a Chromium Mac EWS Builder
        https://bugs.webkit.org/show_bug.cgi?id=37742

        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:

2010-04-17  Adam Barth  <abarth@webkit.org>

        Fix expected results for unit test broken by
        http://trac.webkit.org/changeset/57772

        * Scripts/webkitpy/common/net/buildbot_unittest.py:

2010-04-17  Sam Weinig  <weinig@apple.com>

        Reviewed by Adam Roben.

        Teach windows MiniBrowser how to work with window.open()
        and targeted links.

        * MiniBrowser/win/BrowserView.cpp:
        (createNewPage): Create a new BrowserWindow and return its page.
        (showPage): Show the page.
        (closePage): Empty implementation.
        (runJavaScriptAlert): Empty implementation.
        (BrowserView::create): Register a UIClient.
        * MiniBrowser/win/BrowserView.h:
        (BrowserView::webView): Added.
        Change create to take a BrowserWindow instead of an HWND.

        * MiniBrowser/win/BrowserWindow.cpp:
        (BrowserWindow::wndProc): Respond to WM_NCDESTROY.
        (BrowserWindow::goToURL): Added. Forwards to BrowserView.
        (BrowserWindow::onCreate): Don't always go to the default
        url. Let the caller do this.
        (BrowserWindow::onNCDestroy): Delete the window.
        * MiniBrowser/win/BrowserWindow.h:
        (BrowserWindow::view): Added.
        (BrowserWindow::window): Added.

        * MiniBrowser/win/main.cpp:
        (_tWinMain):
        Go to the default URL for the initial page. Allocate the initial
        window on the heap for correctness.

2010-04-16  Adam Roben  <aroben@apple.com>

        Add the Windows Debug (Test) builder to the list of core builders

        It's been green for a few days now, and all the known Windows
        flakiness is Release-only.

        Rubber-stamped by Mark Rowe.

        * Scripts/webkitpy/common/net/buildbot.py:
        (BuildBot.core_builder_name_regexps): Added a regular expression to
        match the "Windows Debug (Test)" builder.

2010-04-16  Sam Weinig  <sam@webkit.org>

        Reviewed by Anders Carlsson.

        Fix window.open() and targeted links.

        * MiniBrowser/mac/BrowserWindowController.m:
        (_createNewPage): Use the correct initializer to and load the window.

2010-04-16  Adam Roben  <aroben@apple.com>

        Fix links to layout test results from build status pages

        Reviewed by Mark Rowe.

        * BuildSlaveSupport/build.webkit.org-config/master.cfg:
        (ExtractTestResults.finished): Prepend "/" on the URL of the test
        results page so that it is treated as an absolute URL.

2010-04-16  Tony Chang  <tony@chromium.org>

        Reviewed by Dimitri Glazkov.

        [chromium] build DRT on Linux
        https://bugs.webkit.org/show_bug.cgi?id=37690

        * Scripts/build-dumprendertree: Add support for win and linux

2010-04-16  Sam Weinig  <weinig@apple.com>

        Reviewed by Adam Roben.

        Use the threaded process model for MiniBrowser if holding down
        the shift key on startup.

        * MiniBrowser/win/BrowserView.cpp:
        (BrowserView::create): 

2010-04-15  Tony Chang  <tony@chromium.org>

        Reviewed by Dimitri Glazkov.

        [chromium] Add TestShellGtk.cpp so we can link on Linux
        https://bugs.webkit.org/show_bug.cgi?id=37561

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp: Add new file and
            add platform file exceptions.
        * DumpRenderTree/chromium/TestShellGtk.cpp: Added.
        (AlarmHandler):
        (TestShell::waitTestFinished):

2010-04-15  Tony Chang  <tony@chromium.org>

        Reviewed by Dimitri Glazkov.

        build DRT on chromium mac
        https://bugs.webkit.org/show_bug.cgi?id=37639

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:
        * Scripts/build-dumprendertree: enable build-dumprendertree --chromium

2010-04-15  Kent Tamura  <tkent@chromium.org>

        Reviewed by Dimitri Glazkov.

        [DRT/Chromium] Add LayoutTestHelper for Mac
        https://bugs.webkit.org/show_bug.cgi?id=37668

        LayouTestHelper.mm is based on webkit/tools/test_shell/mac/layout_test_helper.mm
        of Chromium.

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:
        * DumpRenderTree/chromium/LayoutTestHelper.mm: Added.

2010-04-15  Alexey Proskuryakov  <ap@apple.com>

        Reviewed by Geoff Garen.

        https://bugs.webkit.org/show_bug.cgi?id=37494
        <rdar://problem/7857060> REGRESSION (r57340): fast/events/mouse-drag-from-frame-to-other-frame.html
        fails on Windows

        * DumpRenderTree/win/EventSender.cpp: (makeEventSender):
        * DumpRenderTree/win/EventSender.h:
        Tell EventSender if it's being created for a top frame.
        
        * DumpRenderTree/win/FrameLoadDelegate.cpp:
        (FrameLoadDelegate::didClearWindowObjectForFrameInStandardWorld): We only want to reset
        EventSender machinery when a new test is loaded, not when an iframe (or just its global
        object) is created.

2010-04-15  Adam Roben  <aroben@apple.com>

        Fix Windows WebKit2 build.

        * MiniBrowser/win/MiniBrowser.cpp:

2010-04-15  Ojan Vafai  <ojan@chromium.org>

        Reviewed by Adam Barth.

        Include codereview issue number in patch description
        https://bugs.webkit.org/show_bug.cgi?id=37677

        This lets us know which rietveld issue this patch is tied to.

        Also, make it so that --fancy-review overrides --no-review.

        * Scripts/webkitpy/tool/steps/postcodereview.py:
        * Scripts/webkitpy/tool/steps/postdiff.py:

2010-04-15  Adam Roben  <aroben@apple.com>

        Make --exit-after-n-failures work when all tests are timing out or crashing

        Fixes <http://webkit.org/b/37679>.

        Reviewed by Jon Honeycutt.

        * Scripts/run-webkit-tests:
        (top level): When a test crashes or times out, break out of the main loop if
        stopRunningTestsEarlyIfNeeded returns true. Moved some code from the bottom of the main loop
        from here...
        (stopRunningTestsEarlyIfNeeded): ...to here.

2010-04-15  Sam Weinig  <sam@webkit.org>

        Reviewed by Anders Carlsson.

        Add WebHistoryClient support.
        https://bugs.webkit.org/show_bug.cgi?id=37671

        Add HistoryClient logging.

        * MiniBrowser/mac/BrowserWindowController.m:
        (_didNavigateWithNavigationData):
        (_didPerformClientRedirect):
        (_didPerformServerRedirect):
        (_didUpdateHistoryTitle):
        (-[BrowserWindowController awakeFromNib]):

2010-04-15  Anders Carlsson  <andersca@apple.com>

        Reviewed by Sam Weinig.

        Start the mini browser in threaded mode if shift is pressed during startup.
        https://bugs.webkit.org/show_bug.cgi?id=37670

        * MiniBrowser/mac/AppDelegate.m:
        (-[BrowserAppDelegate init]):

2010-04-15  Chris Fleizach  <cfleizach@apple.com>

        Reviewed by Beth Dakin.

        AXHelp is being appended from ancestors incorrectly
        https://bugs.webkit.org/show_bug.cgi?id=37659

        * DumpRenderTree/AccessibilityUIElement.cpp:
        (getHelpTextCallback):
        (AccessibilityUIElement::getJSClass):
        * DumpRenderTree/AccessibilityUIElement.h:
        * DumpRenderTree/gtk/AccessibilityUIElementGtk.cpp:
        (AccessibilityUIElement::helpText):
        * DumpRenderTree/mac/AccessibilityUIElementMac.mm:
        (AccessibilityUIElement::helpText):
        * DumpRenderTree/win/AccessibilityUIElementWin.cpp:
        (AccessibilityUIElement::helpText):

2010-04-15  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Adam Barth.

        Re-format run-webkit-tests to fit in 80-columns for PEP-8 compliance.
        (broken by r57463 and r57381, at least). I've also filed bug 37477
        to fix check-webkit-style to catch these things.

        https://bugs.webkit.org/show_bug.cgi?id=38586

        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:

2010-04-15  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Dimitri Glazkov.

        Add a way to override the user-visible name for the test binary since
        some ports don't call it DumpRenderTree (e.g., Chromium Win uses
        test_shell, Chromium Mac uses TestShell) by adding a driver_name()
        method to the Port interface.

        https://bugs.webkit.org/show_bug.cgi?id=37631

        * Scripts/webkitpy/layout_tests/port/base.py:
        * Scripts/webkitpy/layout_tests/port/chromium.py:
        * Scripts/webkitpy/layout_tests/port/chromium_mac.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:

2010-04-14  Anders Carlsson  <andersca@apple.com>

        Reviewed by Adam Roben.

        Add "Force Repaint" to debug menu.
        https://bugs.webkit.org/show_bug.cgi?id=37627

        * MiniBrowser/mac/BrowserWindowController.h:
        * MiniBrowser/mac/BrowserWindowController.m:
        (-[BrowserWindowController forceRepaint:]):
        * MiniBrowser/mac/English.lproj/MainMenu.xib:

2010-04-15  Sam Weinig  <sam@webkit.org>

        Reviewed by Adam Roben.

        Add debug-minibrowser script.

        * Scripts/debug-minibrowser: Copied from Scripts/run-minibrowser.
        * Scripts/webkitdirs.pm:

2010-04-15  Roland Steiner  <rolandsteiner@chromium.org>
 
        Reviewed by Dimitri Glazkov.

        Bug 37636 - [DRT/Chromium] Implement DRT/Chromium for Windows
        https://bugs.webkit.org/show_bug.cgi?id=37636
 
        Second patch: add Windows-specific implementation parts
        of TestShell.

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:
        * DumpRenderTree/chromium/TestShell.h:
        (TestShell::finishedEvent):
        * DumpRenderTree/chromium/TestShellWin.cpp:
        (watchDogThread):
        (TestShell::waitTestFinished):

2010-04-15  Roland Steiner  <rolandsteiner@chromium.org>

        Reviewed by Dimitri Glazkov.

        Bug 37636 - [DRT/Chromium] Implement DRT/Chromium for Windows
        https://bugs.webkit.org/show_bug.cgi?id=37636

        First patch: fix compiler errors.

        * DumpRenderTree/chromium/EventSender.cpp:
        (EventSender::reset):
        (EventSender::dispatchMessage):
        * DumpRenderTree/chromium/LayoutTestController.cpp:
        (LayoutTestController::pathToLocalResource):
        * DumpRenderTree/chromium/TestWebWorker.h:
        * DumpRenderTree/chromium/TextInputController.cpp:
        * DumpRenderTree/chromium/WebViewHost.h:
        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:

2010-04-14  Luiz Agostini  <luiz.agostini@openbossa.org>

        Reviewed by Simon Hausmann.

        [Qt] Moving setViewMode from DumpRenderTreeSupportQt to qwebpage.cpp
        https://bugs.webkit.org/show_bug.cgi?id=37622

        Method qt_wrt_setViewMode was removed from qwebpage.cpp by mistake in r57433
        (bug 35844). Moving it back.

        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        (LayoutTestController::setViewModeMediaFeature):

2010-04-15  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Adam Barth.

        Add some very minimal unit tests for new-run-webkit-tests. This should
        be enough to catch egregious brokenness like syntax errors and import
        declaration issues.

        https://bugs.webkit.org/show_bug.cgi?id=37432

        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests_unittest.py: Added.

2010-04-14  Brian Weinstein  <bweinstein@apple.com>

        Reviewed by Adam Roben.

        Add a way for the buildbot to kill any old processes that are running. This
        is useful because the Windows bots can get in states where a process remains
        running (httpd.exe, DumpRenderTree.exe), which causes the bots to get in a red
        state, and the processes must be killed manually.

        * BuildSlaveSupport/build.webkit.org-config/master.cfg: If we are on Windows, kill
            the old processes that might be running.
        * BuildSlaveSupport/win/kill-old-processes: Added.

2010-04-14  Sam Weinig  <sam@webkit.org>

        Reviewed by Anders Carlsson.

        Tear down WebKit more completely on window closing and application
        termination. We still don't block application termination for pending
        close, but this is a step in the right direction.

        * MiniBrowser/mac/AppDelegate.m:
        (-[BrowserAppDelegate applicationWillTerminate:]):
        * MiniBrowser/mac/BrowserWindowController.h:
        * MiniBrowser/mac/BrowserWindowController.m:
        (-[BrowserWindowController dealloc]):
        (-[BrowserWindowController windowWillClose:]):
        (-[BrowserWindowController applicationTerminating]):

2010-04-14  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Use pretty patch for confirming webkit-patch diffs
        https://bugs.webkit.org/show_bug.cgi?id=37489

        * Scripts/webkitpy/common/prettypatch.py: Added.
        * Scripts/webkitpy/tool/commands/download_unittest.py:
        * Scripts/webkitpy/tool/commands/upload_unittest.py:
        * Scripts/webkitpy/tool/mocktool.py:
        * Scripts/webkitpy/tool/steps/confirmdiff.py:

2010-04-14  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        Teach webkit-patch how to handle revisions missing ChangeLogs
        https://bugs.webkit.org/show_bug.cgi?id=37519

        Make commit_info_for_revision return None when revision
        is missing a ChangeLog.  Previously we would throw an array index
        exception.
        Teach callers how to handle None.

        * Scripts/webkitpy/common/checkout/api.py:
        * Scripts/webkitpy/common/checkout/api_unittest.py:
        * Scripts/webkitpy/tool/commands/download.py:
        * Scripts/webkitpy/tool/commands/queries.py:
        * Scripts/webkitpy/tool/commands/sheriffbot.py:

2010-04-13  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Roben.

        Add Qt Bot to the list of "core builders" (builders which block the commit-queue when red)
        https://bugs.webkit.org/show_bug.cgi?id=33297

        This is an experiment.  The bots have been green for
        a while.  We'll see if adding them under sheriff-bot protection
        will keep them green.

        * Scripts/webkitpy/common/net/buildbot.py:
        * Scripts/webkitpy/common/net/buildbot_unittest.py:

2010-04-13  Eric Seidel  <eric@webkit.org>

        Unreviewed, just fixing a constant in the Rietveld unit test.

        * Scripts/webkitpy/common/net/rietveld_unittest.py

2010-04-13  Eric Seidel  <eric@webkit.org>

        Unreviewed, just adding missing Mock to fix python tests.

        * Scripts/webkitpy/tool/mocktool.py:

2010-04-13  Ojan Vafai  <ojan@chromium.org>

        Reviewed by David Levin.

        Add experimental prototype Rietveld integration to webkit-patch upload
        https://bugs.webkit.org/show_bug.cgi?id=37418

        This patch adds bare-bones integration with Rietveld for code reviews.
        The behavior is hidden behind the --fancy-review command line flag.
        Currently, there's no support for uploading more than one patch per
        issue (which is a nice feature of Rietveld).  The plan is to play with
        this for a bit and see if it's useful.

        Modified from Adam's original patch to autoinstall the rietveld upload script.

        * Scripts/webkitpy/common/config/__init__.py:
        * Scripts/webkitpy/common/net/rietveld.py: Added.
        * Scripts/webkitpy/common/net/rietveld_unitttest.py: Added.
        * Scripts/webkitpy/tool/commands/queues_unittest.py:
        * Scripts/webkitpy/tool/commands/upload.py:
        * Scripts/webkitpy/tool/commands/upload_unittest.py:
        * Scripts/webkitpy/tool/main.py:
        * Scripts/webkitpy/tool/mocktool.py:
        * Scripts/webkitpy/tool/steps/__init__.py:
        * Scripts/webkitpy/tool/steps/options.py:
        * Scripts/webkitpy/tool/steps/postcodereview.py: Added.
        * Scripts/webkitpy/tool/steps/postdiff.py:

2010-04-13  Sam Weinig  <sam@webkit.org>

        Rubber-stamped by Mark Rowe.

        Add Makefile to MiniBrowser.

        * MiniBrowser/Makefile: Added.

2010-04-13  Eric Seidel  <eric@webkit.org>

        Unreviewed, just adding a sanity check.

        Add check to make sure commit-queue can never commit too short a message
        https://bugs.webkit.org/show_bug.cgi?id=37528

        The commit-queue made bogus messages here:
        http://trac.webkit.org/changeset/57532
        http://trac.webkit.org/changeset/57534

        This was a regression caused by adding unicode parsing for
        our ChangeLog files.  Popen does not seem to play nice with
        unicode strings.

        I'm also adding an "assert" to make sure short ChangeLogs never happen again.

        * Scripts/webkitpy/common/system/executive.py:
         - Cast input to strings before passing to POpen
        * Scripts/webkitpy/tool/steps/commit.py:
         - Validate that commit messages are not to short.

2010-04-13  Adam Roben  <aroben@apple.com>

        Robustify new-run-webkit-tests against paths with spaces in them

        Reviewed by Eric Seidel.

        * Scripts/webkitpy/layout_tests/port/apache_http_server.py:
        (LayoutTestApacheHttpd.__init__): Quote all paths that we pass to
        Apache to ensure that paths with spaces in them are interpreted
        correctly.

2010-04-13  Csaba Osztrogonác  <ossy@webkit.org>

        Unreviewed buildfix after r57537.

        * DumpRenderTree/qt/LayoutTestControllerQt.h: Declaration of removeOriginAccessWhitelistEntry() added.

2010-04-13  Sam Weinig  <sam@webkit.org>

        Reviewed by Maciej Stachowiak.

        Make building new webkit API and MiniBrowser a little easier.

        * Scripts/build-webkit: Make building with --webkit2 build the 
        MiniBrowser as well and tell you how to use it.
        * Scripts/run-minibrowser: Copied from Scripts/run-safari.
        * Scripts/webkitdirs.pm: Add runMiniBrowser function.

2010-04-12  Timothy Hatcher  <timothy@apple.com>

        SecurityOrigin needs a way to remove individual OriginAccessEntries
        https://bugs.webkit.org/show_bug.cgi?id=37449

        Reviewed by Dave Hyatt.

        * DumpRenderTree/LayoutTestController.cpp:
        (removeOriginAccessWhitelistEntryCallback): Added. Call LayoutTestController::removeOriginAccessWhitelistEntry.
        (LayoutTestController::staticFunctions): Added removeOriginAccessWhitelistEntry.
        * DumpRenderTree/LayoutTestController.h:
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::removeOriginAccessWhitelistEntry): Added. FIXME to implement.
        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (LayoutTestController::removeOriginAccessWhitelistEntry): Added.
        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        (LayoutTestController::removeOriginAccessWhitelistEntry): Added. FIXME to implement.
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::removeOriginAccessWhitelistEntry): Added.
        * DumpRenderTree/wx/LayoutTestControllerWx.cpp:
        (LayoutTestController::whiteListAccessFromOrigin): FIXME to implement.
        (LayoutTestController::removeOriginAccessWhitelistEntry): Added. FIXME to implement.

2010-04-13  Timothy Hatcher  <timothy@apple.com>

        Rename SecurityOrigin::whiteListAccessFromOrigin to addOriginAccessWhitelistEntry.
        And LayoutTestController.whiteListAccessFromOrigin to addOriginAccessWhitelistEntry.
        And SecurityOrigin::resetOriginAccessWhiteLists to resetOriginAccessWhitelists.

        SecurityOrigin needs a way to remove individual OriginAccessEntries
        https://bugs.webkit.org/show_bug.cgi?id=37449

        Reviewed by Dave Hyatt.

        * DumpRenderTree/LayoutTestController.cpp:
        (addOriginAccessWhitelistEntryCallback):
        (LayoutTestController::staticFunctions):
        * DumpRenderTree/LayoutTestController.h:
        * DumpRenderTree/chromium/LayoutTestController.cpp:
        (LayoutTestController::LayoutTestController):
        (LayoutTestController::addOriginAccessWhitelistEntry):
        * DumpRenderTree/chromium/LayoutTestController.h:
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::addOriginAccessWhitelistEntry):
        * DumpRenderTree/mac/DumpRenderTree.mm:
        (resetWebViewToConsistentStateBeforeTesting):
        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (LayoutTestController::addOriginAccessWhitelistEntry):
        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        (LayoutTestController::addOriginAccessWhitelistEntry):
        * DumpRenderTree/qt/LayoutTestControllerQt.h:
        * DumpRenderTree/win/DumpRenderTree.cpp:
        (resetWebViewToConsistentStateBeforeTesting):
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::addOriginAccessWhitelistEntry):
        * DumpRenderTree/wx/LayoutTestControllerWx.cpp:
        (LayoutTestController::addOriginAccessWhitelistEntry):

2010-04-13  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        Reviewed by Eric Seidel.

        Remove duplicate function for new-run-webkit-tests
        https://bugs.webkit.org/show_bug.cgi?id=37517

        The version() function was already implemented.

        * Scripts/webkitpy/layout_tests/port/webkit.py:

2010-04-13  Eric Seidel  <eric@webkit.org>

        Reviewed by David Levin.

        the commit-queue hates Tor Arne Vestbø
        https://bugs.webkit.org/show_bug.cgi?id=37511

        We were failing to read reviewers out of ChangeLogs
        when the reviewer has unicode characters in his/her name.
        I fixed this by explicitly decoding from utf8 every time we
        read in a ChangeLog file (they are always UTF8).

        * Scripts/webkitpy/common/checkout/changelog.py:
        * Scripts/webkitpy/common/checkout/changelog_unittest.py:

2010-04-13  Adam Roben  <aroben@apple.com>

        Fix run-webkit-tests on Windows with spaces in the path

        Fixes <http://webkit.org/b/37509>.

        Reviewed by Steve Falkenburg.

        * Scripts/run-webkit-tests:
        (convertPathUsingCygpath): Remove spaces from the path before passing
        them to cygpath, then add them back in after conversion, as some
        versions of cygpath seem to convert spaces into newlines.

2010-04-13  Adam Barth  <abarth@webkit.org>

        Unreviewed, but approved by Dumitru Daniliuc.  (This patch is intended
        to fix the downstream Chromium build bots.  Hopefully it will work!)

        Add a driver script for the new websocket server
        https://bugs.webkit.org/show_bug.cgi?id=37495

        websocket_server.py can't be run directly because its a module and not
        a standalone script.  This used to work by accident because it didn't
        depend on any other modules.

        * Scripts/new-run-webkit-websocketserver: Added.
        * Scripts/webkitpy/layout_tests/port/websocket_server.py:

2010-04-12  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        Make new-run-webkit-test PrettyPatch failure reporting more awesome
        https://bugs.webkit.org/show_bug.cgi?id=37487

        I also fixed an Executive/executive typo.

        * Scripts/webkitpy/layout_tests/port/base.py:

2010-04-12  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        new-run-webkit-tests should only build java support files on Mac
        https://bugs.webkit.org/show_bug.cgi?id=37482

        Only the mac needs java support files, so I pushed _build_java
        down into the Mac port using a new hook "_check_port_build".
        In the process I noticed a bunch of code which could be shared
        between all ports and thus got rid of _tests_for_disabled_features
        and version() copy/paste between all webkit ports.
        I also made check_build only bother to check for ImageDiff if we're
        using pixel tests.

        * Scripts/webkitpy/layout_tests/port/gtk.py:
        * Scripts/webkitpy/layout_tests/port/mac.py:
        * Scripts/webkitpy/layout_tests/port/qt.py:
        * Scripts/webkitpy/layout_tests/port/webkit.py:
        * Scripts/webkitpy/layout_tests/port/win.py:

2010-04-12  Dumitru Daniliuc  <dumi@chromium.org>

        Unreviewed, trying to make scripts work on machines without
        Ruby...

        * Scripts/webkitpy/layout_tests/port/base.py:

2010-04-12  Tor Arne Vestbø <tor.arne.vestbo@nokia.com>

        Reviewed by Eric Seidel.

        Add stub files for running new-run-webkit-tests for the Qt port

        * Scripts/webkitpy/layout_tests/port/factory.py:
        * Scripts/webkitpy/layout_tests/port/qt.py: Added.

2010-04-12  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Eric Seidel.

        Modify run_webkit_tests.py to not call sys.exit() at the end of test
        run; doing so makes it more difficult to embed the routine for,
        among other things, unit tests. We push the exit calling up into
        new-run-webkit-tests.

        https://bugs.webkit.org/show_bug.cgi?id=37464

        * Scripts/new-run-webkit-tests:
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:

2010-04-12  Eric Seidel  <eric@webkit.org>

        Unreviewed.

        Add stub Gtk implementation for new-run-webkit-tests.

        * Scripts/webkitpy/layout_tests/port/factory.py:
        * Scripts/webkitpy/layout_tests/port/gtk.py: Added.

2010-04-12  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        new-run-webkit-tests fails with exception on systems missing ruby
        https://bugs.webkit.org/show_bug.cgi?id=37441

        * Scripts/webkitpy/layout_tests/port/base.py:
         - Catch failures similar to how wdiff code path does.
         - After one failure, stop trying.

2010-04-12  Tony Chang  <tony@chromium.org>

        Reviewed by Eric Seidel.

        Fix how we import simplejson based on how it's used in this file.
        This fixes exceptions raised when trying to write the simplejson output.

        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:

2010-04-11  Chris Jerdonek  <cjerdonek@webkit.org>

        Reviewed by Shinichiro Hamaji.

        Refactored check-webkit-style so that the StyleChecker class
        has no dependencies on patch-related concepts.

        https://bugs.webkit.org/show_bug.cgi?id=37065

        This patch is an intermediate step towards making the StyleChecker
        class a generalized file processor that can do arbitary operations
        on the files corresponding to a list of paths.  This patch
        also simplifies the unit-testing of patch-checking code.

        * Scripts/check-webkit-style:
          - Updated to use the new PatchChecker class.

        * Scripts/webkitpy/style/checker.py:
          - Refactored the StyleChecker.check_patch() method into the
            check() method of a new PatchChecker class.

        * Scripts/webkitpy/style/checker_unittest.py:
          - Refactored the unit tests as necessary, changing the
            StyleCheckerCheckPatchTest class to a PatchCheckerTest class.

2010-04-11  Adam Barth  <abarth@webkit.org>

        Unreviewed.

        Fix new-run-webkit-tests regressions cased by Eric's option parsing patch
        https://bugs.webkit.org/show_bug.cgi?id=37430

        We need some basic unit testing of this script, or we're going to keep
        breaking it like this.  Added missing namespace qualifiers and
        propagated renaming of an option.

        * Scripts/webkitpy/common/config/ports.py:
        * Scripts/webkitpy/layout_tests/driver_test.py:
        * Scripts/webkitpy/layout_tests/port/base.py:
        * Scripts/webkitpy/layout_tests/port/mac.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:

2010-04-11  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        Break new-run-webkit-tests options into groups for easier re-use and possible relocation
        https://bugs.webkit.org/show_bug.cgi?id=37408

        new-run-webkit-tests currently has one huge function for
        dealing with all options-parsing. 
        This patch is a first attempt at trying to split that large
        function down into smaller (hopefully more readable?) chunks
        dealing with the different areas of options.
        For example, it would make sense to move configuration
        options off into some module which deals with the vagries of
        WebKit's configuration system.  It would also make sense to move
        Chromium options off onto the Chromium port object (where they are used).
        It may make sense to move results.json options over to the results.json code.
        This change is a first iteration, and we will certainly need more
        refinement to this code over time.  Hopefully I didn't make things
        harder to read here.

        * Scripts/webkitpy/layout_tests/driver_test.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:

2010-04-11  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        create-rollout copy needs to be updated to reflect removal of --no-build
        https://bugs.webkit.org/show_bug.cgi?id=37425

        Removed --no-build and --no-test from the instructions because these
        don't exist anymore.

        * Scripts/webkitpy/tool/commands/download_unittest.py:
            - Updated the expected results to reflect the new copy.
        * Scripts/webkitpy/tool/steps/postdiffforrevert.py:

2010-04-11  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r57460.
        http://trac.webkit.org/changeset/57460
        https://bugs.webkit.org/show_bug.cgi?id=37424

        broke chromium builders (Requested by tony^work on #webkit).

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:

2010-04-11  Tony Chang  <tony@chromium.org>

        Reviewed by Darin Fisher.

        [chromium] update chromium DEPS for upstream compile
        https://bugs.webkit.org/show_bug.cgi?id=36578

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp: Small fix to avoid a circular dependency between
          WebKit.gyp and webkit.gyp.

2010-04-11  Joseph Pecoraro  <joepeck@webkit.org>

        Reviewed by Eric Seidel.

        svn-apply errors out when removing directories in git
        https://bugs.webkit.org/show_bug.cgi?id=34871

        * Scripts/svn-apply:
        (isDirectoryEmptyForRemoval): early break if the directory doesn't exist
        (scmRemove): have git ignore unmatched files

2010-04-11  Daniel Bates  <dbates@rim.com>

        No review, rolling out 57440.
        http://trac.webkit.org/changeset/57440
        https://bugs.webkit.org/show_bug.cgi?id=27204

        Did not handle Git patches that included both file and property
        changes to the same file. Rolling this change out while I look
        into this.

        * Scripts/VCSUtils.pm:
        * Scripts/svn-apply:
        * Scripts/svn-unapply:
        * Scripts/webkitperl/VCSUtils_unittest/appendSVNExecutableBitChangeToPatch.pl: Removed.
        * Scripts/webkitperl/VCSUtils_unittest/parseGitFileMode.pl: Removed.
        * Scripts/webkitperl/VCSUtils_unittest/parseStartOfPatchOrPropertyChangeAndEndOfPropertyChange.pl: Removed.

2010-04-11  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Fix typo in log path for AbstractQueue
        https://bugs.webkit.org/show_bug.cgi?id=37414

        * Scripts/webkitpy/tool/commands/queues.py:
        * Scripts/webkitpy/tool/commands/queues_unittest.py:

2010-04-11  Adam Barth  <abarth@webkit.org>

        Unreviewed.  Add missing import statement.

        * Scripts/webkitpy/common/system/executive.py:

2010-04-11  Robert Hogan  <robert@webkit.org>

        Reviewed by Simon Hausmann.

        [Qt] Add setWillSendRequestReturnsNull and setWillSendRequestClearHeader

        https://bugs.webkit.org/show_bug.cgi?id=37410

        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        (LayoutTestController::reset):
        (LayoutTestController::setWillSendRequestReturnsNull):
        (LayoutTestController::setWillSendRequestClearHeader):
        * DumpRenderTree/qt/LayoutTestControllerQt.h:

2010-04-11  Csaba Osztrogonác  <ossy@webkit.org>

        [Qt] Unreviewed buildfix for --debug build after r57433.

        Refactor Qt DRT support in QtWebKit
        https://bugs.webkit.org/show_bug.cgi?id=35844

        * QtLauncher/main.cpp: qt_drt_garbageCollector_collect(); renamed to DumpRenderTreeSupportQt::garbageCollectorCollect();
        (launcherMain):

2010-04-11  Joseph Pecoraro  <joepeck@webkit.org>

        Reviewed by Mark Rowe.

        Make commit-log-editor Rubber-stamp aware. And other minor cleanups.
        https://bugs.webkit.org/show_bug.cgi?id=37407

        * Scripts/commit-log-editor:

2010-04-11  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        Add PrettyPatch links to new-run-webkit-tests output
        https://bugs.webkit.org/show_bug.cgi?id=37406

        * Scripts/webkitpy/layout_tests/layout_package/dump_render_tree_thread.py:
         - We're leaking a file handle here, add a FIXME.
        * Scripts/webkitpy/layout_tests/layout_package/test_failures.py:
         - Add pretty diff links.
        * Scripts/webkitpy/layout_tests/port/base.py:
         - Add support for generating pretty diffs using PrettyPatch.
        * Scripts/webkitpy/layout_tests/port/webkit.py:
         - We're leaking another file handle here, another FIXME.
        * Scripts/webkitpy/layout_tests/test_types/image_diff.py:
         - Update write_output_files signature.
        * Scripts/webkitpy/layout_tests/test_types/test_type_base.py:
         - Remove unused arguments from write_output_files.
         - Add support for dumping pretty diffs to write_output_files.
         - Fix a bunch of file descriptor leaks in this file.
        * Scripts/webkitpy/layout_tests/test_types/text_diff.py:
         - Update write_output_files signature.

2010-04-10  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        kill_process is copy/pasted in five places
        https://bugs.webkit.org/show_bug.cgi?id=37405

        We shouldn't replicate the kill_process logic in every port.  Instead,
        we should move the process interaction to Executive.

        Dirk mentioned that he wanted this abstraction to make it easier to
        mock things out for testing.  It turns out this function is only used
        in one place where it can't be used as a mock point for testing because
        the corresponding create process actually creates a real process.  In
        the long term, we should indirect both these calls through a non-static
        Executive as a mock point.  However, we should wait on that until we
        actually want to write the test.

        * Scripts/webkitpy/layout_tests/port/base.py:
        * Scripts/webkitpy/layout_tests/port/chromium_linux.py:
        * Scripts/webkitpy/layout_tests/port/chromium_mac.py:
        * Scripts/webkitpy/layout_tests/port/chromium_win.py:
        * Scripts/webkitpy/layout_tests/port/mac.py:
        * Scripts/webkitpy/layout_tests/port/websocket_server.py:
        * Scripts/webkitpy/layout_tests/port/win.py:

2010-04-10  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        new-run-webkit-tests shouldn't alter its path to import packages
        https://bugs.webkit.org/show_bug.cgi?id=37404

        * Scripts/new-run-webkit-tests:
        * Scripts/webkitpy/layout_tests/layout_package/json_layout_results_generator.py:
        * Scripts/webkitpy/layout_tests/layout_package/json_results_generator.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_expectations.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
        * Scripts/webkitpy/layout_tests/test_types/fuzzy_image_diff.py:
        * Scripts/webkitpy/layout_tests/test_types/image_diff.py:
        * Scripts/webkitpy/layout_tests/test_types/text_diff.py:
        * Scripts/webkitpy/thirdparty/simplejson/decoder.py:

2010-04-10  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        new-run-webkit-tests should store results to a directory under the build tree
        https://bugs.webkit.org/show_bug.cgi?id=37380

        * Scripts/webkitpy/layout_tests/port/webkit.py:

2010-04-10  Daniel Bates  <dbates@rim.com>

        Reviewed by Eric Seidel.

        https://bugs.webkit.org/show_bug.cgi?id=27204

        Implement support for changing the executable bit of a file.
        The executable bit is among the most changed file properties.
        Future support can include other property changes.

        Currently, if a patch changes the executable bit of a file
        it is not respected by svn-apply or svn-unapply. Since the
        commit-queue bot uses these tools as part of its workflow,
        such patches cannot be committed by it. That is, such patches
        need to be committed by hand. Instead, we should add support
        for the executable bit so that such patches can be committed
        by the commit-queue bot.

        * Scripts/VCSUtils.pm: Also change reference to Apple Computer, Inc.
        in copyright to Apple, Inc.
        * Scripts/svn-apply:
        * Scripts/svn-unapply:
        * Scripts/webkitperl/VCSUtils_unittest/appendSVNExecutableBitChangeToPatch.pl: Added.
        * Scripts/webkitperl/VCSUtils_unittest/parseGitFileMode.pl: Added.
        * Scripts/webkitperl/VCSUtils_unittest/parseStartOfPatchOrPropertyChangeAndEndOfPropertyChange.pl: Added.

2010-04-10  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        WinEWS bot fails to svn update because scm.clean_working_directory leaves files around
        https://bugs.webkit.org/show_bug.cgi?id=37401

        The Git-based bots don't have this trouble because
        Git.clean_working_directory fully removes files that were
        marked as "add".  SVN.clean_working_directory previously just
        called "svn revert" which would leave added files in the
        working directory untracked.  This patch makes
        SVN.clean_working_directory function more like
        Git.clean_working_directory by removing added files after revert.

        * Scripts/webkitpy/common/checkout/scm.py:
         - Add SCM.absolute_path for easy conversion between
           repository-relative paths and absolute paths.
         - Add SCM.add and SCM.added_files
         - Make SVN.clean_working_directory remove any added_files after svn revert.
         - The new unit tests found a bug in Git.status_command, change to use git diff --name-status instead.
        * Scripts/webkitpy/common/checkout/scm_unittest.py:
         - Add tests for added code.

2010-04-10  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        new-run-webkit-tests can't find ImageDiff on Windows
        https://bugs.webkit.org/show_bug.cgi?id=37403

        It turns out the build directory on Windows is structured differently
        than it is on other platforms.  Instead of assuming the normal
        structure, we should just ask perl to figure it out for us.

        * Scripts/webkitpy/layout_tests/port/webkit.py:

2010-04-10  Adam Barth  <abarth@webkit.org>

        Rubber-stamped by Eric Seidel.

        Change "Gathering files" status line to "Collecting tests".  Gathering
        the files sounds silly to me.

        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:

2010-04-10  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Fix bugs to make new-run-webkit-tests almost run on windows
        https://bugs.webkit.org/show_bug.cgi?id=37400

        Fix some minor bugs that prevent new-run-webkit-tests from being run on
        Windows.  I still haven't run it to completion, but I'm getting
        further.

        * Scripts/webkitpy/layout_tests/port/factory.py:
        * Scripts/webkitpy/layout_tests/port/webkit.py:

2010-04-10  Robert Hogan  <robert@webkit.org>

        Reviewed by Kenneth Rohde Christiansen.

        Refactor Qt DRT support in QtWebKit

        Update Qt DRT to use new DumpRenderTreeSupportQt static class.

        https://bugs.webkit.org/show_bug.cgi?id=35844

        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        (WebCore::DumpRenderTree::DumpRenderTree):
        (WebCore::DumpRenderTree::resetToConsistentStateBeforeTesting):
        (WebCore::DumpRenderTree::dumpFramesAsText):
        * DumpRenderTree/qt/DumpRenderTreeQt.h:
        * DumpRenderTree/qt/GCControllerQt.cpp:
        (GCController::collect):
        (GCController::collectOnAlternateThread):
        (GCController::getJSObjectCount):
        * DumpRenderTree/qt/GCControllerQt.h:
        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        (LayoutTestController::counterValueForElementById):
        (LayoutTestController::setViewModeMediaFeature):
        (LayoutTestController::setMediaType):
        (LayoutTestController::closeWebInspector):
        (LayoutTestController::showWebInspector):
        (LayoutTestController::evaluateInWebInspector):
        (LayoutTestController::setFrameFlatteningEnabled):
        (LayoutTestController::setJavaScriptProfilingEnabled):
        (LayoutTestController::setTimelineProfilingEnabled):
        (LayoutTestController::pauseAnimationAtTimeOnElementWithId):
        (LayoutTestController::pauseTransitionAtTimeOnElementWithId):
        (LayoutTestController::sampleSVGAnimationForElementAtTime):
        (LayoutTestController::numberOfActiveAnimations):
        (LayoutTestController::whiteListAccessFromOrigin):
        (LayoutTestController::setCaretBrowsingEnabled):
        (LayoutTestController::setDomainRelaxationForbiddenForURLScheme):
        (LayoutTestController::workerThreadCount):
        (LayoutTestController::pageNumberForElementById):
        (LayoutTestController::numberOfPages):
        * DumpRenderTree/qt/LayoutTestControllerQt.h:

2010-04-10  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Move global queue log to the logs directory so it survives git clean -f
        https://bugs.webkit.org/show_bug.cgi?id=37395

        * Scripts/webkitpy/tool/commands/queues.py:

2010-04-10  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        SheriffBot should spam when it encounters errors
        https://bugs.webkit.org/show_bug.cgi?id=37329

        We need to always update the status server so we don't get stuck in a
        spam loop.  I tried writing a test for this change, but it kind of
        got out of control.  We need a better way to do failure injection.

        * Scripts/webkitpy/tool/commands/sheriffbot.py:

2010-04-10  Adam Barth  <abarth@webkit.org>

        Unreviewed attempt to fix the Chromium Mac canary.

        * Scripts/webkitpy/common/config/ports.py:
        * Scripts/webkitpy/common/config/ports_unittest.py:
        * Scripts/webkitpy/common/system/executive.py:

2010-04-10  Adam Barth  <abarth@webkit.org>

        Unreviewed.

        Add the Apache bits to win.py for new-run-webkit-tests
        https://bugs.webkit.org/show_bug.cgi?id=37397

        I still have run this yet, but I looked around to figure out what the
        various paths appear to be.  I'll figure out a way to remove the
        copy/paste code in a future patch.

        * Scripts/webkitpy/layout_tests/port/mac.py:
        * Scripts/webkitpy/layout_tests/port/webkit.py:
        * Scripts/webkitpy/layout_tests/port/win.py:

2010-04-10  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Sketch out the win port for new-run-webkit-tests
        https://bugs.webkit.org/show_bug.cgi?id=37393

        I haven't tried running this yet, but we've got to start somewhere.

        * Scripts/webkitpy/layout_tests/port/factory.py:
        * Scripts/webkitpy/layout_tests/port/mac.py:
        * Scripts/webkitpy/layout_tests/port/webkit.py:
        * Scripts/webkitpy/layout_tests/port/win.py: Added.

2010-04-10  Ojan Vafai  <ojan@chromium.org>

        Reviewed by Adam Barth.

        webkit-patch land should not build and test by default
        https://bugs.webkit.org/show_bug.cgi?id=33631

        Reverse the sense of --no-build and --no-test to be --build and --test.
        Also, decoupled the build and test options so you can test without
        building.

        (Patch manngled by Adam Barth.  All bugs are his fault.)

        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:
        * Scripts/webkitpy/tool/commands/queues.py:
        * Scripts/webkitpy/tool/commands/queues_unittest.py:
        * Scripts/webkitpy/tool/steps/options.py:
        * Scripts/webkitpy/tool/steps/runtests.py:

2010-04-10  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Factor WebKitPort out of MacPort to allow for WinPort
        https://bugs.webkit.org/show_bug.cgi?id=37388

        The split is a bit of a guess.  We might have to adjust things once we
        actually have a second port to work with.

        * Scripts/webkitpy/layout_tests/port/apache_http_server.py:
        * Scripts/webkitpy/layout_tests/port/mac.py:
        * Scripts/webkitpy/layout_tests/port/webkit.py: Added.
        * Scripts/webkitpy/layout_tests/port/websocket_server.py:

2010-04-10  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        run_webkit_tests.py shouldn't have platform-specific logic
        https://bugs.webkit.org/show_bug.cgi?id=37387

        Dirk Pranke pointed out that my last patch was wrong because I
        introduced platform-specific logic into run_webkit_tests.py, limiting
        the parallelism in Chromium to work around a bug in the main Mac port.

        * Scripts/webkitpy/common/system/executive.py:
            - Fix a typo pointed out by Chris Jerdonek.
        * Scripts/webkitpy/layout_tests/port/base.py:
        * Scripts/webkitpy/layout_tests/port/mac.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:

2010-04-10  Robert Hogan  <robert@webkit.org>

        Unreviewed fix to regressions in r57416.

        [Qt] Fix regressions in http/tests/navigation from r57416

        Reset willSendRequestReturnsNullOnRedirect after each test to
        prevent it leaking to subsequent tests.

        Error pointed out by Jakub Wieczorek.

        https://bugs.webkit.org/show_bug.cgi?id=37237

        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        (LayoutTestController::reset):

2010-04-11  Robert Hogan  <robert@webkit.org>

        Reviewed by Simon Hausmann.

        [Qt] Update layoutTestController.DumpResourceLoadCallbacks to match other ports.

        Add support for layoutTestController.setWillSendRequestReturnsNullOnRedirect to Qt DRT.
        Prevent dumping resource load callbacks once layout test has dumped.

        https://bugs.webkit.org/show_bug.cgi?id=37237

        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        (WebCore::DumpRenderTree::dump):
        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        (LayoutTestController::setWillSendRequestReturnsNullOnRedirect):
        * DumpRenderTree/qt/LayoutTestControllerQt.h:

2010-04-10  Laszlo Gombos  <laszlo.1.gombos@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Implement Desktop Notifications API for QtWebKit
        https://bugs.webkit.org/show_bug.cgi?id=35503

        DRT stubs for notification. Enables to run and pass
        3 (currently disabled) tests.

        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        (LayoutTestController::LayoutTestController):
        (LayoutTestController::grantDesktopNotificationPermission):
        (LayoutTestController::checkDesktopNotificationPermission):
        * DumpRenderTree/qt/LayoutTestControllerQt.h:

2010-04-09  Dumitru Daniliuc  <dumi@chromium.org>

        Unreviewed, another change to executive.py to make it run with
        python 2.4.

        * Scripts/webkitpy/common/system/executive.py:

2010-04-09  Dumitru Daniliuc  <dumi@chromium.org>

        Unreviewed, attempting to make executive.py run with python 2.4
        (which is still used on Chromium's Windows canary bot).

        * Scripts/webkitpy/common/system/executive.py:

2010-04-09  Kevin Watters  <kevinwatters@gmail.com>

        Reviewed by Eric Seidel.

        [wx] Basic implementation of SVG support for wx port.

        * wx/build/settings.py:

2010-04-09  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Don't reinvent Executive.cpu_count for every port
        https://bugs.webkit.org/show_bug.cgi?id=37377

        mac.py and chromium_mac.py had some copy/paste code.  This code doesn't
        actually have anything to do with WebKit ports.  It's really just
        something in the multiprocessing package.  The lame bit is that package
        isn't available in older versions of Python, so we need to implement a
        fallback.  However, we already have the fallback in common.  We don't
        need to reinvent it specificly for layout_tests.

        * Scripts/webkitpy/common/system/executive.py:
        * Scripts/webkitpy/layout_tests/port/base.py:
        * Scripts/webkitpy/layout_tests/port/chromium.py:
        * Scripts/webkitpy/layout_tests/port/chromium_linux.py:
        * Scripts/webkitpy/layout_tests/port/chromium_mac.py:
        * Scripts/webkitpy/layout_tests/port/chromium_win.py:
        * Scripts/webkitpy/layout_tests/port/mac.py:
        * Scripts/webkitpy/layout_tests/port/test.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:

2010-04-09  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        new-run-webkit-tests --release fails to build release DRT when global configuration is Debug
        https://bugs.webkit.org/show_bug.cgi?id=37376

        We need to explicitly pass the --release flag.  I bet there are more
        instances of this bug.

        * Scripts/webkitpy/layout_tests/port/base.py:
        * Scripts/webkitpy/layout_tests/port/mac.py:

2010-04-09  Tony Chang  <tony@chromium.org>

        Reviewed by Eric Seidel.

        [chromium] DRT compile fix on win/linux
        https://bugs.webkit.org/show_bug.cgi?id=37314

        Looks like this was missed when upstreaming.

        * DumpRenderTree/chromium/EventSender.cpp:
        (applyKeyModifier):

2010-04-09  Adam Barth  <abarth@webkit.org>

        Unreviewed, but approved by Dirk Pranke.

        rename test_expectations_test.py to test_expectations_unittest.py so it actually gets run
        https://bugs.webkit.org/show_bug.cgi?id=37372

        We need to end unit tests with _unittest.py for them to be autodetected
        by the test harness.  +6 tests.

        * Scripts/webkitpy/layout_tests/layout_package/test_expectations_unittest.py: Renamed from WebKitTools/Scripts/webkitpy/layout_tests/layout_package/test_expectations_test.py.

2010-04-09  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        new-run-webkit-tests should talk about DumpRenderTree not test_shell
        https://bugs.webkit.org/show_bug.cgi?id=37371

        test_shell is some strange Chromium thing.
        DumpRenderTree (tm) is the real deal.

        * Scripts/webkitpy/layout_tests/layout_package/dump_render_tree_thread.py: Added.
        * Scripts/webkitpy/layout_tests/layout_package/test_expectations.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_failures.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_shell_thread.py: Removed.
        * Scripts/webkitpy/layout_tests/port/chromium.py:
        * Scripts/webkitpy/layout_tests/port/server_process.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:

2010-04-09  Zoltan Horvath  <zoltan@webkit.org>

        Reviewed by Alexey Proskuryakov.

        Fix 2 issues (what were introduced in r56524) in svn-create-patch's generateDiff()
        https://bugs.webkit.org/show_bug.cgi?id=32582

        Add missing return variable. Initialize $patch variable and remove unnecessary condition.

        * Scripts/svn-create-patch:

2010-04-09  Kevin Ollivier  <kevino@theolliviers.com>

        [wx] Build fix after addition of LayoutTestController method.

        * DumpRenderTree/wx/LayoutTestControllerWx.cpp:
        (LayoutTestController::computedStyleIncludingVisitedInfo):

2010-04-09  Sam Weinig  <sam@webkit.org>

        Reviewed by Anders Carlsson.

        Fix for https://bugs.webkit.org/show_bug.cgi?id=37368
        Add MiniBrowser.

        * MiniBrowser: Added.
        * MiniBrowser/MiniBrowser.vcproj: Added.
        * MiniBrowser/MiniBrowser.xcodeproj: Added.
        * MiniBrowser/MiniBrowser.xcodeproj/project.pbxproj: Added.
        * MiniBrowser/mac: Added.
        * MiniBrowser/mac/AppDelegate.h: Added.
        * MiniBrowser/mac/AppDelegate.m: Added.
        * MiniBrowser/mac/BrowserWindowController.h: Added.
        * MiniBrowser/mac/BrowserWindowController.m: Added.
        * MiniBrowser/mac/English.lproj: Added.
        * MiniBrowser/mac/English.lproj/BrowserWindow.xib: Added.
        * MiniBrowser/mac/English.lproj/InfoPlist.strings: Added.
        * MiniBrowser/mac/English.lproj/MainMenu.xib: Added.
        * MiniBrowser/mac/MiniBrowser-Info.plist: Added.
        * MiniBrowser/mac/MiniBrowser_Prefix.pch: Added.
        * MiniBrowser/mac/main.m: Added.
        * MiniBrowser/win: Added.
        * MiniBrowser/win/BrowserView.cpp: Added.
        * MiniBrowser/win/BrowserView.h: Added.
        * MiniBrowser/win/BrowserWindow.cpp: Added.
        * MiniBrowser/win/BrowserWindow.h: Added.
        * MiniBrowser/win/MiniBrowser.cpp: Added.
        * MiniBrowser/win/MiniBrowser.h: Added.
        * MiniBrowser/win/MiniBrowser.rc: Added.
        * MiniBrowser/win/Resources: Added.
        * MiniBrowser/win/main.cpp: Added.
        * MiniBrowser/win/resource.h: Added.
        * MiniBrowser/win/stdafx.cpp: Added.
        * MiniBrowser/win/stdafx.h: Added.

2010-04-09  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        webkit-patch attached my patch to the wrong bug
        https://bugs.webkit.org/show_bug.cgi?id=37015

        The problem here is that SVN was violating SCM's implicit
        contract of always returning paths relative to the repository root.
        That can easily be fixed by telling SVN that the CWD is the repository root.

        When fixing this I realized there are a large number of places in SCM.py where
        we want to consider explicitly passing self.checkout_root as the CWD.
        That would allow scm methods to be executed even when the CWD is not inside
        the scm tree at all, and would also make sure (in the case of SVN) that paths
        returned are relative to the root.  Git (almost always) returns paths relative
        to the repository root.

        * Scripts/webkitpy/common/checkout/scm.py:
         - Explicitly pass self.checkout_root as cwd in run_status_and_extract_filenames
         - Add a ton of FIXMEs about the need to go back and decide which methods require cwd=self.checkout_root
           and which do not.  We'll probably add a helper function to scm (likely SCM._run) which
           always passes cwd=self.checkout_root to Executive.run_command
        * Scripts/webkitpy/common/checkout/scm_unittest.py:
         - Add a test for this change.
        * Scripts/webkitpy/tool/commands/upload.py:
         - Removed the explicit os.chdir to the repository root, since scm.py methods
           should be robust against the cwd not being equal to the root.

2010-04-09  Adam Roben  <aroben@apple.com>

        Don't return 0 as a JSValueRef

        That is an illegal use of the JSC API.

        Fixes <http://webkit.org/b/37333> REGRESSION (r57292): :visited tests
        are asserting on debug Windows and GTK builds

        Reviewed by Anders Carlsson.

        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::computedStyleIncludingVisitedInfo):
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::computedStyleIncludingVisitedInfo):
        Return an "undefined" JSValueRef instead of 0.

2010-04-09  Csaba Osztrogonác  <ossy@webkit.org>

        Reviewed by Eric Seidel.

        Make DumpRenderTree parallelizable
        https://bugs.webkit.org/show_bug.cgi?id=36899

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (libraryPathForDumpRenderTree): Use DUMPRENDERTREE_TEMP if exist.
        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        (WebCore::DumpRenderTree::DumpRenderTree): Use DUMPRENDERTREE_TEMP if exist.
        * Scripts/run-webkit-tests:
          - Create a unique temporary directory and pass its path to
          DumpRenderTree with DUMPRENDERTREE_TEMP environment variable.

2010-04-09  Mark Rowe  <mrowe@apple.com>

        Reviewed by Oliver Hunt.

        <http://webkit.org/b/37326> IDL files are being copied in to the WebCore framework again

        Add a script to detect the presence of inappropriate files in the frameworks.  At present
        it only looks for .css, .idl and .in files in the top level of WebCore.framework/Resources,
        as these are the only cases we've encountered recently.  It can be extended to check the
        other frameworks or for other inappropriate files in the future.

        * Scripts/check-for-inappropriate-files-in-framework: Added.

2010-04-08  Sam Weinig  <sam@webkit.org>

        Reviewed by Darin Adler.

        Add option to build WebKit2 to build-webkit.

        * Scripts/build-webkit:

2010-04-08  Darin Adler  <darin@apple.com>

        Reviewed by Alexey Proskuryakov.

        run-webkit-tests should respect argument order
        https://bugs.webkit.org/show_bug.cgi?id=37257

        * Scripts/run-webkit-tests: Changed so that sorting is done only
        on the results of iterating directories. Test order is based on
        what's passed on the command line. Removed code that aimed to
        eliminate duplicates since it can be useful to run the same test
        more than once.

2010-04-07  David Hyatt  <hyatt@apple.com>

        Reviewed by Oliver Hunt.

        https://bugs.webkit.org/show_bug.cgi?id=24300, don't expose history info via CSS.  Add a new method for
        obtaining computed style with :visited info included.  This allows layout tests to actually tell that
        :visited is in effect.

        * DumpRenderTree/LayoutTestController.cpp:
        (computedStyleIncludingVisitedInfoCallback):
        (LayoutTestController::staticFunctions):
        * DumpRenderTree/LayoutTestController.h:
        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (LayoutTestController::computedStyleIncludingVisitedInfo):

2010-04-07  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Adam Barth.

        Enable rebaseline-chromium-webkit-tests to run from a webkit-only
        checkout (i.e., you don't need anything from the Chromium tree checked
        out). This requires us to introduce the concept of a "target"
        port/platform that we use to get configuration information from as well
        as the "running" port that we use to make directories and diff images
        and the "rebaselining" port we use to actually manage baselines.

        https://bugs.webkit.org/show_bug.cgi?id=37238

        * Scripts/webkitpy/layout_tests/port/mac.py:
        * Scripts/webkitpy/layout_tests/rebaseline_chromium_webkit_tests.py:

2010-04-05  Antonio Gomes  <tonikitoo@webkit.org>

        Reviewed by Simon Hausmann.

        [Qt] REGRESSION:(r50665) QWebFrame::setScrollBarPolicy(Qt::Vertical,Qt::ScrollBarAlwaysOff) has no effect.
        https://bugs.webkit.org/show_bug.cgi?id=29431

        Added stubs for Mac, win, gtk and wx DRTs to implement setScrollbarPolicy method.

        * DumpRenderTree/LayoutTestController.cpp:
        (setScrollbarPolicyCallback):
        (LayoutTestController::staticFunctions):
        * DumpRenderTree/LayoutTestController.h:
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::setScrollbarPolicy):
        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (LayoutTestController::setScrollbarPolicy):
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::setScrollbarPolicy):
        * DumpRenderTree/wx/LayoutTestControllerWx.cpp:
        (LayoutTestController::setScrollbarPolicy):

2010-04-01  Antonio Gomes  <tonikitoo@webkit.org>

        Reviewed by David Hyatt.

        [Qt] REGRESSION:(r50665) QWebFrame::setScrollBarPolicy(Qt::Vertical,Qt::ScrollBarAlwaysOff) has no effect.
        https://bugs.webkit.org/show_bug.cgi?id=29431

        Make possible to DRT to set scrollbar policies (on, off or auto).

        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        (LayoutTestController::setScrollbarPolicy):
        * DumpRenderTree/qt/LayoutTestControllerQt.h:
        * QtLauncher/main.cpp:
        (LauncherWindow::toggleScrollbars):
        (LauncherWindow::createChrome):

2010-04-08  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        new-run-webkit-tests should give a percent complete indication
        https://bugs.webkit.org/show_bug.cgi?id=37258

        Because it's awesome.

        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:

2010-04-08  Adam Barth  <abarth@webkit.org>

        Unreviewed.

        Add back the --target option because it's needed by the downstream
        Chromium bots.

        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:

2010-04-08  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        new-run-webkit-tests should understand set-webkit-configuration
        https://bugs.webkit.org/show_bug.cgi?id=37252

        * Scripts/webkitpy/layout_tests/port/base.py:
        * Scripts/webkitpy/layout_tests/port/mac.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:

2010-04-08  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Rename target to configuration in new-run-webkit-tests to match the rest of WebKit
        https://bugs.webkit.org/show_bug.cgi?id=37251

        The rest of our tools call --debug or --release the configuration.
        It's confusing to call it target in this script.

        * Scripts/webkitpy/layout_tests/driver_test.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_shell_thread.py:
        * Scripts/webkitpy/layout_tests/port/base.py:
        * Scripts/webkitpy/layout_tests/port/chromium.py:
        * Scripts/webkitpy/layout_tests/port/chromium_linux.py:
        * Scripts/webkitpy/layout_tests/port/chromium_mac.py:
        * Scripts/webkitpy/layout_tests/port/chromium_win.py:
        * Scripts/webkitpy/layout_tests/port/mac.py:
        * Scripts/webkitpy/layout_tests/rebaseline_chromium_webkit_tests.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
        * Scripts/webkitpy/layout_tests/test_types/fuzzy_image_diff.py:
        * Scripts/webkitpy/layout_tests/test_types/image_diff.py:
        * Scripts/webkitpy/layout_tests/test_types/test_type_base.py:
        * Scripts/webkitpy/layout_tests/test_types/text_diff.py:

2010-04-07  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Remove depricated op.popen2 call in new-run-webkit-tests
        https://bugs.webkit.org/show_bug.cgi?id=37249

        Python complains that this API is depricated.  We already solved this
        problem in executive.py.

        * Scripts/webkitpy/layout_tests/port/mac.py:

2010-04-07  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        new-run-webkit-tests crashes when run on a 64-bit machine
        https://bugs.webkit.org/show_bug.cgi?id=37248

        * Scripts/webkitpy/layout_tests/port/mac.py:
         - The code was trying to always run the 32-bit intel version
           of the DumpRenderTree binary.  DRT does not build 32-bit on 64-bit
           machines so that makes no sense.  This may have made sense for test_shell
           at some point, but I think we should just remove this for DRT.

2010-04-07  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        WebKit Apache configs only listen on IPv4 addresses, causing random timeouts
        https://bugs.webkit.org/show_bug.cgi?id=37104

        Add warnings that the partial support for specifying what port numbers
        apache should bind to is even more broken after this fix.

        * Scripts/run-webkit-httpd:
        * Scripts/run-webkit-tests:

2010-04-07  Shinichiro Hamaji  <hamaji@chromium.org>

        Reviewed by Darin Adler.

        LayoutTestController::m_handlesAuthenticationChallenges isn't initialized
        https://bugs.webkit.org/show_bug.cgi?id=37190

        * DumpRenderTree/LayoutTestController.cpp:
        (LayoutTestController::LayoutTestController):

2010-03-31  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        Add webkit-patch command to crawl buildbot history and find when tests
        started to fail.
        https://bugs.webkit.org/show_bug.cgi?id=36911

        This is a very bare-bones implementation, which works, but isn't pretty.
        We will need further re-factoring and improvement to this code, but
        after long discussions with Adam, I think it's best that we land this
        and iterate from there.

        * Scripts/webkitpy/common/net/buildbot.py:
         - Add revision_build_pairs_with_results for cleaner code and possible
           optimization of this command.
         - Return None if a build number can't be found for a revision in
           build_for_revision
         - Separate out suspect_revisions_for_transition for re-use by
           FailureReason
         - Add LayoutTestResults.failing_tests() and make our parsing code
           explict about what tables it accepts.
        * Scripts/webkitpy/tool/commands/queries.py:
         - Move _print_blame_information_for_commit out of WhatBroke for re-use
           by FailureReason.
         - Add FailureReason command which can crawl a given builder and explain
           why it is currently red on a per-test basis.

2010-04-06  Kent Tamura  <tkent@chromium.org>

        Reviewed by Dimitri Glazkov.

        [DRT/Chromium] Add DumpRenderTree.gyp, and some small fixes
        https://bugs.webkit.org/show_bug.cgi?id=37137

        - Add DumpRenderTree.gyp
        - Remove some dependencies to base/string_util.h,
          base/compiler_specific.h, base/file_path.h, base/file_util.h,
          base/message_loop.h, base/sys_string_conversions.h,

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp: Added.
        * DumpRenderTree/chromium/CppVariant.cpp:
        (CppVariant::toStringVector):
        * DumpRenderTree/chromium/EventSender.cpp:
        (EventSender::EventSender):
        (EventSender::keyDown):
        (EventSender::scheduleAsynchronousClick):
        (EventSender::beginDragWithFiles):
        * DumpRenderTree/chromium/LayoutTestController.cpp:
        (LayoutTestController::setUserStyleSheetLocation):
        (LayoutTestController::pathToLocalResource):
        * DumpRenderTree/chromium/TextInputController.cpp:
        (TextInputController::markedRange):
        (TextInputController::selectedRange):

2010-04-06  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Eric Seidel.

        Write stack traces into the results directory for new-run-webkit-tests,
        instead of writing them alongside the test file.

        https://bugs.webkit.org/show_bug.cgi?id=36504

        * Scripts/webkitpy/layout_tests/layout_package/test_shell_thread.py:

2010-04-06  Dirk Pranke  <dpranke@chromium.org>

        Unreviewed build fix.

        Enable pixel tests by default in new-run-webkit-tests unless
        explicitly set by the port or by the command line. This was broken in
        the fix for bug 36801 (rev. 57173).

        https://bugs.webkit.org/show_bug.cgi?id=37184

        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:

2010-04-06  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Eric Seidel.

        Disable pixel tests on the mac port by default.

        Also, revamp the way we check for pixel tests being enabled or
        disabled. We now look for options.pixel_tests instead of
        options.no_pixel_tests, and we have the "--pixel-tests" (force enable)
        and "--no-pixel-tests" (force disable) flags.

        https://bugs.webkit.org/show_bug.cgi?id=36801

        * Scripts/webkitpy/layout_tests/layout_package/test_expectations.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_expectations_test.py:
        * Scripts/webkitpy/layout_tests/port/chromium.py:
        * Scripts/webkitpy/layout_tests/port/mac.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:

2010-04-06  Diego Gonzalez  <diego.gonzalez@openbossa.org>

        Reviewed by Laszlo Gombos.

        [Qt] Added the iPhone and iPad latest user agent in QtLauncher UA switcher
        https://bugs.webkit.org/show_bug.cgi?id=37159

        * QtLauncher/useragentlist.txt:

2010-04-06  Laszlo Gombos  <laszlo.1.gombos@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Add current user-agent string for Symbian for QtLauncher
        https://bugs.webkit.org/show_bug.cgi?id=37131

        * QtLauncher/useragentlist.txt:

2010-04-06  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Explain how to handle rollout patches
        https://bugs.webkit.org/show_bug.cgi?id=37139

        We need to set expectations for how long landing rollout patches with
        the commit-queue takes.  The commit-queue is optimized for safety, not
        performance.  Also, give folks an alternative way to land patches
        quickly.

        In addition, improve our testing of add_patch_to_bug by having
        MockBugzilla log.  This caused me to tighten a bunch of tests and
        notice that one of our tests wasn't being run.

        * Scripts/webkitpy/tool/commands/download_unittest.py:
        * Scripts/webkitpy/tool/commands/upload_unittest.py:
        * Scripts/webkitpy/tool/mocktool.py:
        * Scripts/webkitpy/tool/steps/postdiffforrevert.py:

2010-04-06  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Turns out commit_info.committer() can be None
        https://bugs.webkit.org/show_bug.cgi?id=37106

        When the committer isn't in committers.py, the committer() property on
        commit_info can be None.  We need to handle that case gracefully.

        * Scripts/webkitpy/common/checkout/commitinfo.py:
        * Scripts/webkitpy/tool/bot/sheriff.py:
        * Scripts/webkitpy/tool/bot/sheriff_unittest.py:
        * Scripts/webkitpy/tool/commands/queries.py:

2010-04-06  Laszlo Gombos  <laszlo.1.gombos@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] [Symbian] Build fix for Dumprendertree if Qt printing is not supported
        https://bugs.webkit.org/show_bug.cgi?id=37082

        Use the QT_NO_PRINTER guard to flag QPrinter dependent code.

        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        (WebCore::DumpRenderTree::dryRunPrint):

2010-04-05  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        SheriffBot should force_build builders that are idle and have failed exactly once
        https://bugs.webkit.org/show_bug.cgi?id=37059

        We can get into a deadlocked state where the commit-queue is stopped
        because the builders are red but the SheriffBot hasn't taken action
        because the builder has failed only once.  The SheriffBot should force
        build idle builders that have failed exactly once to either turn the
        tree green again (if the test was flaky) or trigger the "failed twice"
        remedies (IRC and bug posts).

        * Scripts/webkitpy/common/net/buildbot.py:
        * Scripts/webkitpy/tool/bot/sheriff.py:
        * Scripts/webkitpy/tool/bot/sheriff_unittest.py:
        * Scripts/webkitpy/tool/commands/sheriffbot.py:
        * Scripts/webkitpy/tool/mocktool.py:

2010-04-05  Chris Jerdonek  <cjerdonek@webkit.org>

        Reviewed by Shinichiro Hamaji.

        Fixed check-webkit-style issue where the script was prematurely
        exiting when encountering deleted files in patches.

        https://bugs.webkit.org/show_bug.cgi?id=37122

        * Scripts/webkitpy/style/checker.py:
          - Changed non-existent file message from ERROR to WARN.
          - StyleChecker.check_file() no longer raises an exception when
            a file is not found.

        * Scripts/webkitpy/style/checker_unittest.py:
          - Updated unit tests as necessary.

2010-04-05  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        SheriffBot should include blamelist when posting to bugs
        https://bugs.webkit.org/show_bug.cgi?id=37113

        When posting on bugs, we should include the full list of SVN revisions
        that caused the regression to folks have a better sense of whether they
        are to blame.

        * Scripts/webkitpy/tool/bot/sheriff.py:
        * Scripts/webkitpy/tool/bot/sheriff_unittest.py:
        * Scripts/webkitpy/tool/commands/sheriffbot.py:
        * Scripts/webkitpy/tool/commands/sheriffbot_unittest.py:
        * Scripts/webkitpy/tool/commands/upload_unittest.py:
        * Scripts/webkitpy/tool/mocktool.py:

2010-04-05  Chris Jerdonek  <cjerdonek@webkit.org>

        Unreviewed after discussion with Adam, Darin, and Eric.

        Deleted the auto-install directory since it is no longer needed in
        source control (it is auto-generated).

        Also added webkitpy/thirdparty/autoinstalled to webkitpy/thirdparty's
        svn:ignore property.

        * Scripts/webkitpy/thirdparty/autoinstalled: Removed.

2010-04-05  Mark Rowe  <mrowe@apple.com>

        Reviewed by Adele Peterson.

        Test case for <http://webkit.org/b/37115> / <rdar://problem/7829331>.
        REGRESSION(r56989): Crash in Mail in WebCore::Position::isCandidate when deleting block using block deletion UI

        Add a JavaScript hook in DRT to call through to WebView's -setEditable:.  This is required in order to reproduce
        the crash.

        * DumpRenderTree/LayoutTestController.cpp:
        (setWebViewEditableCallback):
        (LayoutTestController::staticFunctions):
        * DumpRenderTree/LayoutTestController.h:
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::setWebViewEditable):
        * DumpRenderTree/mac/DumpRenderTree.mm:
        (resetWebViewToConsistentStateBeforeTesting):
        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (LayoutTestController::setWebViewEditable):
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::setWebViewEditable):
        * DumpRenderTree/wx/LayoutTestControllerWx.cpp:
        (LayoutTestController::setWebViewEditable):
        (LayoutTestController::layerTreeAsText):

2010-04-05  Darin Adler  <darin@apple.com>

        Ignore more files the Python tools strew about the working directory.

        * Scripts/webkitpy: Added property svn:ignore.
        * Scripts/webkitpy/common: Added property svn:ignore.
        * Scripts/webkitpy/common/checkout: Added property svn:ignore.
        * Scripts/webkitpy/common/config: Added property svn:ignore.
        * Scripts/webkitpy/common/net: Added property svn:ignore.
        * Scripts/webkitpy/common/thread: Added property svn:ignore.
        * Scripts/webkitpy/python24: Added property svn:ignore.
        * Scripts/webkitpy/thirdparty/autoinstalled: Modified property svn:ignore.
        * Scripts/webkitpy/tool/bot: Added property svn:ignore.

2010-04-05  Adam Barth  <abarth@webkit.org>

        Unreviewed.  Add Vitaly Repeshko as a committer.

        * Scripts/webkitpy/common/config/committers.py:

2010-04-05  Adam Barth  <abarth@webkit.org>

        Unreviewed.  Update kenne's IRC nick to his registered nick.

        * Scripts/webkitpy/common/config/committers.py:

2010-04-05  Ojan Vafai  <ojan@chromium.org>

        Reviewed by Eric Seidel.

        assorted helper functions and cleanup of git utilities
        https://bugs.webkit.org/show_bug.cgi?id=37103

        * Scripts/webkitpy/common/checkout/scm.py:
        No code currently uses the optional dry_run argument. So removing it.
        Change all uses of "trunk" to read the correct value out of the git config.
        Made the dcommit call actually get called when dry_run==true.
        * Scripts/webkitpy/common/checkout/scm_unittest.py:
        * Scripts/webkitpy/common/net/credentials.py:
        Move the git config call into scm.
        * Scripts/webkitpy/common/net/credentials_unittest.py:
        * Scripts/webkitpy/common/system/executive.py:
        If return_exit_code==true, don't error out, just return the exit_code.

2010-04-05  Ojan Vafai  <ojan@chromium.org>

        Reviewed by Eric Seidel.

        prepare-ChangeLog should take a merge-base for which git branch to diff against.
        https://bugs.webkit.org/show_bug.cgi?id=36394

        * Scripts/prepare-ChangeLog:

2010-04-05  Chris Jerdonek  <cjerdonek@webkit.org>

        Reviewed by Shinichiro Hamaji.

        Removed the PatchStyleErrorHandler class and incorporated its
        functionality into the DefaultStyleErrorHandler class.

        https://bugs.webkit.org/show_bug.cgi?id=37067

        * Scripts/webkitpy/style/checker.py:
          - In the StyleChecker class:
            - Added a line_number parameter to the check_file() method.
            - Renamed the handle_style_error parameter to
              mock_handle_style_error to be consistent with the other mock_*
              parameter names.
            - Added a mock_check_file parameter to the check_patch() method
              to facilitate unit testing the changes in this patch.
            - Rewrote the check_patch() method with the patch-parsing logic
              taken from the PatchStyleErrorHandler class.

        * Scripts/webkitpy/style/checker_unittest.py:
          - Added a StyleCheckerCheckFileBase class and sub-classed the
            existing StyleCheckerCheckFileTest class from it.
          - Added a StyleCheckerCheckPatchTest class to unit-test the
            rewritten check_patch() method.
          - Removed the vestigial __main__ code at the bottom of the file.
            This is left over from when check-webkit-style was implemented
            as a module and a wrapper module.

        * Scripts/webkitpy/style/error_handlers.py:
          - Added an optional line_numbers parameter to the
            DefaultStyleErrorHandler class constructor and adjusted the
            __call__() method as necessary.
          - Removed the PatchStyleErrorHandler class.

        * Scripts/webkitpy/style/error_handlers_unittest.py:
          - Removed the PatchStyleErrorHandlerTest class which unit-tested
            the PatchStyleErrorHandler class which is being removed in this
            patch.
          - Added a test_line_numbers() test method to the
            DefaultStyleErrorHandlerTest class to test use of the
            DefaultStyleErrorHandler's new line_numbers attribute.

2010-04-05  Adam Barth  <abarth@webkit.org>

        Unreviewed.

        Tighten SheriffBot's flaky test detector
        https://bugs.webkit.org/show_bug.cgi?id=37063

        Instead of just looking for two sequential red builds, look for two
        sequential failures of the same test.  This should reduce sheriffbot
        false positive substantially.

        I'm landing this change unreviewed because I've noticed SheriffBot
        triggering a lot more false positives now that we've expanded the set
        of core builders.  I've tried to take Eric's comments on Bug 37063 into
        account.  I'm happy to iterate on this patch tomorrow once Eric wakes
        up.

        * Scripts/webkitpy/common/net/buildbot.py:
        * Scripts/webkitpy/common/net/buildbot_unittest.py:
        * Scripts/webkitpy/tool/commands/queries.py:

2010-04-04  John Gregg  <johnnyg@google.com>

        Unreviewed, add myself to the committers list.

        * Scripts/webkitpy/common/config/committers.py:

2010-04-04  Robert Hogan  <robert@webkit.org>

        Unreviewed, add myself to the committers list.

        * Scripts/webkitpy/common/config/committers.py:

2010-04-04  Dumitru Daniliuc  <dumi@chromium.org>

        Unreviewed, adding my IRC nickname to committers.py

        * Scripts/webkitpy/common/config/committers.py:

2010-04-04  Chris Jerdonek  <cjerdonek@webkit.org>

        Reviewed by Shinichiro Hamaji.

        Refactored check-webkit-style's option-parsing code.

        https://bugs.webkit.org/show_bug.cgi?id=37064

        * Scripts/check-webkit-style:
          - Moved the "WebKit checkout not found" check from
            ArgumentParser.parse() to the calling code.
          - Moved the --git-commit argument validation from the calling
            code to ArgumentParser.parse().

        * Scripts/webkitpy/style/checker_unittest.py:
          - Updated a unit test as necessary.

        * Scripts/webkitpy/style/optparser.py:
          - Renamed ArgumentParser._exit_with_help() to _parse_error()
            and made its error_message parameter required.
          - Removed the found_checkout parameter from ArgumentParser.parse().
          - Removed the "WebKit checkout not found" check and moved it
            to the calling code.
          - Added --git-commit argument checking.

        * Scripts/webkitpy/style/optparser_unittest.py:
